2009-09-28  Ingmar Schlecht  <ingmar@typo3.org>

	* Release of TYPO3 4.2.9

2009-09-20  Francois Suter  <francois@typo3.org>

	* Fixed bug #11995: Prompt for keyboard input does not get displayed in CLI scripts
	* Fixed bug #11224: Special menu directory only renders 1st level if special.value is a mount point (Thanks to Xavier Perseguers)

2009-09-19  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #11986: dynamic update of translation status im EM is broken

2009-09-17  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #9270: Editors can´t undelete records in history (thanks to Christian Hernmarck)

2009-09-15  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #11915: htmlArea RTE: superfluous span tags in content after server-based cleaning on paste operation
	* Updated htmlArea RTE version to 1.7.12 (branch TYPO3_4-2)
	* Follow-up to bug #11946: htmlArea RTE: reference was made to context menu item after context menu was closed

2009-09-13  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #11847: htmlArea RTE displays empty editing area in Opera 10
	* Fixed bug #11946: htmlArea RTE: table properties editing dialogue windows loose focus after opening in IE8

2009-09-01  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #11845: Typo in a CLI error mesage: suue -> sure (thanks to Oliver Klee)

2009-08-26  Michael Stucki  <michael@typo3.org>

	* Fixed bug #11731: ENABLE_INSTALL_TOOL file check in yellow box does not check the file age (thanks to Moreno Feltscher)

2009-08-19  Michael Stucki  <michael@typo3.org>

	* Fixed bug #11716: Install Tool always sets TYPO3_CONF_VARS[FE][disableNoCacheParameter] upon save

2009-08-14  Michael Stucki  <michael@typo3.org>

	* Fixed bug #8968: DBAL incompatible SQL in "impexp" extension (thanks to Marc Bastian Heinrichs)

2009-08-12  Michael Stucki  <michael@typo3.org>

	* Follow-up to bug #11513: Shorten one ident field which is known to be too long (solved the issue on those setups where the DB is not updated)
	* Fixed bug #11513: cache_hash table could not be filled because information field (ident) was too short (thanks to Ingo Schmitt)

2009-08-02  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #10769: Wrong encoded email header (thanks to Ivan Kartolo)

2009-07-20  Ingo Renner  <ingo@typo3.org>

	* Fixed bug: #11006: Tooltip for page path in Page/List module is missing (thanks to Steffen Gebert)

2009-07-19  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #6875: IRRE - Sorting of child records is inverted on moving parent record to different page (thanks to Nabil Saleh)

2009-07-09  Martin Kutschker  <masi@typo3.org>

	* Fixed bug: same error message is used twice for different errors

2009-07-08  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #11412: Using typolinkLinkAccessRestrictedPages does not take different domain names into account

2009-07-03  Michael Stucki  <michael@typo3.org>

	* Release of TYPO3 4.2.8
	* Follow-up to issue #11391: Backport of the admin button was only half-way finished, in fact it was never visible due to a missing variable

2009-07-02  Ingo Renner  <ingo@typo3.org>

	* Release of TYPO3 4.2.7

2009-07-01  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to issue #11009: External links get prepended with base url in RTE htmlArea in Firefox 3.0.11/3.5b4

2009-06-29  Michael Stucki  <michael@typo3.org>

	* Added feature #11391: Add a button to let admins create the file ENABLE_INSTALL_TOOL from the backend (since it is automatically removed after 1 hour since this version) - thanks to Steffen Kamper who wrote this code!

2009-06-29  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #6215: MENU before/after* might create invalid HTML output (Thanks to Nabil Saleh)

2009-06-28  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #10136: tslib_pibase page browser may hurt search engines by the incorrect "Next" link (On behalf of Dmitry Dulepov)

2009-06-23  Michael Stucki  <michael@typo3.org>

	* Fixed bug #11369: jumpUrl should only allow files matching fileDenyPattern (thanks to Ingmar Schlecht)
	* Fixed bug #11368: Ignore ENABLE_INSTALL_TOOL file if it is older than one hour

2009-05-18  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #11009: External Links get prepended with http://typo3 in the RTEhtmlarea in Firefox 3.0.11/3.5b4

2009-06-02  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #11247: No labels in admin panel when editing a content element in the frontend

2009-06-02  Christian Kuhn  <lolli@schwarzbu.ch>

	* Reverted fix for bug #2178: It introduces new behavior and leads to extensions depending on patch level releases

2009-06-02  Steffen Kamper  <info@sk-typo3.de>

	* Reverted #9849 as this wasn't present in 4.2.0
	* Fixed bug #9849: edit-wideDocument was removed, bring it back

2009-05-31  Christian Kuhn  <lolli@schwarzbu.ch>

	* Fixed bug #11218: Typo in typo3/init.php

2009-05-22  Oliver Hader  <oliver@typo3.org>

	* Reverted bug #11087 from rev 5442: Selecting more than one item in a selector box is not possible anymore

2009-05-20  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10861: Eval of double2 doesn't work

2009-05-19  Ingo Renner  <ingo@typo3.org>

	* Follow up to #8561: Checkboxes and labels are aligned badly if in one line (credits Susanne Moog)

2009-05-19  Benjamin Mack  <benni@typo3.org>

	* Fixed #11087 and #6372: TCEForm does not replace the existing element if adding a new element to a field with maxitems=1

2009-05-19  Francois Suter  <francois@typo3.org>

	* Clean up #11118: Reduce memory usage of db_list_extra

2009-05-18  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #8701: Bug: options.moduleMenuCollapsable = 0 doesn't have any effect

2009-05-16  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #10165: FlexForms: wrong mm-relations after copy and localize (thanks to Peter Kuehn)

2009-05-13  Michael Stucki  <michael@typo3.org>

	* Fixed bug #11063: Wrong Content-length header breaks frontend output in some cases (thanks to Georg Kuehnberger)

2009-05-08  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #11053: TYPO3_DB uses $GLOBALS['TYPO3_DB'] instead of $this (thanks to Stefan Geith)

2009-05-08  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #11040: ENGINE modifier in ext_tables.sql cannot be parsed

2009-05-05  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #8212: IRRE - Adding new child elements does not work on root page

2009-04-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #10982: htmlArea RTE: Broken link to css in some dialogue windows with Firefox 3.0.9 and TYPO3 4.2

2009-04-24  Christian Kuhn  <lolli@schwarzbu.ch>

	* Fixed bug #10977: Copyright in TYPO3 comment still 2008 (Thanks to Johannes Feustel)
	* Fixed bug #10823: IRRE long titles on groupdb fields are displayed wrong (<span title) (Thanks to Nabil Saleh)

2009-04-21  Patrick Broens  <patrick@patrickbroens.nl>

	* Fixed bug #10939: Wrong nesting of <ul> <li> tags in expanded mount root in module file > filelist

2009-04-21  Ingo Renner  <ingo@typo3.org>

	* Fixed icon in t3skin for refresh

2009-04-20  Tobias Liebig <mail_typo3@etobi.de>

	* Fixed issue #9051: t3editor / On Mac Os X the key combination CMD+LEFT will close the t3editor

2009-04-20  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10759: RemoveXSS is incompatible with PHP >= 5.2.8

2009-04-17  Christian Kuhn  <lolli@schwarzbu.ch>

	* Fixed bug #2178: template::getTabMenu doubles ampersands (thanks to Stefano Kowalke)

2009-04-16  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10735: Wrong returnUrl with clipboard actions
	* Fixed bug #8795: Update button in User Admin -> Compare user settings doesn't work in IE7

2009-04-09  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #10847: htmlArea RTE: undo/redo is erratic in IE8
	* Fixed issue #10665: RTE loads skin stylesheet with title attribute which prevents Firefox from applying the stylesheet

2009-04-09  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #8882: drag & drop of section elements and IRRE records does not work if frame has to be scrolled (thanks to Sebastian Fuchs & Helmut Hummel)

2009-04-08  Christian Kuhn  <lolli@schwarzbu.ch>

	* Fixed bug #10266: No user authentication for >1 TYPO3 installation under one domain (Thanks to Marcus Krause)

2009-04-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to issue #10834: htmlArea RTE: IE8 now uses standard name for DOM class attribute

2009-04-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10203: RTE does not work in TemplaVoila FCE Section

2009-04-04  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10761: Searching for specific record opens "edit record" in wrong frame

2009-04-03  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #10837: htmlArea RTE: IE8 reports unknown "complete" attribute on img nodes
	* Fixed bug #10836: htmlArea RTE: RTE leaves unwanted id attribute on inserted table in IE8
	* Fixed bug #10844: htmlArea RTE: IE8 creates erroneous ranges when selection is empty
	* Updated htmlArea RTE version to 1.7.10

2009-04-03  Ingo Renner  <ingo@typo3.org>

	* Fixed bug #10838: t3lib_cs->utf8_decode() does not check whether the target charset is utf8

2009-04-02  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #10834: htmlArea RTE: IE8 now uses standard name for DOM class attribute
	* Fixed issue #10747: htmlArea RTE: Inserting a table in IE8 may fail

2009-03-31  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #10567: Added IE8+ support / Get rid of browser version dependent t3lib_div::clientInfo() (Thanks to Steffen Gebert)

2009-03-31  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #10431: Call to undefined method SC_wizard_list::printContent()

2009-03-27  Francois Suter  <francois@typo3.org>

	* Fixed issue #10798: Flag sectionIndex is not used for "menu of subpages + sections" (thanks to Xaviers Perseguers)

2009-03-26  Patrick Broens  <patrick@patrickbroens.nl>

	* Fixed bug #10768: Small rendering/css bug on FE with Text with image

2009-03-26  Rupert Germann  <rupi@gmx.li>

	* Fixed bug #10723: Ambiguous description of the "lifetime" option in Install Tool (thanks to Dan Osipov)

2009-03-23  Jeff Segars  <jeff@webempoweredchurch.org>

	* Fixed bug #10410: Generation of encryption key does not work in IE7 (thanks to Steffen Mueller)

2009-03-21  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #10663: felogin - Invalid XHTML Code in logout form (thanks to Stano Paska)

2009-03-20  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #10742: LOCAL_LANG default values are overwritten by localized text (thanks to Mathias Gisch)

2009-03-18  Steffen Kamper  <info@sk-typo3.de>

	* Fixed Bug #9359: XML Problems with PHP5 and libxml

2009-03-11  Francois Suter  <francois@typo3.org>

	* Fixed issue #10573: CSH external Links in seeAlso not working (thanks to Steffen Mueller)
	* Fixed issue #3682: im_version_5 is always reset to im5 when using ImageMagick 6.x (thanks to Andreas Wolf and Steffen Gebert)

2009-03-10  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #10656: htmlArea RTE: Initialization fails in presence of Firefox extension Ant.com Toolbar 1.3

2009-03-10  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #10648: JavaScript error is show when starting the install tool with the standard password

2009-03-06  Jeff Segars  <jeff@webempoweredchurch.org>

	* Fixed bug #5822: Indexed Search section menu includes pages with "hide in menu" flag (thanks to Andy Grunwald)

2009-03-01  Jeff Segars  <jeff@webempoweredchurch.org>

	* Fixed bug #10528: Wrong content in pagetree frame after page creation in Opera

2009-02-28  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #4367: Reset recs with clear_all should reset as array, not as string (Thanks to Christian Kuhn)

2009-02-27  Michael Stucki  <michael@typo3.org>

	* Fixed bug #3949: Files in typo3temp/GB have wrong permissions (thanks to Christian Kuhn)
	* Follow-up to #10083: Constant styles.content.imgtext.separateRows has a wrong default value. This was changed accidentally during a bugfix on 2009-01-09. Reverting back to the old bahaviour (4.2.3 and before). Thanks to Adrian Fischer for pointing this out!

2009-02-27  Ingo Renner  <ingo@typo3.org>

	* Fixed bug #10210: Admin tools > User Admin icons point to wrong user in Opera browser (credits David Steeb)

2009-02-27  Francois Suter  <francois@typo3.org>

	* Fixed bug #10417: Remove debugging code from sysext t3skin (thanks to Markus Krause)

2009-02-27  Benjamin Mack  <benni@typo3.org>

	* Fixed Bug #10536: Hardcoded backend main dir in typo3/classes/class.typo3logo.php (Thanks to Christian Kuhn)
	* Fixed #10490: Code cleanup/Bugfix: Add some sql_free_result to the admin_get_* functions (Thanks to Oliver Klee)

2009-02-27  Francois Suter  <francois@typo3.org>

	* Fixed bug #10313: Fileadmin-module wrongly allows creation of trailing dot directories on UTF8 FS (Thanks to Steffen Gebert)

2009-02-21  Ingo Renner  <ingo@typo3.org>

	* Follow-up for bug #9705: Moving page in WS will hide it from editors due to missing access settings of placeholder (thanks to Marcus Krause)

2009-02-20  Oliver Hader  <oliver@typo3.org>

	* Follow-up to bug #10451: Fixed flaws in PATH_INFO check for simulateStaticDocuments

2009-02-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #8905: option+space for inserting non-braking space on Mac OSX does not work properly

2009-02-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10482: htmlArea RTE: Find & replace sometimes leaves marks in the content

2009-02-18  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10453: Wrong text for "upload file" in link popup

2009-02-18  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #10451: Evaluation PATH_INFO in tslib_fe::checkAlternativeIdMethods() sets false positives

2009-02-17  Jeff Segars <jeff@webempoweredchurch.org>

	* Fixed bug #10256: Remove references to gzip encode from File and Access modules (thanks to Thomas Hempel, backport from trunk patch by Dmitry Dulepov)

2009-02-13  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #5548: cli_dispatch.phpsh will not run on CGI API (Thanks to Steffen Gebert)

2009-02-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9805: RTE and DAM element browsers show wrong colours

2009-02-10  Ingo Renner  <ingo@typo3.org>

	* Release of TYPO3 4.2.6

2009-02-10  Michael Stucki  <michael@typo3.org>

	* Fixed bug #10364: Jumpurl feature allows to access arbitrary files on a server (thanks to the TYPO3 Security Team and especially Marcus Krause)
	* Fixed bug #10298: Various XSS issues in the BE user admin module (thanks to Jelmer de Hen and Dmitry Dulepov)

2009-02-08  Ingo Renner  <ingo@typo3.org>

	* Fixed bug #9861: Second page of results in list-module with ordering flaw (credits Christian Kuhn)

2009-02-07  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE version to 1.7.9 for TYPO3 4.2.6

2009-02-07  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #10368: Wrong clear.gif path in dyntabs

2009-02-05  Francois Suter  <francois@typo3.org>

	* Fixed bug #10346: l10n_display option abusively hides field for "All" languages when set to defaultAsReadonly

2009-02-05  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #9266: Bug: strcmp() with array as parameter in t3lib_div::linkThisScript() produces warnings with PHP 5.3 (Thanks to Niels Pardon)

2009-02-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10352: htmlArea RTE: Shift+Enter raises exception in Safari

2009-02-03  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9894: htmlArea RTE: copy/cut/paste with hotkeys does not work in some browsers/settings
	* Follow-up for bug #10326: htmlArea RTE: Cleaning on paste broken in older versions of Mozilla/Firefox
	* Fixed bug #10337: htmlArea RTE: Allow Clipboard Helper does not work with Firefox 3

2009-02-03  Francois Suter  <francois@typo3.org>

	* Fixed bug #1527: t3lib_svbase: Method init returns wrong value  (thanks to Stefano Kowalke and Michael Miousse)

2009-02-03  Jeff Segars  <jeff@webempoweredchurch.org>

	* Fixed bug #9600: Frontend Edit Panel is not compatible with subdomains and RealURL (thanks to Xavier Perseguers)

2009-02-02  Ingo Renner  <ingo@typo3.org>

	* Fixed order of fields in TCEforms for table pages, type external URL which was inconsitant to the other types

2009-02-01  Ingo Renner  <ingo@typo3.org>

	* Fixed list minus bullet icon in t3skin, was missing a solid background

2009-02-01  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10323: htmlArea RTE: hotkey CTRL+0 is not honoured
	* Fixed bug #10324: htmlArea RTE: Configured hotkeys are not honoured in Safari
	* Fixed bug #10326: htmlArea RTE: Cleaning on paste broken in older versions of Mozilla/Firefox

2009-01-30  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #7123: Select wizard doesn't work in Safari (Thanks to Ismael Bidau)

2009-01-30  Francois Suter  <francois@typo3.org>

	* Fixed bug #10304: Links in the warning box are not visible as links (thanks to Georg Ringer)

2009-01-30  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10031: Icon in "text w/ picture" and "picture" does not change.
	* Fixed bug #10045 follow-up: removed call to non existent function
	* Fixed bug #10045 BUG missleading Errormessage with emtpy COA (thanks to Ingo Schmitt)

2009-01-28  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #10241: DB check ->Full search ->Advanced query always includes deleted field (Thanks to Christian Kuhn)

2009-01-27  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug  #10178: Toolbar menu fails if there are no menu items

2009-01-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9904: htmlArea RTE: RTE.default.buttons.table.properties.borderStyle.removeItems is not honored
	* Fixed bug #9905: htmlArea RTE: Table properties: Removing headers leaves an empty fieldset

2009-01-24  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9965: htmlArea RTE: IE jumps down to last RTE input
	* Fixed bug #9785: htmlArea RTE: Disabling images in RTE still leaves the toolbar button

2009-01-24  Ingmar Schlecht  <ingmar@typo3.org>

	* Release of TYPO3 4.2.5

2009-01-24  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #10205: DB session record is only created when user is authenticated (thanks also to Michael Stucki)

2009-01-20  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9345: Bug: CSV export includes _CLIPBOARD_ in header row (thanks to Christian Kuhn)

2009-01-20  Ingo Renner  <ingo@typo3.org>

	* Release of TYPO3 4.2.4

2009-01-20  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9774: Incorrect validation of allowed classes in RTE transformation

2009-01-20  Ingmar Schlecht  <ingmar@typo3.org>

	* Fixed bug #10186: Time shifting (again) in datetime fields (followup to Bug#8746; thanks to Ernesto Baschny)
	* Fixed bug #10146: Session fixation vulnerability in user authentication (thanks to the TYPO3 Security Team and especially Marcus Krause)
	* Fixed bug #10159: XSS vulnerability in workspace module (thanks to the TYPO3 Security Team and especially Marcus Krause)

2009-01-20  Ingo Renner  <ingo@typo3.org>

	* Added missing license statement for using the "Silk" icon set of Mark James according to Creative Commons Attribution 2.5
	* Fixed bug #10134: XSS vulnerability in sysext indexed_search (thanks to the TYPO3 Security Team and especially Marcus Krause)
	* Fixed bug #10133: Command execution in sysext indexed_search (thanks to the TYPO3 Security Team and especially Marcus Krause)
	* Fixed bug #10154: Weak encryption key generation vulnerability in sysext install (thanks to the TYPO3 Security Team, and especially Marcus Krause)
	* Fixed bug #9705: Moving page in WS will hide it from editors due to missing access settings of placeholder (thanks to Franz-Xaver Koch and Michael Stucki)

2009-01-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9935: htmlArea RTE: enableWordClean on paste does not work when hidden button is not in toolbar

2009-01-19  Steffen Kamper  <info@sk-typo3.de>

	*  Fixed bug #10183: [felogin] redirect doesn't work with return_url

2009-01-18  Francois Suter  <francois@typo3.org>

	* Cleanup #10125: Replace deprecated function calls in sysext indexed_search (thanks to Markus Krause)

2009-01-17  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #7677: Constants are not correctly substituted on some PHP5 distributions

2009-01-16  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9307: Remove an obsolete check for disable_exec_function in filelist
	* Fixed bug #10157: t3lib/config_default.php textfile_ext should be updated to include xml and other text types

2009-01-15  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10057: hide/unhide page causes error when done via the context menu
	* Fixed bug #10158: change of url only (com => org)
	* Fixed bug #8787: titles length in list module (thanks to Stefano Cecere)

2009-01-14  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10140: htmlArea RTE: Alignment of td's and th's in out-of-the-box installation

2009-01-14  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10143 spamProtectEmailAddresses_atSubst does not work correctly if linktext contains email address with uppercase charachters (thanks to Helmut Hummel)

2009-01-14  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #10116: Remove/protect adodb testfiles (thanks to Marcus Krause)

2009-01-13  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #10109: Google reports duplicate title tag
	* Fixed bug #10120: Add .buildpath to svn:ignore

2009-01-12  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #8991: IRRE - Sorting icons of inline records are in wrong order

2009-01-11  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #5630: Install tool removes dots from admin usernames (thanks to Stefano Kowalke)
	* Fixed bug #10090: Hanging record sets in t3lib_TCEmain

2009-01-11  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9825: Copy / Cut icons don't respect t3skin: drag'n'drop in pagetree (credits to Susanne Moog)

2009-01-09  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #10083: Constant styles.content.imgtext.separateRows is not defined

2009-01-08  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9596: htmlArea RTE does not work in IRRE subelements

2009-01-08  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #9893: Syntax error in TCA types definitions of tt_content

2009-01-08  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #9194: Bug: wrong handling of 'is_in' list in TCA element type 'input' (Thanks to Vladimir Podkovanov)

2009-01-07  Francois Suter <francois@typo3.org>

	* Fixed bug #10075: Rootline cache does not work in multilingual websites

2009-01-05  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #10055: Add contrib directory to list of allowed paths (thanks to Dan Osipov)
	* Fixed bug #9506: label uid shows not working
	* Fixed bug #10056: Misspelling english word "guesbooks"

2009-01-03  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #10047: typo3/contrib is not prefixed with config.absRefPrefix

2009-01-01  Benjamin Mack  <benni@typo3.org>

	* Fixed bug #8361: Stage change notification emails not send when publishing from Live workspace (Thanks to Andreas Wolf)

2008-12-30  Francois Suter <francois@typo3.org>

	* Fixed bug #10035: Function index not up to date in class t3lib_div

2008-12-29  Ernesto Baschny  <ernst@cron-it.de>

	* Fixed bug #8746: Date/time field problem with timezone shifting when using the "+NN", "d" or "d+NN" shortcuts
	* Fixed bug #10033: Date/time field shortcut "d" doesn't work on already filled date fields since 4.2.0
	* Fixed issue that on a datetime field entering just a "date" wasn't possible: It is now, and time will be set to "0:00"

2008-12-29  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9773: Fallback for skinImg having forceFileExtension
	* Fixed bug #8205: Shortcut ends in parse_url-error
	* Fixed bug #10022: Pagecontent/Hidden has no effect

2008-12-25  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #10012: TYPO3 generates incorrect ETag

2008-12-24  Francois Suter <francois@typo3.org>

	* Fixed bug #9948: Label rm.clearCache_pages was abusively removed from core lang file

2008-12-23  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9999: Setting [BE][compressionLevel]=true causes problems

2008-12-23  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9810: ClearCacheMenu doesn't work when click on icon

2008-12-22  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9977: Extensions class.ext_update.php scripts are executed even when extension isn't loaded

2008-12-20  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #8952: Flags are missing
	* Fixed bug #8525: added Korean flag

2008-12-18  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9772: t3lib_parsehtml_proc does not provide Page TSConfig to user-defined RTE transformations

2008-12-18  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #7265: Submodules of Web module can't work with mod.php and the _DISPATCH system

2008-12-18  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9947: gzip compression does not work in BE at all
	* Fixed bug #9741: wrong anchor links with absRefPrefix option enabled (thanks to Stefan Galinski)

2008-12-18  Ernesto Baschny  <ernst@cron-it.de>

	* Fixed bug #9511: getHtmlTemplate should use resolveBackPath. Fixes bug for extension BE modules using templates in certain environments (symlinked typo3/ dir) (thanks to Steffen Gebert)

2008-12-10  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9836: RTE TSconfig lost when uploading files or creating folders

2008-12-09  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9915: Typing error in tslib_content ($gifCreateor => $gifCreator)

2008-12-08  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9890: sectionIndex in Menu doesn't work

2008-12-03  Martin Kutschker  <masi@typo3.org>

	* Fixed bug #6415: preg_replace error on PHP 5.2 sometimes resulting in empty pages (thanks to Francois Suter)

2008-12-02  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE version to 1.7.8 for TYPO3 4.2.4
	* Fixed bug #9878: htmlArea RTE: js error may be raised when loading through IRRE Ajax call

2008-12-01  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9790: class.gzip_encode.php fails with open_basedir restrictions

2008-12-01  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9864: felogin: Drop languages from locallang.xml

2008-11-29  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9862: missing class for checkbox in t3editor

2008-11-27  Dmitry Dulepov  <dmitry.dulepov@gmail.com>

	* Fixed bug #8944: PHP-Error in class.em_index.php on line 4333

2008-11-25  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #8561: Checkboxes and labels are aligned badly if in one line
	* Fixed bug #9725: double enquote in t3lib_htmlmail of returnPath

2008-11-24  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9806: Mountpoints do not work across domain boundaries

2008-11-22  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #9798: Don't show fe_users password in page module

2008-11-13  Steffen Kamper  <info@sk-typo3.de>

	* Fixed bug #8903: redirect url is not passed with get/post method

2008-11-12  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9755: Incorrect initialization sequence in class browse_links

2008-11-11  Ingo Renner  <ingo@typo3.org>

	* Release of TYPO3 4.2.3

2008-11-11  Michael Stucki  <michael@typo3.org>

	* Fixed bug #5611: Frontend preview and simulate time is buggy

2008-11-04  Ingo Renner  <ingo@typo3.org>

	* Fixed bug #9681: the Wrap for forgotMessage in the subpart ###TEMPLATE_FORGOT### does not work (credits Steffen Kamper)

2008-11-04  Martin Kutschker  <masi@typo3.org>

	* Fixed bug #9734: User selector in Web>Access doesn't work (thanks to Andreas Kundoch)
	* Fixed bug #9717: t3lib_parsehtml_proc removes valid attributes of SPAN tags

2008-11-01  Martin Kutschker  <masi@typo3.org>

	* Fixed bug #8715: non-admins can not import pages from their own directory (thanks to Johannes Pieper)

2008-11-01  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #9632: Multiple fileuploads into folders with special characters (umlauts) not possible (thanks to Marcus Krause)

2008-10-31  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #9571: Additional condition required to check SSL status in class.t3lib_div.php (thanks to Christian Kuhn)
	* Fixed bug #9659: TCEmain wrongly tests required input-type fields (thanks to Francois Suter)

2008-10-28  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #9655: Call to t3lib_div::devLog() without key in index_ts.php (thanks to Francois Suter)
	* Fixed bug #9623: Flexform sections are not working anymore since script.aculo.us is not loaded
	* Fixed bug #9664: EM fails on retrieving files of uppercase extension keys (thanks to Marcus Krause)
	* Fixed bug #9665: t3lib_BEfunc has a lot of hanging SQL record sets

2008-10-22  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #5019: htmlArea RTE hangs while editing link in Firefox
	* Updated htmlArea RTE version to 1.7.7 for TYPO3 4.2.3
	* Fixed bug #9613: RTE uses JScodeLibArray to insert CSS

2008-10-21  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #9553: Form validation script jsfunc.validateform.js sometimes fails in IE (thanks to Vladimir Podkovanov)
	* Fixed bug #9608: Frontend Editing does not work anymore

2008-10-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE manual

2008-10-19  Michael Stucki  <michael@typo3.org>

	* Fixed bug #9535: Folder icons in filelist file tree don't get skinned anymore (patch by Francois Suter)
	* Fixed bug #9497: Edit in Rich Text Editor - Button does not work anymore in Web>Page (patch by Oliver Hader)

2008-10-18  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9480: Bug/cleanup: Enhance debug information with SQL data

2008-10-17  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9498: Bug: EM "Check for extension updates" always warns about changes

2008-10-14  Martin Kutschker  <masi@typo3.org>

	* #9501: Titles of content columns in classic page module doesn't take into account backend charset (thanx to Steffen Kamper and Vladimir Podkovanov)

2008-10-14  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9523: class.t3lib_htmlmail.php produces null headers in HTML messages

2008-10-04  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9522: t3lib_BEfunc::BEenableFields generates invalid SQL
	* Fixed bug #9469: Failed to load magic database

2008-10-08  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9516: htmlArea RTE: Move link tags to head

2008-10-06  Ingo Renner  <ingo@typo3.org>

	* Release of TYPO3 4.2.2

2008-10-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9490: htmlArea RTE: Opera 9.52 sometimes refuses to insert a node

2008-10-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up for issue #9472: htmlArea RTE: Safari may crash when the RTE closes
	* Fixed bug #9484: htmlArea RTE: context menu raises an error when link button is not configured

2008-10-04  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9479: Selected items are not visible after saving the form in BE

2008-10-02  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9444: htmlArea RTE: Incorrect assigment of class to one line <ol> in Firefox
	* Updated htmlArea RTE manual
	* Fixed bug #9472: htmlArea RTE: Safari may crash when the RTE closes

2008-10-01  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9464: htmlArea RTE: url auto-detect feature not working in Firefox

2008-10-01  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #9442: SQL LIKE wildcards are not escaped correctly for list queries

2008-09-29  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9449: htmlArea RTE: Opera sometimes raises a JavaScript error when the RTE closes

2008-09-28  Oliver Hader  <oliver@typo3.org>

	* Fixed bug #8518: Wrong JavaScript inclusion in t3lib_TCEforms
	* Fixed bug #9335: Internal caching in t3lib_pageSelect::getRootLine() has no effect

2008-09-27  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9412: config.absRefPrefix can force wrong URL when linking across domains

2008-09-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9386: Acronym plugin encoding problem

2008-09-23  Martin Kutschker  <masi@typo3.org>

	* Fixed bug #9411: Editors cannot create new translations of pages

2008-09-21  Jeff Segars <jeff@webempoweredchurch.org>

  * Fixed bug #8719: File upload ends up in parse_url error on Windows (thanks to Steffen Kamper)

2008-09-21  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8578: Umlauts get displayed wrong in Web>Access module after updating rights (Thanks to Tobias Liebig and Susanne Moog)

2008-09-20  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #9384: FE session hijacking

2008-09-18  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #8950: page id not availabe in TCEmain hook clearCachePostProc
  * Fixed bug #8588: Admin tools -> User Admin -> List users online broken when [BE][lockIP] is set to < 4

2008-09-18  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #9331: htmlArea RTE Acronym feature: List of unabridged terms shows wrong values
  * Fixed bug #9320: Adding a new mount-type "readonly" for temporary filemounts (thanks to Steffen kamper)

2008-09-16  Stanislas Rolland  <typo3@sjbr.ca>

  * Follow up to #9354: htmlArea RTE: no default css rule is provided for indentation: px to em

2008-09-16  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #9360: TypoScript Object Browser interprets HTML Tags in comments (Thanks to Stefano Kowalke)

2008-09-15  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #9310: table border colour popups appear only when textcolour button is shown
  * Fixed bug #9354: htmlArea RTE: no default css rule is provided for indentation

2008-09-14  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #9172: Wrong display of deleted owners and groups in Web->Access->Permissions (thanks to Johannes Pieper)

2008-09-14  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #9308: htmlArea RTE: link on colour name doesn't set colour

2008-09-13  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #9277: Incorrect size of htmlArea RTE dialogue windows in Google Chrome browser
  * Fixed bug #9338: htmlArea RTE: incorrect opening size of some dialogue windows
  * Fixed bug #9339: htmlArea RTE: Enable resizing of acronym dialogue window in IE
  * Fixed bug #9341: htmlArea RTE: unable to disable the acronym element from the acronym feature

2008-09-11  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8644: Usersettings with fullHelptextMode looks weird (thanks to Steffen Kamper)

2008-09-10  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #9315: Description of tslib_fe::includeTCA is incorrect

2008-09-09  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #9268: TCA is not loaded in FE when config cache is disabled

2008-09-08  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #9312: felogin: uninitialized vars (Thanks to Steffen Kamper)
  * Fixed bug #9282: Allow subkeys for TypoScript "config." array

2008-09-08  Stanislas Rolland  <typo3@sjbr.ca>

  * Follow-up to issue #8996: htmlArea RTE: link to file not updated when changing case in file name
  * Fixed bug #9022: Link-Icon stays grey while trying to link an image in ie7
  * Fixed bug #3546: htmlArea RTE: wrong charset used by mb_regex in spell checker

2008-09-07  Stanislas Rolland  <typo3@sjbr.ca>

  * Follow-up to #9296: htmlArea RTE: remove upload form when element browser is in readOnly mode

2008-09-07  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #9301: Missing colorization in Localization Overview of the page tree, credits Steffen Kamper

2008-09-07  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #8677: FE login redirect after logout does not work (thanx to Steffen Kamper)

2008-09-04  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #9296: htmlArea RTE: remove upload form when element browser is in readOnly mode

2008-09-04  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #9227: Group field in Flexforms with a single table does not show selected items

2008-09-03  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #8532: enhance TYPO3 manual (inline)

2008-09-02  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #8508: String "Important Notice" in About Modules is hardcoded

2008-09-01  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #9261: Indentation set with div section in htmlArea RTE is not rendered correctly in FE

2008-09-01  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #9249: Misspelling in Install tool (thanks to Christian Kuhn)
  * Fixed bug #2642: Bug: Directories named 0 break directory listing and you cannnot create a directory with name 0 (thanks to Rob Vonk & Christian Kuhn)

2008-08-30  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #9255: External URLs cannot be set in RTEhtmlarea anymore

2008-08-29  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #6601: fixed mount point issues with the local page tree cache
  * Fixed bug #9160: New option "index_metatags" not available in crawler / crawler-hooks (thanx to Christian Trabold)

2008-08-26  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #9041: Uninitialized array in class.browse_links.php

2008-08-25  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed issue #9196: In htmlArea RTE, unable to create an external URL containing german umlauts

2008-08-21  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #8826: calls to ini_set produces warnings

2008-08-20  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #5205: pi_loadLL() + no language file == full path disclosure

2008-08-19  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #9197: Misbehaviour of DAM media tab in htmlArea RTE link insertion dialogue

2008-08-18  Stanislas Rolland  <typo3@sjbr.ca>

  * Added feature #9109: Enable altMountPoints feature in RTE element browser (Thanks to Steffen Kamper)

2008-08-18  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #9141: Update Wizard uses wrong scheme to write compat_version to localconf.php
  * Fixed bug #9152: Deprecated code into stdgraphic

2008-08-15  Benjamin Mack <benni@typo3.org>

  * Fixed bug #6574: Template nextlevel with size=3 & allowed = 1 (Thanks to Georg Ringer)

2008-08-12  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #8988: htmlArea RTE: Pasting text from MS Word to Firefox 3 brings a lot of garbage

2008-08-11  Benjamin Mack  <benni@typo3.org>

  * Fixed #8259: Cleanup: Call to t3lib_div::devLog() without key (Thanks to Francois Suter)

2008-08-11  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #8996: htmlArea RTE: link to file not updated when changing case in file name
  * Added feature #9157: htmlArea RTE EM setting for DAM becomes deprecated with DAM 1.1+
  * Follow-up on feature #9157: htmlArea RTE EM setting for DAM - correcting test on DAM version
  * Updated htmlArea RTE version to 1.7.6 for TYPO3 4.2.2

2008-08-11  Ingo Renner  <ingo@typo3.org>

  * Reverted Change from 2008-08-06 in t3lib_div leading to nonfunctional clipboard

2008-08-07  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #1897: Basic Configuration uses different scheme to write im_path to localconf.php

2008-08-06  Ingo Renner  <ingo@typo3.org>

  * Fixed bug: PHP 5.3 throws a warning in class.t3lib_befunc.php on line 3348: trim() expects parameter 1 to be string, array given
  * Fixed bug: PHP 5.3 throws a deprecation warning in typo3/mod/tools/em/class.em_soap.php on lines 108, 112, 115, 213, 218: Assigning the return value of new by reference is deprecated
  * Fixed bug: PHP 5.3 throws a warning in class.t3lib_div.php on line 3286: strcmp() expects parameter 1 to be string, array given

2008-08-05  Dmitry Dulepov  <dmitry@typo3.org>

	* Fixed bug #6992: t3ib_refindex requires t3lib_BEfunc but does not include it
  * Fixed bug #8255: Problems with PHP mail function on Windows

2008-08-01  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #9099: Wrong path to pages.gif in linkbrowser (Thanks to Xander Damen)

2008-07-31  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #2661: stdWrap filelist doesn't work directly in fileadmin/

2008-07-30  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #8948: phpDoc @internal hides public functions of t3lib_div in Eclipse
  * Fixed bug #9076: iso-ir-109 detected as iso-8859-2 instead of iso-8859-3
  * Fixed bug #5387: Creation of multiple folders in filelist module results in blank page (thanx to Christian Kuhn and Christopher Hlubek)

2008-07-25  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #9027: CSH was obsolete at the page-bottom in Web->Info (Thanks to Stefano Kowalke)

2008-07-23  Dmitry Dulepov  <dmitry@typo3.org>

  * Changed LICENSE.txt to reference GPL "version 2 or later"

2008-07-19  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8913: Empty tabs in DynTabMenu should not be selectable by default

2008-07-14  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #8566: Unable to match TS condition when variable is not set

2008-07-13  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #8697: Warnings when using MySql 4.0

2008-07-13  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #5476: links entered in <th>-tag with the RTE are not parsed on the frontend because parseFunc doesn't recognize <th> as cells (thanks to Daniel Ellermann)

2008-07-12  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #8864: Make TS config.absRefPrefix work with a changed location of fileadmin/. (fix by Bejamin Mack)
  * Fixed bug #8833: TCA "check" type field checkboxes have no labels when in 1-column display (thanks to Francois Suter)
  * Fixed bug #8922: setStage operation of t3lib_TCAmain::process_cmdmap() overwrites $id parameter making it inaccessible for post-processing hooks

2008-07-11  Michael Stucki  <michael@typo3.org>

  * Fixed bug #8941: Fixed an uninitialized array that might lead to PHP warning (Thanks to Ralf Hettinger)

2008-07-09  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #8851: navFrameScript is not loaded for submodules (thanks to Christian Ehret)
  * Fixed bug #8904: Menu of subpages renders target="{$content.pageFrameObj}" (Thanks to Steffen Kamper)

2008-07-07  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #8703: More Options>Access wasn't being shown in the pages click-menus (Thanks to Andreas Wagner)

2008-07-03  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #7711: Element browser ignores "Hide in menu" flag (Thanks to Christian Kuhn)
  * Fixed bug #8840: Wrong title of edit icon of "Include basis template" section when editing template records (Thanks to Christian Kuhn)

2008-07-01  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #8506: Fileadmins folder overview need a gap between folder path and file amount (Thanks to Stefano Kowalke)

2008-06-29  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #8368: Problem with RTE context menu when there is more than one RTE-enabled fields on the page

2008-06-27  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug 8314: rtehtmlarea: Argument 1 passed to t3lib_div::array_merge_recursive_overrule() must be an array, null given

2008-06-27  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #7159: _DEFAULT_PI_VARS in felogin (Thanks to Steffen Kamper)
  * Fixed bug #8761: tree.js - Typo in function parameter highlightID

2008-06-26  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #8660: htmlArea RTE configuration option formatblock.restrictToItems does not work

2008-06-25  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #8824: Missing label warning.install_enabled (thanks to Francois Suter)

2008-06-23  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #8792: htmlArea RTE undo is erratic in TYPO3 4.2

2008-06-22  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #8724: getElementsByClassName does not work properly in Firefox 3 and Safari 3.1 (thanks to Helmut Hummel)

2008-06-17  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #8717 (revisited): htmlArea RTE link browser does not honour correctly hooking browsers

2008-06-15  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #8716: htmlArea RTE: target configured on link class not honoured
  * Fixed bug #8716 (continued for dam): htmlArea RTE: target configured on link class not honoured
  * Fixed bug #8717: htmlArea RTE link browser does not honour correctly hooking browsers

2008-06-13  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #8239: Wrong parameter order for strpos in t3lib_div::getHostname

2008-06-11  Ingo Renner  <ingo@typo3.org>

  * Release of TYPO3 4.2.1

2008-06-11  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #8571: Moving backend search to the right

2008-06-11  Michael Stucki  <michael@typo3.org>

  * (security) Fixed a low-severity Cross Site Scripting issue in fe_adminLib.inc. For details, see http://typo3.org/teams/security/security-bulletins/typo3-20080611-1/ - thanks to Christian Seifert, Jeroen van Iddekinge and Arnd Messer for discovering and reporting this issue.

2008-06-11  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed #8674: Vulnerability of security bulletin typo3-20080611-1: Default value of fileDenyPattern allows arbitrary code execution on Apache (Patch by Henning Pingel, thanks!)

2008-06-10  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8264: t3ditor - "+" (plus) signs are replaced by spaces (Thanks to Tobias Liebig)
  * Fixed bug #8591: AJAX encoding is UTF-8, thus has problems with backend charsets (Thanks to Tobias Liebig)

2008-06-10  Jeff Segars  <jeff@webempoweredchurch.org>

  * Followup to bugfix #8108: Extension configuration options are not always shown (Thanks to Steffen Kamper)

2008-06-10  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8643: Inline CSH is not styled with t3skin (Thanks to Steffen Kamper)
  * Fixed bug #8483: Lines break when longer as the width of the window (Thanks to Tobias Liebig)
  * Fixed bug #8478: highlighting error (the next line after a ">" gets colored as "value") (Thanks to Tobias Liebig)
  * Fixed bug #2905: Followup - t3skin - Styling of tab menus is bad when hovering (Thanks to Ben van't Ende)

2008-06-10  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #8635: Side-effect of the fix for bug #7897: MM-relations, flexform and others got lost during copying/localizing

2008-06-10  Patrick Broens  <patrick@patrickbroens.nl>

  * Fixed bug #8422: Context Sensitive Help mode with "display full text messages"

2008-06-09  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #8509: Some labels in Module About are hardcoded, credits Christopher Stelmaszyk

2008-06-09  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #8637: Parameter $deleteUnused of parsehtml::substituteMarkerArray was deleting too much if no $wrap was set (thanks to Francois Suter)

2008-06-05  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #6998: Installation misses key-definition of table pages (Patch by Steffen Mueller)

2008-06-05  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #8271: OpenDocs Icons: Hardcoded labels in title and alt-attributes, credits Stefano Kowalke
  * Fixed bug #8615: Text in admin panel is too small

2008-06-05  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #8527: config.removeDefaultJS=1 leaves empty script block

2008-06-05  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #2905: t3skin - Styling of (non-dyn) tab menus is bad

2008-06-02  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #8033: Drag'n'drop in pagetree problem: Dragged menu items disappear under other menuitems, credits Susanne Moog

2008-06-02  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #8362: Duplicate entry for [tstamp] and [crdate] in Web->List module for single table in selector-box (thanks to Steffen Kamper)
  * Fixed bug #8573: TypoScript-Help is not displayed for non-Admins, credits Steffen Kamper

2008-05-31  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #8336: JavaScript error in TBE_EDITOR causes login expired dialog

2008-05-30  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #8554: installer doesn't check DB problems when creating admin user

2008-05-29  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #8270: hardcoded labels in title attributes of icons in top bar of BE interface (thanx to Stefano Kowalke)

2008-05-28  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #8522: Datetime shifts on copy and localize (timezone related)

2008-05-28  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8496: TCEforms: Help Icon is not in the docheader
  * Fixed bug #8504: help icon is not aligned in TCEform (Thanks to Steffen Kamper)
  * Fixed bug #8494: Admin Tools => DB Check => Find Filename has duplicate selectboxes

2008-05-27  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #8412: typo3/file_edit.php replaces ###PATH### in the edited file with the value of $this->title (thanks to Andreas Wagner)

2008-05-25  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #4455: pid reset to 10000 in Constant Editor

2008-05-24  Ingo Renner  <ingo@typo3.org>

  * removed empty line at end of file in t3lib/thumbs.php

2008-05-21  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #7509: TypoScript Editor doesn't save changes in IE

2008-05-20  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #8263: t3editor should not highlight decimals (thanks to Tobias Liebig)
  * Fixed bug #8049: Save button don't work when deactivating t3editor (thanks to Tobias Liebig)

2008-05-20  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #8445: Align group fields in TCEforms, credits Steffen Kamper
  * Fixed bug #8282: option-div is not styled in user-accesslist, credits Steffen Kamper

2008-05-20  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8460: Shortcutmenu needs a proper access check comment (thanks to Stefano Kowalke)
  * Fixed bug #8458: Backendsearchmenu needs a proper access check comment (thanks to Stefano Kowalke)
  * Fixed bug #8456: Browse Links does not use JS library interface

2008-05-19  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #7860: Coloring in TS Object Browser depends on "Crop Lines" (thanks to Steffen Kamper)

2008-05-19  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #8454: IRRE - Localization mode is not fetched correctly
  * Code cleanup: Fixed typing errors

2008-05-18  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #6576: typolink.addQueryString adds &= to the URL if QUERY_STRING is empty

2008-05-16  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #8277: Enable tabs in sys_workspaces  (thanks to Steffen Kamper)
  * Fixed bug #8439: Help icon in function module is double  (thanks to Steffen Kamper)
  * Fixed bug #8192: typoLink generates wrong links

2008-05-15  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #8348: htmlArea RTE: ctrl+c and ctrl+x do not work in IE with TYPO3 4.2
  * Updated htmlArea RTE version to 1.7.5 for TYPO3 4.2.1

2008-05-14  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #8385: Modified tslib_cObj::substituteMarkerArray() misses call parameter (thanks to Francois Suter)

2008-05-14  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #4693: tables definition not compliant with MySQL 5.0 strict mode

2008-05-11  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #8360: locallang.xml charset convertion dont work for LOCAL_LANG['default']

2008-05-07  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #8351: RTE.classes configuration not honoured by htmlArea RTE Insert/modify link class selector

2008-05-06  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #8330: Missing padding in select lists without icons (thanks to Uschi Renziehausen)
  * Fixed bug #8187: Cache Menu has problems with long names (german) (thanks to Steffen Kamper)

2008-05-04  Dmitry Dulepov  <dmitry@typo3.org>

  * Follow up on RFC: #7612 (cannot clear extension's FE cache from Backend) (by Oliver Klee)

2008-05-02  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #4022, #4060: TCAdefaults for MM-Fields did't work (patch by Bernhard Kraft)

2008-04-29  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #8272: Listview - warning icon goes to new line in iconblock (thanks to Steffen Kamper)

2008-04-28  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8265: no links in htmlmails (thanks to Ralf Hettinger)

2008-04-26  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #8254: htmlArea RTE sets invalid link to file selected using DAM media browser. Thanks to Xavier Perseguers.

2008-04-26  Ingo Renner  <ingo@typo3.org>

  * Removed redundant files from t3editor

2008-04-23  Ingo Renner  <ingo@typo3.org>

  * Release of TYPO3 4.2.0
  * Fixed a bug where Webkit Browsers would not correctly display the icons in the dropdown type selector of records like pages and content elements, credits Jeff Segars
  * Fixed Bug #8207: Creating shortcuts in backend.php does not work in modules other than web->list or file->filelist
  * Added login image for TYPO3 4.2
  * Update all ext_emconf.php in system extensions (part 2)

2008-04-23  Michael Stucki  <michael@typo3.org>

  * Remove obsolete warning in Extension Manager
  * Update all ext_emconf.php in system extensions (part 1)
  * Update version numbers of all system extension that have been changed since TYPO3 4.1

2008-04-22  Benjamin Mack  <benni@typo3.org>

  * Fixed visual bug: DB-List - No Space Between Table and Field-Selector

2008-04-22  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #8159: Infinite loop when trying to install extension with constraints and configuration
  * Fixed bug #8203: Broken icons when creating +ext template
  * Fixed bug #8204: Typo in extended list view for select fields

2008-04-22  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #8153: [left frame-width] left frame too small for german users, credits Steffen Kamper
  * Fixed several bugs with t3editor and IE #8157, #8049, #7509,#8146, credit Tobias Liebig
  * Changed order of cache and shortcut toolbar items
  * Changed call of json_encode in t3editor to t3lib_div::array2json
  * Added missing icon variants to t3skin, thanks to Helmut Hummel for generating them
  * Fixed typos in backend.php, credits Helmut Hummel

2008-04-22  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #8182: Fatal error on calling sysLog() of lock object if locking method is unknown
  * Fixed bug #8148: IRRE - Expanded or collapsed state of new child records is not handled correctly

2008-04-22  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #8174: Clear all caches should clear configuration cache as well (thanks to Steffen Kamper)
  * Fixed bug #8040: Bug: Wrong check on creating folders in filelist makes them unaccessible (thanks to Moreno Feltscher)

2008-04-20  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #8138: Search in Loaded Extensions not working
  * Fixed bug #8019: missing htmlspecialchars() in adminPanel
  * Fixed bug #8169: Admin functions tab visible for non admins (All patches above by Steffen Kamper)

2008-04-20  Ingo Renner  <ingo@typo3.org>

  * Added missing icons for tt_content when overlayed with different states, credits Helmut Hummel

2008-04-16  Ingo Renner  <ingo@typo3.org>

  * Release of TYPO3 4.2.0RC2

2008-04-16  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #4186 (correction): cropping didn't work for IM4/5 and GM (thanks to Helmut Hummel)

2008-04-16  Benjamin Mack  <benni@typo3.org>

  * HCI: Changed t3skin icon "new_file.gif"

2008-04-16  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #8001: Problems using link wizard in content elements, credits Ralf Hettinger
  * Marked typo3/alt_main.php as deprecated
  * Fixed bug #8060: preview in clickmenu of list-module on tt_content records broken
  * Added new icons for content elements in t3skin
  * Added new icons in t3skin to select image orientation in Text w/Image content elements
  * Added several other new icons in t3skin
  * Replaced icon for Web->Functions in t3skin
  * Fixed bug #8108: Extension configuration options are not always shown, credits Jeff Segars
  * Various Bugfixes for t3editor
	* Fixed bug #6812: Editor does not respect charset settings while saving with AJAX
	* Fixed bug #8049: TypoScript templates can't be saved at all after editing them using IE7/WinXP
	* Fixed bug #7314: In IE 6.0.2900 syntax highlighting, save indicator, keyword suggestion and undo isn't working
	* Moved CodeMirror into own directory
	* Switched from gluecode to hooks

2008-04-15  Benjamin Mack  <benni@typo3.org>

  * HCI: Small Changes for t3skin icons "upload.gif" and "pages_up.gif"

2008-04-15  Ingo Renner  <ingo@typo3.org>

  * Follow up to #7986: removed borders from list view when not in extended view, credits Steffen Kamper
  * Follow up to #7986: icons were breaking into a new line in IE6
  * Follow up to #7986: in some cases columns were not aligned, credits Steffen Kamper
  * Fixed bug #7900: Docheader scrollbar isn't at right side, credits Steffen Kamper

2008-04-14  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7986: Vertical aligned Icons in List-Module, credits Peter Niederlag, Steffen Kamper, sponsored by snowflake productions
  * Added new icons in t3skin for the help menu entries in the module menu

2008-04-14  Benjamin Mack  <benni@typo3.org>

  * Pre-code cleanup for #6670 (Tabs in Page Properties III)

2008-04-13  Michael Stucki  <michael@typo3.org>

  * Minor code cleanup (patch by Benni Mack)
  * Add CSH information for fe_login_mode (by Benni Mack)

2008-04-12  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #8064: Split does not work with returnKey = 0 (thanks to Dirk Weise)

2008-04-11  Oliver Hader  <oliver@typo3.org>

  * Renamed interface.t3lib_tceformsInlineHook.php to lowercase letters

2008-04-11  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #7897: Storage and display of datetime/time fields was broken (one hour shift) on DST (daylight saving time) changes

2008-04-11  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #8078: enhance debug stack trace reporting

2008-04-10  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8035: 123-Installer shows error in step 1 when no DB connection was set up yet.

2008-04-10  Dmitry Dulepov  <dmitry@typo3.org>

  * Added @var to typo3/sysext/beuser/mod/index.php

2008-04-09  Benjamin Mack  <benni@typo3.org>

  * t3skin: Exchanged icon which was still in use from oldskin

2008-04-09  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug 8066: Incorrect height of htmlArea RTE dropdown selectors in some browsers
  * Updated htmlArea RTE version number to 1.7.4

2008-04-08  Oliver Hader  <oliver@typo3.org>

  * Followup to #8014: Fixed bug with usage of t3lib_TCEforms::getDynTabMenu()

2008-04-08  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8041: EM has wrong image tag for headers in extension listing (Thanks to Steffen Kamper)

2008-04-07  Martin Kutschker  <masi@typo3.org>

  * Remove superfluos is_array() check in t3lib_div

2008-04-07  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #8005: Linking across domains does not work with nested domains

2008-04-06  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7992: rtehtmlarea does not work with Firefox 3 Beta 5
  * Fixed bug #8043: Highlighting text from right to left in htmlArea RTE is erratic in Firefox

2008-04-06  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8013: Felogin redirectMode does not work with spaces (Thanks to Steffen Kamper)
  * Fixed bug #7317: CSH popup not working in flexforms (Thanks to Kasper Ligaard)
  * Fixed bug #8028: Databases with an "-" in it can't be used (Thanks to Steffen Kamper)

2008-04-05  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #8014: Deactivated tabs in page-properties should be hidden

2008-04-04  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7990: htmlArea RTE color picker has no scrollbar

2008-04-04  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #8015: XHTML issue in felogin-template (Thanks to Steffen Kamper)

2008-04-03  Michael Stucki  <michael@typo3.org>

  * Fixed bug #8009: Wrong TS-Code because appendString cannot handle multiline strings (Thanks to Claudio Cathomen / ICSurselva)
  * Fixed bug #1537: Shortcut icon syntax incorrect/incomplete (Thanks to Soeren Schaffstein / d.k.d)

2008-04-03  Patrick Broens  <patrick@patrickbroens.nl>

  * Feature #7854: Docheader: Moving function menu to the left in second row (Thanks to Adrian Zimmermann / snowflake)

2008-04-03  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Feature #6896: TCA eval on TEXT field does not work (Thanks to Dan Jensen / Wildside)

2008-04-03  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #4575: Changes in alternative page language does not clear cache (Thanks to Bodo Eichstaedt / wmdb)
  * Fixed bug #4768: Missing is_array() check in tslib_fe::getStorageSiterootPids() (Thanks to Kian Gould / AOE media)

2008-04-03  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7496: exclude for header_position, header_link (Thanks to Michael Dengler / die digiparden)

2008-04-03  Sebastian Kurfuerst  <sebastian@typo3.org>

  * Fixed bug #7476: link in about module opens in the TYPO3 backend frameset (Thanks to Bodo Eichstaedt / wmdb)
  * Fixed bug #7991: Workspace Preview is not aware of domain records (Thanks to Kian Gould / AOE media)

2008-04-02  Ingo Renner  <ingo@typo3.org>

  * Added follow up patch for bug #6710: Use optgroups in selectorboxes

2008-04-02  Benjamin Mack <benni@typo3.org>

  * Fixed bug #7961: headListTags in class.t3lib_parsehtml_proc.php are hardcoded (Thanks to Steffen Kamper)

2008-04-01  Ingo Renner  <ingo@typo3.org>

  * Release of TYPO3 4.2.0RC1

2008-04-01  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #7975: Unskinnable icons because of hardcoded html (Thanks to Steffen Kamper)
  * Feature #7985: Beautify table for BE Log (Thanks to Steffen Kamper)

2008-04-01  Michael Stucki  <michael@typo3.org>

  * Fixed bug #7841: Remove COLLATE statement when creating new tables with the Install Tool
  * Fixed bug #7981: Replace ugly labels in BE Log module
  * Fixed bug #1585: Use t3lib_div::sysLog() whenever errors occur in tslib_fe. Additionally, add a new value "request_uri" to the "config.stat_apache_pagenames" property which allows logging of the REQUEST_URI server value (useful with RearUrl environments). Thanks to Steffen Kamper for taking care of these issues.
  * Fixed bug #7743: Install Tool: Create "admin" user did not work in 4.2-beta3
  * Fixed bug #7980: Indexed Search: Fix wrong TypoScript code in plugin template

2008-04-01  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #5998: Crawler/Index Config: hidden records are re-indexed, credits Christian Kuhn
  * Fixed bug #7831: List in Page module has wrong colors, credits Steffen Kamper
  * Changed private declarations to protected

2008-04-01  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #7943: Filelist has nested HTML (thanks to Steffen Kamper)
  * Fixed bug #7820: Task center iframes are only sized on load (thanks to Steffen Kamper)

2008-04-01  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #7977: Missing label for browse_links folder menu

2008-04-01  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #7784: Check for mail configuration is wrong on Windows
  * Fixed bug #7839: Linking between domains in the pagetree with checkRootline does not work with menus

2008-03-31  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #7768: TCEForms extraFormHeaders do not work with docheaders

2008-03-31  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #7954: XCLASSing ToolbarItem does not work (thanks to Steffen Kamper)
  * Fixed bug #7759: XCLASSing USER_INT objects does not work
  * Cleaned up code of scripts in typo3/classes/
  * Followup to #6087: Cleaned up code of IRRE localization
  * Cleaned up code of scripts in t3lib/ and typo3/
  * Fixed bug #7971: Missing icon in t3skin for header - tt_content_header.gif (thanks to Steffen Kamper)
  * Fixed bug #7976: prioriCalc does not work correctly

2008-03-31  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #7920: Filelist in IE 6 is not showing contents (thanks to Ingo Schmitt and Steffen Kamper)
  * Fixed bug #7957: Enable backend classes for xclassing (thanks Steffen Kamper)
  * Fixed bug #7962: Add icon to selected entry (currently icons are only shown in dropdown) (thanks to Kasper Ligaard)

2008-03-28  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7955: htmlArea RTE API provides incorrect popup url
  * Fixed bug #7958: htmlArea RTE undo/redo handler may cause errors in FF

2008-03-28  Oliver Hader  <oliver@typo3.org>

  * Added follow up to #7947: Changed order of applying locallang file back

2008-03-27  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #7947: IRRE - XCLASSes are not working with AJAX calls in t3lib_TCEforms_inline (thanks to Malte Jansen)

2008-03-26  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7944: htmlArea RTE: Configuration of mutually exclusive classes in very error prone
  * Fixed bug #7769: htmlArea RTE: Missing default class for tables

2008-03-24  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7934: HTMLArea RTE block style and text style may present disallowed classes

2008-03-24  Oliver Hader  <oliver@typo3.org>

  * Fixed bug: Field sys_template.include_static_file limited to 20 items

2008-03-22  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7923: htmlArea RTE cannot delete block via delete/backspace keys in IE 6 and IE7

2008-03-21  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #4250: ASCII transliteration did not expand Iclandic letters thorn and eth.
  * Fixed bug #7903: Use PHP5 features in class.t3lib_extmgm.php (final and static, thanks to Kasper Ligaard)
  * Fixed bug #7906: Use PHP5 features in class.t3lib_befunc.php (final and static, thanks to Kasper Ligaard))
  * Fixed bug #7909: Use PHP5 features in class.t3lib_iconworks.php (final and static, thanks to Kasper Ligaard))
  * Added feature #5726: Javascript mailform validation doesn't check fields of type 'file' (thanks to Loek Hilgersom and Peter Foerger)
  * Enhanced feature #6888: Disabling some or all controls in "group" field - controllable via pageTS

2008-03-21  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #7818: Login page: Hardcoded logo & labels instead of p tags (Thanks to Georg Ringer and Christian Kuhn)

2008-03-20  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7918: HTMLArea RTE: table width unit default not honoured when width is not set

2008-03-20  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #6907: "Conflicts" check ignores version

2008-03-20  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #7892: Unify User setup layout (Thanks to Steffen Kamper)

2008-03-18  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7307: Move 'Open Documents' to Header in the BE

2008-03-17  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7886: JS error raised in htmlArea RTE in IE5.5 when setting inline markup or text style
  * Fixed bug #7880: Insert table and borders in htmlArea RTE
  * Fixed bug #7890: htmlArea RTE: premature undo snapshot may cause JavaScript error to be raised

2008-03-17  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #4186: GIFBUILDER cropsized images have bad quality (thanks to Steffen Kamper)
  * Fixed bug #7634: Tabs disappear when BE-editing a record that contains IRRE
  * Fixed bug #7874: Page lock not released when error page was generated
  * Fixed bug #7883: Export wizard has no scrollbars (thanks to Steffen Kamper)

2008-03-17  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #7871: Extension with static data is not installed because of double form tag (thanks to Steffen)

2008-03-16  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7877: htmlArea RTE block style feature raises javascript errors in IE6
  * Fixed bug #7878: Extension cannot override a previously defined htmlArea RTE hotkey

2008-03-16  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #7793: Argument 1 passed to t3lib_div::arrayToLogString() in module setting must not be null (thanks to Steffen Kamper)
  * Fixed bug #7861: t3lib_div::mkdir() should suppress PHP warnings/errors (thanks to Francois Suter)
  * Fixed bug #7843: t3lib_div uses array_unshift() instead of array_shift() in getIndpEnv() (thanks to Christian Kuhn)

2008-03-16  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7396: hardcoded fieldset and legend around radio buttons
  * Fixed bug #7817: Transparent PNGs do not work in IE6
  * Fixed bug #7873: Wrong condition for IE6, credits Steffen Kamper
  * Fixed issue #7876: beautify the permissions module a bit
  * Code cleanup: replaced CVS with SVN
  * Updated Copyright notices

2008-03-15  Ingo Renner  <ingo@typo3.org>

  * Added follow up to #7588: Accesscheck for clearCache, credits Steffen Kamper
  * Fixed bug #7777: Hide Filter is not possible, credits Steffen Kamper

2008-03-15  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7857: htmlArea RTE: hidePStyleItems does not work anymore
  * Fixed bug #7867: htmlArea RTE undo/redo does not restore caret position
  * Fixed bug #7857 (revisited): htmlArea RTE: hidePStyleItems does not work anymore
  * Fixed bug #7867 (revisited): htmlArea RTE undo/redo does not restore caret position

2008-03-14  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7862: htmlArea RTE: incorrect nesting of ol/ul inside definition lists

2008-03-14  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7850: error in publish.php if errors in TCE should be shown, credits Daniel Poetzinger
  * Fixed page tree filter background in IE6

2008-03-13  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7851: htmlArea RTE causes memory leaks in IE
  * Fixed bug #7852: JS error raised in IE7 when closing htmlArea RTE
  * Fixed bug #7853: htmlArea RTE formatblock does not allow removing p or hx format in FF

2008-03-12  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #6064 (revisited): htmlArea RTE adds unwanted <p> tags in table cells

2008-03-12  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #7827: IRRE - Wrong mouse pointer on links to create/translate child records

2008-03-12  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7730: No hover in listview, credits Georg Ringer
  * Changed the order of options and access tab for pages, to be consistent with other records

2008-03-11  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7834: htmlArea RTE block operations may produce invalid document structure

2008-03-11  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7816: New page icon does not honor a selected page, credits Steffen Kamper

2008-03-11  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #7794: opendocs causes Javascript error in Internet Explorer (thanks to Steffen Kamper)
  * Fixed bug #7781: Constant Editor changes not saved in Internet Explorer

2008-03-10  Benjamin Mack  <benni@typo3.org>

  * Fixed bug #7810: t3skin: Cleanup of login stylesheet (thanks to Georg Ringer)
  * Fixed bug #7814: t3skin does not use proper icons

2008-03-09  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #7682: import extension page CSS errors (thanks to Steffen Kamper for hard work on this patch)

2008-03-08  Oliver Hader  <oliver@typo3.org>

  * Fixed bug #7748: IRRE - Storage page for combined child records not used
  * Fixed bug #7511: IRRE - Issues with expand/collapse of child records

2008-03-08  Dmitry Dulepov  <dmitry@typo3.org>

  * Follow up on bug #7588: respect TSConfig settings for cache clearing (patch by Helmut Hummel)

2008-03-07  Stanislas Rolland  <typo3@sjbr.ca>

  * Added two icons to htmlArea RTE skin for definition lists
  * Cleaned up dead code related to htmlArea RTE popups
  * Fixed bug #7788: htmlArea RTE: pageTSConfig from Inline Elements extension not included

2008-03-06  Ingo Renner  <ingo@typo3.org>

  * Post cleanup of topapps, some parts were not removed with Changeset 2908

2008-03-05  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7757: htmlArea RTE: Alternating table rows/columns should start at 1
  * Fixed bug #7770: htmlArea RTE: shift+tab in table body does not move back into thead
  * Fixed bug #7773: htmlArea RTE loads plugins in wrong order
  * Fixed bug #7774: htmlArea RTE: toolbar not updated in IE7 on up/right/down/left arrow
  * Cleaned up dead code related to htmlArea RTE clickenlarge feature

2008-03-04  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7754: htmlArea RTE: Caption should be first element in table
  * Fixed bug #7755: htmlArea RTE: incorrect handling of enter key in definition lists

2008-03-03  Ingo Renner  <ingo@typo3.org>

  * Release of TYPO3 4.2.0beta3

2008-03-03  Patrick Broens  <patrick@patrickbroens.nl>

  * Fixed bug #7532: Docheaders: Wizard New Content Element (db_new_content_el.php): No docheader
  * Fixed bug #7527: Docheaders: Wizard New Record/New page (db_new.php): No docheader
  * Fixed bug #7540: Docheaders: Wizard Move Element (move_el.php): No docheader
  * Fixed bug #7562: Docheaders: Module History: No docheader

2008-03-03  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #7601: Remove checkbox border from t3skin in Internet Explorer

2008-03-03  Michael Stucki  <michael@typo3.org>

  * Fixed bug #7729: Login screen needs to be XCLASSable
  * Improvements to Install Tool:
	- Cleanup in t3lib_install
	- Fixed bug #7589: FULLTEXT keys are not processed correctly
	- Fixed bug #6098: Installer should check MySQL charset settings
	- Detect differences in table engine and table character set during DB compare
	- This allows extensions to define the table engine (e.g. MyISAM should be chosen if the table uses FULLTEXT keys). If no table engine is defined, the system default will be used.
	- Add character set support to t3lib_install
	- Convert various blob-fields (which are non-blobs actually) to text variants (exeptions are serialized fields and fields that contain XML data)
  * Fix DB field types for static_tsconfig_help
  * Fixed bug #7735: EM import was broken because of empty variable
  * Fixed bug #6547: Allow ignoring of the the no_cache parameter using $TYPO3_CONF_VARS[FE][disableNoCacheParameter] (of course, this is disabled by default)
  * Report to t3lib_div::sysLog() whenever $TSFE->set_no_cache() is called

2008-03-03  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7573: Page properties: Make author and author_email visible instantly, credits Steffen Kamper
  * Added new descriptions for some page property fields, credits Uschi Renziehausen
  * Added feature #7140: EM should send TYPO3 version when connecting to TER, credits Niels Pardon
  * Fixed bug #7704: Image Position in Text/Image doesn't work, redits Steffen Kamper
  * Fixed bug #7713: EM - Translation Manager loose CSS while updating, credits Steffen Kamper
  * Reintroduced the save button in user settings, removed navigation mode option when not in backend_old
  * Added feature #7427: add docheader to file -> filelist module, credits Christoph Koehler
  * Fixed bug #7203: Hook cObjTypeAndClassDefault in tslib_content somtimes fails, credits Stefan Geith
  * Added feature #4923: provide new inputfield "directorypicker" in BE, credits Andreas Wolf and Ralf Hettinger
  * Clean up: formatted typo3/stylesheet.css
  * Removed the tree filter toggle

2008-03-03  Dmitry Dulepov  <dmitry@typo3.org>

  * Added @var in class.tslib_eidtools.php

2008-03-02  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #7725: buttons.left(right,center,justifyfull).useClass not honored by htmlArea RTE

2008-03-02  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7642: Page tree Filter use wrong div for collapse

2008-03-02  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #7397: improper handling of non-transparent reverse proxies
  * Added feature #7397: enable special handling of reverse SSL proxies
  * Fixed bug #1364: enable cURL in t3lib_div::getURL() for ftp, ftp,sftp and scp
  * Fixed bug #5985: PHP warning in t3lib_div::getURL() when safe_mode or open_basedir is set
  * Added feature #7624: add status/error repoting to t3lib_div::getURL()

2008-03-02  Michael Stucki  <michael@typo3.org>

  * Fixed bug #7291: Taskcenter -> sys_action - viewport is too small when creating records (patch by Steffen Kamper)
  * Fixed bug #5788: Add a delete button to the yellow warning box for removing the ENABLE_INSTALL_TOOL_FILE
  * Added hook #7657: New hook "tslib_fe-contentStrReplace" allows to overwrite content on a website after all the caching was already done. Only applies if "config.sendCacheHeaders" is disabled! This hook is very useful for small on-the-fly replacements, for example display the fe_user name, or the time used for page generation.
  * Fixed bug #5442: When using lockSSL redirection, the port number is not configurable (patch by Christopher Hlubek)
  * Fixed bug #2019: Unable to add a Querystring to a <LINK> id/type-pair (patch by Rene Wagner)

2008-03-01  Dmitry Dulepov  <dmitry@typo3.org>

  * Small cleanup in tslib (fixed use of uninitialized variables and added @var)

2008-03-01  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #5838: cli_dispatch.phpsh doesn't work on windows platforms

2008-02-29  Stanislas Rolland  <typo3@sjbr.ca>

  * Fixed bug #4121: Pasting content on RTE moves cursor to the top of the text
  * Fixed bug #7716: htmlArea RTE plugins using some undeclared variables

2008-02-29  Michael Stucki  <michael@typo3.org>

  * Fixed bug #7545: Explain queries does not work when selecting multiple tables (patch by Ingo Schmitt)

2008-02-29  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #1358: Installer didn't honour forceCharset (patch by Masi)

2008-02-28  Jeff Segars  <jeff@webempoweredchurch.org>

  * Added feature #7150: Add pageUnavailable_handling for system problems and maintenance

2008-02-28  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7684: htmlArea RTE: Cursor positioning when creating new table
  * Partially fixed bug #6714: htmlArea RTE: Poor tag handling everywhere in Opera

2008-02-28  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #7502: Show Sitename on Login screen (Thanks to Steffen Kamper)

2008-02-28  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #7630: Several problems with locking API (t3lib_lock)
  * Fixed bug #7700: Fatal error if caching is disabled and locking enabled (follow-up on bug #7630)
  * Fixed bug #5252: Pages with "Hide in menu" checked use normal page icon in list module (Thanks to Andreas Wagner)
  * Fixed bug #7693: New page wizard ignores "hide in menu" flag for page icons (Thanks to Christian Kuhn)

2008-02-27  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7697: Syntax error raised by Mozilla 1.7 when loading htmlArea RTE
  * Fixed bug #7698: htmlArea RTE fails to load due to missing toolbar constraints
  * Fixed bug #7690: Firefox 1.5 and Mozilla 1.7 crash when htmlArea RTE is in hidden tab

2008-02-27  Martin Kutschker  <masi@typo3.org>

  * Fix issues with feature #6601: local page lookup caches
	- issues with rootline HMENUs on a translated page
	- issues with mount points (MPvars were x- instead of x-y)

2008-02-27  Jeff Segars  <jeff@webempoweredchurch.org>

  * Added feature #7607: Add post processing hooks for Frontend Editing

2008-02-26  Michael Stucki  <michael@typo3.org>

  * Rename t3lib_install::getFieldDefinitions_sqlContent() to t3lib_install::getFieldDefinitions_fileContent() and provide a wrapper for backwards compatibility
  * Lots of white-space fixes (to comply with old patch)
  * Lots of non-functional changes (to comply with old patch)

2008-02-26  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #7637: Page tree fails to reload properly if page was manipulated
  * Fixed bug #7523: Description of properties is missing in install tool (Thanks to Steffen Kamper)

2008-02-26  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Added feature #7667: htmlArea RTE: Usability improvements in table operations
  * Fixed bug #7671: htmlArea RTE configuration variable "Add default User TSonfig RTE configuration" not working. Thanks to Jan Persson.
  * Fixed bug #7687: htmlArea RTE context menu may produce js error

2008-02-25  Ernesto Baschny  <ernst@cron-it.de>

  * Follow-up on bug #1697 (bug #7626): Timezone handling in datetime/time fields was broken, causing time to jump +serverTZ on each record saving.
  * Fixed bug #7626: Corrected handling of so called "half-hour" timezones (e.g. +0430) which caused wrong data to be saved in time/datetime fields.

2008-02-25  Michael Stucki  <michael@typo3.org>

  * Follow-up on issue #7526: Add configuration option $TYPO3_CONF_VARS[BE][loginNewsTitle] to t3lib/config_default.php (Thanks to Steffen Kamper)
  * Follow-up on issue #6037: Replace leading character (makes sure that strpos() result is not 0) with result type check (Thanks to Oliver Hader)

2008-02-23  Oliver Hader  <oh@inpublica.de>

  * Followup to #6885: Changing $GLOBALS['TSFE'] to $this inside tslib_fe

2008-02-23  Ingmar Schlecht  <ingmar@typo3.org>

  * Release of TYPO3 4.2.0beta2a

2008-02-23  Ingmar Schlecht  <ingmar@typo3.org>

  * Follow-up on issue #7625: Completely removed the CSS instruction in question as it seemed to be not needed and only caused extra fuss

2008-02-22  Ingo Renner  <ingo@typo3.org>

  * Release of TYPO3 4.2.0beta2

2008-02-22  Benjamin Mack  <mack@xnos.org>

  * Fixed bug #7445: Malformed translated locallang causes PHP crash (thanks to Francois Suter)
  * Issue #7307: Bugfixes for "Open Documents" extension - Part 1
	- Changed getSetUpdateSignal() function in t3lib_BEfunc and added hook possibility
	- Used hook for tx_opendocs to be updated when opening & closing a document
	- Several bugfixes and new features for tx_opendocs

2008-02-22  Jeff Segars  <jeff@webempoweredchurch.org>

  * Added feature #7247: Add hook for warning messages within Help->About modules and improve existing warning messages
  * Fixed bug #7605: Backend Alignment Problems in Internet Explorer
  * Fixed bug #7598: Fix module menu alignment and hover in Internet Explorer

2008-02-22  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7587: Accesscheck for Workspaceselector, credits Steffen Kamper
  * Fixed bug #7588: Accesscheck for clearCache
  * Added feature #7592: Enable tabs for be_users, credits Francois Suter
  * Added feature #6846: enable Tabs in tt_content, credits Steffen Kamper
  * Fixed bug #7608: Keys for clear-cache labels must be renamed
  * Fixed bug #6885: Nested USER_INT, COA_INT, etc. objects are not rendered, credits Oliver Hader

2008-02-22  Ingmar Schlecht  <ingmar@typo3.org>

  * Added feature #7526: Making loginNews look nicer (Thanks to Steffen Kamper)
  * Added feature #4553: Enable negative timestamps, so the date/datetime fields now support dates starting from 1902 instead of 1970. This is possible on all platforms since PHP 5.1. (Thanks to Steffen Kamper)
  * Added feature #7337: stdWrap for menu > range & entrylevel (Thanks to Georg Ringer)
  * Fixed bug #7158: DBAL fixes to Indexed Search backend module (Thanks to Moreno Feltscher)
  * Fixed bug #7625: Little typo in stylesheet (Thanks to Steffen Ritter)
  * Fixed bug #5919: Loss of constraints during upload to TER (Thanks to Malte Jansen)
  * Issue #7508: Slight improvement of BE user label in backend.php (Thanks to Steffen Kamper)

2008-02-21  Benjamin Mack  <mack@xnos.org>

  * Added feature "Extended BE Module "Web/Permissions" with AJAX possibilites (Thanks to Andreas Kundoch)

2008-02-21  Ingo Renner  <ingo@typo3.org>

  * !!! modified the interface for toolbarItems so that the reference to the backend Object in the constructor is optional, this was necessary to have AJAX response methods in the same class as the code that generates the toolbar item itself

2008-02-20  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7602: htmlArea RTE: Make the use of extended inline elements configurable
  * Fixed bug #7604: htmlArea RTE: add compatibility mode for indentation and alignment
  * Fixed bug #7582: RTE transformation should process dd element as block element
  * Fixed bug #7609: HTMLArea RTE: labels deleted from file locallang_tooltips.xml
  * Fixed bug #7609 (continued): HTMLArea RTE: labels deleted from files CharacterMap/locallang and InlineCSS/locallang

2008-02-19  Martin Kutschker  <masi@typo3.org>

  * Added feature #7393: ASCII wrapper functions for strtoupper and strtolower (patch by Steffen Kamper)
  * Use t3lib_div::strtoupper() for processing indexed search templates

2008-02-19  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #3491: Linking between domains in the pagetree ignores simulate static documents
  * Fixed bug #7425: syntax error in temp_CACHE*.php (patch by Steffen Kamper)

2008-02-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7583: htmlArea RTE should allow to markup text in absence of any block element
  * Fixed bug #7584: htmlArea RTE: pressing TAB in last cell of table should create new row
  * Fixed bug #7585: Invoking htmlArea RTE block style plugin from other plugin fails in FF3 and IE7
  * Fixed bug #3537: htmlArea RTE: Inconsistent markup when adding tr/td in different ways in Firefox
  * Fixed bug #6767: htmlArea RTE: Merge cells does not work on merged cells
  * Fixed bug #3537 (revisited): htmlArea RTE: Correct execCommand argument in previous patch
  * Updated htmlArea RTE version number to 1.7.1 and updated manual

2008-02-19  Ingo Renner  <ingo@typo3.org>

  * Added feature #7580: Enable tabs for be_groups, credits Francois Suter
  * Added feature #7566: Tabs for fe_user and fe_groups, credits Steffen Kamper
  * Added feature #7565: Tabs for sys_template, credits Steffen Kamper
  * !!! cleaner backend project: modified interface for toolbar items to add access checking

2008-02-18  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #3215: Tools>User-admin is hard to "read" (thanks to Steffen and Benni)

2008-02-18  Oliver Hader  <oh@inpublica.de>

  * (feature) Added feature #6037: Performance tunning in t3lib_div by removing elderly PHP functions (thanks to Popy)

2008-02-17  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7564: htmlarea RTE: context menu alignment options produce js error

2008-02-17  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #5693: options.additionalPreviewLanguages is showing wrong records for table pages (thanks to Helmut Hummel)

2008-02-17  Patrick Broens  <patrick@patrickbroens.nl>

  * Fixed bug #7429: Docheaders: Module Web > Page : No docheader when no page has been chosen
  * Fixed bug #7430: Docheaders: Module Web > Functions : No docheader when no page has been chosen
  * Fixed bug #7431: Docheaders: Module Web > Versioning : No docheader when no page has been chosen
  * Fixed bug #7432: Docheaders: Module Web > Template : No docheader when no page has been chosen
  * Fixed bug #7433: Docheaders: Module User Tools > User settings : No docheader
  * Fixed bug #7435: Docheaders: Module User Tools > Workspace: No docheader
  * Fixed bug #7436: Docheaders: Module Admin tools > User Admin: No docheader
  * Fixed bug #7437: Docheaders: Module Admin tools > Log: No docheader
  * Fixed bug #7438: Docheaders: Module Help > TypoScript Help: No docheader
  * Fixed bug #7503: Docheaders: Module Admin tools > Ext Manager: No docheader
  * Fixed bug #7504: Docheaders: Module Admin tools > DB check: No docheader
  * Fixed bug #7505: Docheaders: Module Admin tools > Configuration No docheader
  * Fixed bug #7506: JS Errors with IE6 and new backend

2008-02-17  Benjamin Mack  <mack@xnos.org>

  * Fixed bug #7546: Explain select not rendering indices in the output (Thanks to Ingo Schmitt)

2008-02-17  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7557: Shortcut-Menu does nothing when no shortcuts available

2008-02-16  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7560: Incorrect behaviours of block style in htmlArea RTE

2008-02-16  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #7558: typolinkCheckRootline is broken in 4.2

2008-02-15  Benjamin Mack  <mack@xnos.org>

  * Fixed bug #5303: t3skin - pilup.gif not the same style as pildown.gif
  * Put manual for sysext "felogin" under version control (was forgotten when sysext was added)
  * Followup to bug #7549: FE Login: curly brace was wrong (syntax error)
  * Fixed bug #7549: FE Login: enabling forget password link via TS is not possible (thanks to Dirk Weise)
  * Fixed bug #7424: Usersetup Tabs were to wide in German language (thanks to Steffen Kamper)

2008-02-14  Ingo Renner  <ingo@typo3.org>

  * Removed the php version from the about text under Help->About

2008-02-14  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #7533: PHP version checked too late, PHP 4 will break on inclusion of t3lib_div

2008-02-13  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7232: htmlArea RTE: In IE, selecting words with CTRL+SHIFT+Left doesn't activate "link" button
  * Fixed bug #7525: htmlArea RTE: Page TSConfig property toggleborders.setOnTableCreation not honored

2008-02-13  Benjamin Mack  <mack@xnos.org>

  * Fixed bug #7519: Typo in felogin (Thanks to Steffen Kamper)
  * Cleanup (wrong global statement) in new TYPO3AJAX class

2008-02-13  Ingo Renner  <ingo@typo3.org>

  * Removed ugly background color from save buttons in docheader when they were focused
  * Fixed syntax error in t3editor
  * Whitespace cleanup in t3editor javascript files
  * Fixed bug where Firefox 3 would load the content frame into the complete window, leaving the user without module menu and toolbar

2008-02-12  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #7388: CSS Gremlins

2008-02-12  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Code cleanup and bugfix patch for t3editor / preparation for review (Thanks to Tobias Liebig)

2008-02-12  Oliver Hader  <oh@inpublica.de>

  * Cleanup of t3lib/stddb/tbl_be.php

2008-02-11  Benjamin Mack  <mack@xnos.org>

  * Fixed Follow up for bug #6825: TCEforms: Icon for empty palettes should not be displayed -- palettes fields were not shown
  * Fixed bug #7463: missing descriptions in backend user editor (Thanks to Steffen Kamper, followup to Issue #6921)

2008-02-11  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7495: Various issues with nested lists in htmlArea RTE

2008-02-11  Ingo Renner  <ingo@typo3.org>

  * Removed legacy code from backend.php

2008-02-11  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug: Fixed global variables in typo3/backend.php
  * (feature) Added feature #5068: Integrate mod.web_list.deniedNewTables as opposite of allowedNewTables

2008-02-08  Oliver Hader  <oh@inpublica.de>

  * (trivial) Fixed bug #7458: Wrong alternative text on create new page icon above page tree
  * (minor) Fixed bug #7466: Clear cache actions in top bar cause JS error
  * (minor) Fixed bug #7460: Search field in top bar causes JS error

2008-02-08  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7450 (revisited): further corrections to localization of htmlArea RTE
  * Fixed bug #7468: htmlArea RTE QuickTag plugin refusing to open dialogue in IE

2008-02-08  Ingo Renner  <ingo@typo3.org>

  * Release of TYPO3 4.2.0beta1a

2008-02-07  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7333: Better solution for "Page is being generated", credits Bernhard Kraft and Michael Stucki

2008-02-08  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #7449: Frontend editing fails due to undefined method in t3lib_BEfunc

2008-02-07  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #4588: Frontend htmlArea RTE loads global RTE config instead of function parameter $thisConfig
  * Fixed bug #7450: htmlArea RTE: localization is broken when the RTE is used by a frontend plugin
  * Fixed bug #7451: htmlArea RTE: BE localization is broken

2008-02-07  Benjamin Mack  <mack@xnos.org>

  * Fixed bug #7383: Added option to delete unused marker in parsehtml::substituteMarkerArray (thanks to Steffen Kamper)

2008-02-06  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug: IRRE - Deleted records are added to array of related records

2008-02-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7419: htmlArea RTE: Localization error in Remove Format plugin
  * Fixed bug #7421: htmlArea RTE: typographical error in localization file
  * Fixed bug #7052: Permission problem of htmlArea RTE images
  * Fixed bug #7052 (revisited): Permission problem of htmlArea RTE images, using t3lib_div::fixPermissions
  * Fixed bug #7428: htmlArea RTE: hiding a button hides the whole group
  * Fixed bug #5659: Several bugs when writing HTML entities and tags inside of htmlArea RTE
  * Fixed bug #3830: htmlArea RTE: Entities entered in wysiwyg are decoded

2008-02-05  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug: Wrong type of argument on calling t3lib_div::compileSelectedGetVarsFromArray() (related to #7350)

2008-02-05  Ingo Renner  <ingo@typo3.org>

  * Release of TYPO3 4.2.0beta1

2008-02-05  Martin Kutschker  <masi@typo3.org>

  * Fixed #7391: cannot set key in $_GET with t3lib_div::_GETset()

2008-02-05  Ingo Renner  <ingo@typo3.org>

  * Fixed: backend.php closed body and html elements two times
  * Removed ugly background color from buttons in the docheader
  * Moved t3skin arrow icons to main typo3/gfx folder
  * Added feature #7334: Feature: New Pagetree Styling, credits Steffen Kamper
  * Removed <beta-code> tags from the cleaner backend project
  * Reverted to the old installer, according to the commit policy for 4.2

2008-02-05  Oliver Hader  <oh@inpublica.de>

  * (tweak) Followup to #6472: Some small changes to the new hooks
  * !!! (feature) Added feature #7370: Remove page doktypes '2' & '5' ('advanced' & 'not in menu') and merge them with 'normal' doktype '1' (patch by Steffen Kamper)
  * (feature) Added feature #7369: Hook for manipulating the cHash
  * (trivial) Updated NEWS.txt

2008-02-04  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #7386: Remove hardcoded references to alt_main.php backend interface

2008-02-04  Martin Kutschker  <masi@typo3.org>

  * Fix a problem with devLog in user authentication introduced with fix for #7350
  * !!! Feature #2731: Improved caching of locallang - changed internal caching from default character set of language to required character set.

2008-02-04  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug: htmlArea RTE calling t3lib_div::getUserObj() with an empty string
  * Fixed bug: htmlArea RTE: incorrect configuration of TYPO3HtmlParser plugin

2008-02-04  Benjamin Mack  <mack@xnos.org>

  * Fixed bug #7354: Filelist titles length was fixed to 30 characters, now uses value from user setup (Thanks to Stefano Cecere)

2008-02-04  Michael Stucki  <michael@typo3.org>

  * Fixed bug #7295: sysext/dbal/: Uninitialized variable in ->handler_getFromTableList() (Patch by Oliver Klee)
  * Added feature #2988: Enable EXPLAIN SELECT in TS admin panel

2008-02-04  Oliver Hader  <oh@inpublica.de>

  * (feature) Added feature #5242: IRRE - Storage page for child records
  * (minor) Fixed bug #7029: tslib_cObj uses deprecated function call_user_method
  * (feature) Added feature #6472: IRRE - Possibility to manipulate control items for each child records
  * (minor) Fixed bug #7371: Query generator does not accept dates in where condition
  * (tweak) Followup to #6087: Added missing labels localize.isLocalizable and localize.wasRemovedInOriginal
  * (tweak) Followup to #7350: Fixed type to match with t3lib_div::array_merge_recursive_overrule()

2008-02-03  Dmitry Dulepov  <dmitry@typo3.org>

  * MSIE fixes for #7336 (by Jeff Segars)

2008-02-03  Oliver Hader  <oh@inpublica.de>

  * (feature) Added feature #6087: IRRE - Localization of child records
	!!! Full review by a core developer before TYPO3 4.2-RC1 required

2008-02-03  Ingmar Schlecht  <ingmar@typo3.org>

  * Followup to #7282: Username is now only linked to user setup if the module is accessible, thanks to Steffen Kamper
  * Followup to #7361: Using label tags in setup module

2008-02-03  Benjamin Mack  <mack@xnos.org>

  * Followup to #7361: Reset button has now a JS confirm question
  * Followup to #7346: opendocs top menu only is included once now
  * Feature #7346: Added "Open Documents" menu in top bar of new BE, made module optional
  * Followup to #7361: Save button was moved to bottom again
  * Followup to #7361: One CSH was still on the wrong line
  * Fixed #7361: Overhauled User setup module. Now has tabs and better usability, thanks to Steffen Kamper

2008-02-03  Michael Stucki  <michael@typo3.org>

  * Fixed bug #5152: "Duplicate entry" in cache_pagesection by rewriting parts of t3lib_TStemplate and tslib_fe::getFromCache()
  * Code cleanup subsequent to #5152
  * Reverted feature #7337 because it is faulty and lacks proper documentation

2008-02-03  Ingo Renner  <ingo@typo3.org>

   * Fixed a positioning issue with the toolbar items in Safari
   * Added feature #7282: Show Realname of BE-User if available and link it to edit, credits Steffen Kamper
   * Fixed alignment of user name and icon in the toolbar
   * Adjusted non-t3skin module menu width to fit the wider div
   * Added feature #7367: Make the tree collapsable

2008-02-02  Benjamin Mack  <mack@xnos.org>

  * Fixed #7347: Pagetree was not responding correctly when logged out.  Thanks to Ingmar

2008-02-02  Ingo Renner  <ingo@typo3.org>

  * Fixed module menu for long module names, credits Steffen Kamper
  * Fixed t3skin's border.html: removed the xml prologue as it triggers IE's quirks mode
  * Fixed bug #7352: New backend problems in FireFox, Safari, OmniWeb and Camino

2008-02-02  Dmitry Dulepov  <dmitry@typo3.org>

  * Added feature #7336: Improve usability of Constants Editor
  * t3lib/class.ts_parser_ext.php: quotes changed from double to single, function index updated with extdeveval

2008-02-02  Martin Kutschker  <masi@typo3.org>

  * !!! #7350: Use PHP5 features in class.t3lib_div.php (static and type hinting)
  * #7351: Introduce $ACCESS_TIME/$SIM_ACCESS_TIME to improve MySQL query cache usage
  * Changed t3lib_div::get_tag_attributes/split_tag_attributes so that they always return an array

2008-02-02  Kasper Skaarhoj <kasper2008@typo3.com>

  * Fixed a bug in tcemain that replicated FlexForm .vDEFbase tags in a strange way. Not critical but built up garbage in FlexForm XML (the XML can be cleaned with the lowlevel_cleaner or manually per recording using the Content Menu Item "FlexForm XML")

2008-02-01  Kasper Skaarhoj <kasper2008@typo3.com>

  * Feature added to disable automatic update of diff data for translation when saving records. Instead a button is added to explicitly do this. Feature is called "explicitConfirmationOfTranslation" in $TYPO3_CONF_VARS
  * Added option for custom message in the logout message for workspace previews.
  * Fixed a bug in TTLhours for preview links.

2008-02-01  Bernhard Kraft  <kraftb@kraftb.at>

  * Added feature #7337: stdWrap for "range" and "entryLevel" in class.tslib_menu.php (patch by Georg Ringer)

2008-02-01  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Added feature #880: Click-enlarge for Images in htmlArea RTE

2008-02-01  Ingo Renner  <ingo@typo3.org>

  * Added feature #7323: New Styling for Module Menu (patch by Steffen Kamper)
  * Fixed module menu in IE
  * Added acss rule to t3skin to fix checkbox styles in IE7
  * Added feature #7267: Shortcut manager - shortcut icon should reflect record type
  * Added Event.stop() to toggle functions of the toolbar items to prevent adding a # to the browser's location bar

2008-01-31  Kasper Skaarhoj  <kasper2008@typo3.com>
  * Bugfixes to MM-relations, among other in workspaces (Bugs #3531 / #3907 solved)

  class.t3lib_tcemain.php
  - Most importantly - and depending on changes in class.t3lib_loaddbgroup.php - is that MM-relations are now swapped when publishing in a workspace. This bug has been known as #3531 and #3907 for a while.
  - Fixed old bug that MM-relations wouldn't get remapped to new elements that were are part of a copy operation ($theUidToUpdate => $MM_localUid)
  - Fixed that MM-relations added to a new unsaved record in a workspace would get attached to the live version of the record (change in dbAnalysisStoreExec())

  class.t3lib_loaddbgroup.php
  - Fixed several bugs related to MM-relations:
  - The feature "multiple" didn't work after bidir-mm was implemented. This is now fixed but requires that the MM table gets a real UID field. This can be configured with the TCA options "MM_hasUidField" (See TYPO3 Core API)
  - With bidir-MM relations the reference index on the "native" side is now updated when "opposite side" relations are edited. (The only known problem for this is when workspaces publishes such a record, then the ref. index is not updated for "opposite side" fields. It's considered low-importance for now. If you depend on the reference index, update it nightly with cronjobs.)


  * - Cleaner was updated to sort output - makes better diff-views now.
  * - Added feature to configure the TTL for preview links in workspaces.
  * - Added logout button for the preview box in the frontend view when previewing workspaces through preview links.
  * - Removed copy/cut/pasteafter/delete from context menu of DB mounts. Could lead to confusing scenarios for admin users in workspaces.
  * - Added TCA feature in [ctrl][versioningWS_alwaysAllowLiveEdit] allowed to permanently set records to be edited directly. This enables that backend users can still be edited while in a workspace. Convenient for admins.
  * - Also, the User Admin module is now available in draft workspaces
  * tcemain:
  - Fixed bug in flexform traversal that resulted in the new DHTML powered flexforms to fail.
  - Notification emails for raising stages of versions has been modified with new features; Custom message, one-message only per instance (if multiple elements are raised in one time),
  * Fixed bug related to workspaces; When previewing a page in workspaces, any page in the root line being hidden (online or offline version) would result in a "Template not found" error. (t3lib_page)
  * - Fixed trivial bug in view_array(): With empty arrays table-end tag were not applied. (class.t3lib_div)
  * - (trivial) changed arraybrowser so also array keys are included in the search. [class.t3lib_arraybrowser.php + lowlevel/config/index.php]

2008-01-31  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #7202: Debug renders incomplete table with empty arrays. Thanks to Stefan Geith.
  * Fixed bug #6902: Add an imagespace to Text w/ Image when image width is not available. Thanks to Georg Ringer.

2008-01-31  Benjamin Mack   <mack@xnos.org>

  * Fixed bug #4770: css_styled_content - rowSpace also puts space below last image row

2008-01-31  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature: Enhancements to the acronym feature of htmlArea RTE
  * Added feature #7332: htmlArea RTE: Add default target to classes configured with classesAnchor in Page TSConfig
  * Udpate htmlArea RTE version to 1.7.0 for TYPO3 4.2 beta1.

2008-01-29  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature/cleanup: Restructure htmlArea RTE plugins QuickTag, TableOperations, UserElements
  * Feature/cleanup: Move colors, fonts, text direction, word cleaning and lists to extensions/plugins of htmlArea RTE.
  * Feature #3633: Individual height of inline htmlArea RTE. Thanks to Ralf Hettinger.
  * Fixed bug #5013: htmlArea RTE Editor not working in Firefox 3.0 Granparadiso
  * Added feature #7318: In htmlArea RTE, text direction should be set with the dir attribute

2008-01-28  Kasper Skaarhoj  <kasper2008@typo3.com>

  * (minor) Fixed bug: "typo3/js/workspaces.js" was corrected to "js/workspaces.js" in class.workspaceselector.php

2008-01-27  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug: Overriding TCA properties with TSconfig does not work with array

2008-01-26  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Bug #2547: Properties of images are not saved due to RTE transformation
  * Feature/cleanup: Restructure htmlArea RTE plugins FindReplace, InsertSmiley, RemoveFormat, SpellChecker, AboutEditor
  * Fixed bug #4074: htmlArea RTE SpellChecker not working. Thanks to Reinier Kleipool.
  * Fixed bug #4777: htmlArea RTE Spellchecker split words at some special chars (e.g. german umlauts). Thanks to Daniel Chabrol.

2008-01-26  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7222: When installing an extension that contains a new backend module the module menu is not refreshed anymore when using backend.php
  * Fixed bug #7245: Javascript Error in new Backend
  * Fixed bug #7221: The currently active module is not highlighted anymore with the new backend.php
  * Fixed bug #584: Changing language in user setup do not reload left frame (menu)
  * Added missing rendering of css added by extensions
  * Fixed style sheet overwriting from skinning extensions in backend.php
  * Made tables in Web->List view fill the whole document by adding css style width of 98%
  * Updated prototype to 1.6.0.2
  * Fixed bug #7270: Shortcut menu does not load user's shortcuts if user is not admin, credits Stig N�rgaard F�rch
  * Fixed bug #7256: highlight matching curly brackets, credits Tobias Liebig
  * Fixed bug #6834: Wrong syntax highlighting in wrong context, credits Tobias Liebig
  * Fixed bug #7255: implement "auto-closing brackets", credits Tobias Liebig
  * Fixed bug: when refreshing the module menu, the currently highlighted module losses highlighting
  * Added visual effects to collapsing/expanding module menus
  * Fixed bug #7283: When editing a shortcut in backend.php regular users get global groups shown in the group select field but can't save to them

2008-01-26  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug: IRRE - Some labels/messages are not shown when in AJAX mode

2008-01-24  Ingo Renner  <ingo@typo3.org>

  * Added missing description to module menu, credits Steffen Kamper
  * Fixed module menu toggling
  * Added some cleanup for the unified BE AJAX interface

2008-01-24  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Added feature: Various enhancements to link dialogues in htmlArea RTE
  * Fixed bug #6787: classesAnchor and classesLinks get lost when changing tab in link browser
  * Added feature #4100: Insert/Modify Link with DAM
  * Fixed bug #7258: htmlArea RTE crashes on missing locallang.xml

2008-01-23  Ingo Renner  <ingo@typo3.org>

  * Fixed bugs #7251 , #6524: Make the folding/unfolding of the menu items use AJAX, credits Steffen Kamper

2008-01-23  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Bugfix: removed a needless comma in sysext/cms/ext_tables.sql (line 160)

2008-01-22  Ingo Renner  <ingo@typo3.org>

  * Added feature: #7223: update prototype and scriptaculous to their most recent versions
  * Fixed bug: #7237: There is no way to get loaded interface
  * Fixed bug: #7238: t3editor should not depend on MochiKit-Javascript-Framework

2008-01-21  Benjamin Mack  <mack@xnos.org>

  * Fixed #7166: CSH broken in EM, Info View (Thanks to Francois Suter)

2008-01-21  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed JS error when opening the TYPO3 image browser and proc.plainImageMode is not set

2008-01-21  Ingo Renner  <ingo@typo3.org>

  * Fixed tab borders in TCEforms
  * Now the module menu in backend.php is as wide as in alt_main.php

2008-01-20  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7211: "Start in Module" does not work anymore
  * Fixed check for wrong implementation of toolbarItem interface
  * Renamed typo3/css/verticalmenu.css to modulemenu.css
  * Changed the way how javascritp and css files needed to be referenced when adding them to backend.php, now relative to typo3/
  * Added note item to EM when there may be additional configuration fields
  * Some colors from t3skin for the docheader went into the original style, fixed by moving them back to t3skin and choosing an appropriate color whn t3skin is not installed
  * Fixed minor style issues with the docheader with and without t3skin

2008-01-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Added feature: Various enhancements to image dialog in htmlArea RTE
  * Fixed bug #3957: picture drag and drop throws you out of the tab navigation
  * Fixed bug #5490: Drag 'n drop javascript error / blank screen in IE
  * Added feature #5885: Default image class
  * Added feature #5902: Removing style attribute for images
  * Added feature #6115: Enabling configuration of the "edit image" dialogue

2008-01-19  Ingo Renner  <ingo@typo3.org>

  * Added a way to overwrite / skin the css files in backend.php

2008-01-18  Oliver Hader  <oh@inpublica.de>

  * (tweak) Fixed bug: Removed unused inclusion of typo3/js/ajax.js in typo3/backend.php

2008-01-17  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7196: Status of block element buttons not updated in htmlArea RTE toolbar

2008-01-17  Oliver Hader  <oh@inpublica.de>

  * (major) Fixed bug #7177: Page tree is not working in IE6/IE7
  * (minor) Fixed bug #7184: Login has probably expired, when you create a new page (only in Safari and Internet Explorer)

2008-01-17  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #7165: CSH bubble help white on white in Web > List view (Thanks to Francois Suter)

2008-01-17  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #7178: GUI of new backend is mixed up in IE6

2008-01-16  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug: Missing try/catch for actionChecks in TBE_EDITOR

2008-01-16  Ingo Renner  <ingo@typo3.org>

  * Release of TYPO3 4.2.0alpha3

2008-01-15  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #6821: Empty paragraph-tags with attributes are not editable in RTE

2008-01-15  Ingmar Schlecht  <ingmar@typo3.org>

  * Added feature #6784: New login-box System-Extension "felogin". This is a refactored version of the "newloginbox" extension, now integrated into the core. (Big thanks to Steffen Kamper for writing this extension for core integration!)
  * Minor improvements to the Cleaner Backend stylesheet (by Steffen Kamper)
  * Fixes to shortcut menu of Cleaner Backend required for IE7

2008-01-15  Ingo Renner  <ingo@typo3.org>

  * Added feature #5536: Some Hooks for tslib_content
  * Added feature #7161: create a shortcut manager to delegate calls to create a new shortcut to the right target
  * Added the shortcut menu, part of the cleaner backend project
  * Added feature #7163: Make backend.php the default backend
  * Cleanup: removed typo3/alt_main_new.php and typo3/sysext/topapps as it was never finished and used
  * Added feature: make the page tree filter pretty, credits to Benjamin Mack

2008-01-15  Benjamin Mack  <mack@xnos.org>

  * (bugfix) #2936, 4126: Improvements to clipboard copy/move selection (by Bernhard Kraft)
  * (cleanup) #6958: added comments in t3lib_htmlmail.php, used foreach and some better variable namings (thanks to Stefano Cecere and Steffen Kamper)
  * (bugfix) #5482:t3lib_htmlmail.php is now initialized with empty variables
  * (bugfix) Fixed #7148 - CSV Export Improvements in List Module

2008-01-15  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #5660: Wrong HTTP Header on Domain Redirect (fix by Jeff Segars)

2008-01-15  Oliver Hader  <oh@inpublica.de>

  * (feature) Added feature #7122: IRRE - Implement TYPO3AJAX handler for Inline Relational Record Editing
  * (feature) Added feature #2797: Add return value to t3lib_htmlmail::send (thanks to Steffen Kamper)
  * (minor) Fixed bug #7126: IRRE - Child records are shown floated and not as blocks in Safari
  * (cleanup) Removed typo3/alt_doc_ajax.php (former AJAX handler of IRRE)
  * (feature) Added feature #5899: Notify user where required elements are nested in IRRE or Tabs
  * Updated NEWS.txt

2008-01-14  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #7138: RTE is not rendered in Tabs
  * Added feature #6845: Make preserving DIV sections a configurable RTE processing option

2008-01-14  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #6932: Unlike the default preview language, fields of additionalPreviewLanguages are shown if they are empty. credits Helmut Ummel

2008-01-11  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * htmlArea RTE: Update manual and version to 1.6.4dev

2008-01-11  Oliver Hader  <oh@inpublica.de>

  * (feature) Added feature #7124: Add some more functionality to new AJAX interface in the TYPO3 back-end

2008-01-10  Benjamin Mack  <mack@xnos.org>

  * (feature) Added #7096: Consistent interface for AJAX calls in the TYPO3 Backend

2008-01-10  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #5421: Problem ignoring extension constraints
  * Fixed bug #7105: Default value of image_orient is invalid (Thanks to Steffen Kamper)

2008-01-09  Benjamin Mack  <mack@xnos.org>

  * (cleanup) Fixed #6957: Removed bottom button panel in alt_doc.php
  * (feature) Added #6995 CSH text is now displayed with CSS hover when in icon mode (Thanks to Chris Lindenmueller)

2008-01-08  Benjamin Mack  <mack@xnos.org>

  * (bugfix) Followup for #1678: limit to language; made the variable names better (Thanks to Helmut Hummel)
  * (bugfix) Fixed #7101: CType bullets not rendered correctly (thanks to Steffen Kamper)
  * (bugfix) Fixed #6883: Added missing functions in typo3/template.php

2008-01-08  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #6991: Enable stdWrap for wrapItemAndSub

2008-01-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #6961: Errors in link creation popup window

2008-01-06  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5994: IRRE - RTEhtmlarea is not show in child records if parent has no RTE

2008-01-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature/Cleanup: Acronym plugin of htmlArea RTE using new plugin API and enabled in IE7
  * Fixed issue 6154: Plugin Acronym enables class abbr for span
  * Added feature 1927: Activate Acronym Plugin for IE
  * (major) Feature: Improved behaviour and configuration options for inline elements and text styling
  * Added feature 3708 (complete): support for <q>
  * Fixed issue 5952 (complete): Usability Issue with classes wrapped with <> in select lists
  * Added feature 6034: Improvements of inlineCSS: adding classes to inline elements without additional span
  * Fixed issue 6839: sub and sup are added via CSS instead of tags in Safari
  * Fixed issue 7052: Permission problem of RTE images

2008-01-05  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * (major) Feature: Improved behaviour and configuration options of formatblock and blockstyle drop-down lists
  * Feature:  Added buttons insertparagraphbefore, insertparagraphafter and blockquote
  * Feature:  Added Page TSConfig RTE sub-array mutuallyExclusiveClasses
  * Fixed issue 5952 (partial): Usability Issue with classes wrapped with <> in select lists
  * Fixed issue 5951: Disturbing behaviour of indent/outdent and TAB
  * Added feature 3708 (partial): support for <blockquote>
  * Fixed issue 5977: align="center" (right or left) not any more supported by W3C
  * Fixed issue 6837: Strange layout for header N except the first one (Safari)
  * Cleanup: Character Map plugin now using new plugin API

2007-12-30  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature/bugfix: Fixing icons for Opera and adding new icons in default skin of htmlArea RTE and in t3skin/rtehtmlarea

2007-12-27  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #7028: Implement CSH for flexforms

2007-12-26  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug #6651: IRRE - Button for creating new records disappeared on nested child records if a parent record reached the maxitems value
  * (tweak) Fixed bug #7038: EM - sql_free_result() on non-resources fails

2007-12-21  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug #6007: IRRE - Child records with image fields are not shown in m:n disposal
  * (minor) Fixed hanging recordset in t3lib_TCEmain::getSortNumber

2007-12-20  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Added meta-subcategory "root" for adding deliverables to main categories.

2007-12-19  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Feature request #6988: Return errors from performUpdateQueries (Thanks to Francois Suter)

2007-12-19  Ernesto Baschny  <ernst@cron-it.de>

  * Feature request #3822, #5065: Make hardcoded (250000 bytes) max attachment size for mailform configurable: $TYPO3_CONF_VARS['FE']['formmailMaxAttachmentSize']

2007-12-17  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #6996: Versioning in clickmenu was unavailable for non-admins due to a problem of an earlier bugfix #4160 (Thanks to Helmut Hummel for the correction)
  * Code cleanup: #6990 use prototype functions instead of own ones where possible in clickmenu (Thanks to Helmut Hummel)

2007-12-17  Andreas Otto <andreas.otto@dkd.de>

  * Feature request #6945: Login failures can be logged with t3lib_div::syslog().

2007-12-16  Benjamin Mack  <mack@xnos.org>

  * (bugfix) #6955: fileadmin contextual menu doesn't popup well

2007-12-16  Ingo Renner  <ingo@typo3.org>

  * Removed width css property from workspace selector toolbar item as it caused layout issues in non english backends

2007-12-16  Benjamin Mack  <mack@xnos.org>

  * (bugfix) #6859: Taskcenter - Submodules are not shown (fixed backwards-compatibility by Malte Jansen)
  * (bugfix) #6879: Sticky top icons in alt_doc: missing
	 button when columnsOnly is set

2007-12-15  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #6921: labels in t3lib/stddb/tbl_be.php hardcoded

2007-12-15  Benjamin Mack  <mack@xnos.org>

  * (cleanup) #6826: Removed "Show Description for Fields" checkbox in alt_doc.php

2007-12-14  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Fixed wrong update meachnism in method call
  * Fixed some small typos in database module (Thanks to Francois Suter)

2007-12-13  Oliver Hader  <oh@inpublica.de>

  * (major) Fixed bug #6924: t3lib_div::readLLXMLfile does not use localized content anymore

2007-12-13  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Finished DB compare against stddb/tables.sql (need testing)

2007-12-12  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Bugfix: Invalid call to viewObj
  * Added support for fieldsets in renderMethod "form"
  * Added ability to send forms via AJAX
  * Improved DB compare code (Thanks to Francois Suter)

2007-12-10  Ingmar Schlecht  <ingmar@typo3.org>

  * (security) Fixed a low-severity SQL injection in the modfunc2 of indexed_search (only exploitable by BE users, and severity limited because addslashes() was already applied to the value - yet not within a quoted string) (Thanks to Henning Pingel for finding the issue and Andreas Otto for the fix)

2007-12-06  Benjamin Mack  <mack@xnos.org>

  * (bugfix) Fixed #1678: limit to language; still can delete and move content element (Thanks to Helmut Hummel)

2007-12-05  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed problems with language files in new installer (typo3/sysext/install)
  * Fixed bug #6903: Translated language files are not loaded
  * Fixed bug #6703: $TCA[table]['ctrl']['hideTable'] not implemented
  * Fixed bug #6888: Disabling some or all controls in "group" field

2007-12-04  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #6844: DB compare fails

2007-12-04  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #6114: t3lib_extMgm::addToAllTCATypes ignores type 0

2007-12-03  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #6727: Fatal error install tool

2007-12-03  Benjamin Mack  <mack@xnos.org>

  * (cleanup) Fixed #6823: Removed "Disable RTE" checkbox in alt_doc.php

2007-12-02  Dmitry Dulepov  <dmitry@typo3.org>

  * Changed "Clear cache" string to start with upper-case

2007-12-02  Ingo Renner  <ingo@typo3.org>

  * Added feature #6868: Enable labels for EM extension configuration, credits Georg Ringer

2007-12-02  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #6663: Unserialized objects not debugged properly (by Francois Suter)
  * Minor change to tsconfig_help sysext (by Francois Suter)
  * Issue #6873: Added icon for pages marked as not in menu and with FE-user access restriction to t3skin (by Francois Suter)

2007-11-30  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5602: spamProtectEmailAddresses_atSubst is not recognized correctly

2007-11-30  Ingo Renner  <ingo@typo3.org>

  * Added positioning function for the clear cache menu which is needed to keep the menu below it's icon when new items are added to the toolbar
  * Added backend search toolbar item to backend.php

2007-11-29  Benjamin Mack  <mack@xnos.org>

  * (feature) #6833: Possibility to add inline JS to page (Thanks to Steffen Kamper)
  * (minor) Fixed #6825: TCEforms -- Icon for empty palettes are not displayed anymore

2007-11-27  Ingo Renner  <ingo@typo3.org>

  * Added clear cache actions menu to backend.php as part of the cleaner backend project
  * Moved user info and logout button to the toolbar

2007-11-27  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Bugfix #6836: htmlArea RTE cannot enter line break in Safari (Windows)

2007-11-26  Ingo Renner  <ingo@typo3.org>

  * Moved interface t3lib_backendToolbarItem to typo3/interfaces/interface.backend_toolbaritem.php

2007-11-26  Wolfgang Klinger <wk@plan2.net>

  * Fixed bug #6831: Clickmenu is cut off on the left, when it does not fit in the viewport (Thanks to Helmut Hummel)

2007-11-25  Dmitry Dulepov  <dmitry@typo3.org>

  * Reformatted t3editor sysext

2007-11-25  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #6828: Using outpug buffering for debug() to prevent "Headers already sent" errors

2007-11-25  Benjamin Mack  <mack@xnos.org>

  * Feature #6829: New general template methods for FE & BE (Thanks to Steffen Kamper)
  * Added labels to checkbox descriptions in new EM section

2007-11-24  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #6817: Files with extension xml are ignored as resource of a template
  * Added feature #5530: Hook in TCEmain after all database operations
  * Cleaned up typo3/sysext/tstemplate_info/class.tx_tstemplateinfo.php

2007-11-24  Benjamin Mack  <mack@xnos.org>

  * Fix #6822: css_styled_content default EXTCONF was not loaded since it was installed by default

2007-11-24  Ingmar Schlecht  <ingmar@typo3.org>

  * Feature #6770: Flexform DataStructure pointerFields:
  * Implement option to use two ds_pointerFields so DataStructures can be switched by the combination of two field's values
  * Enabled the new ds_pointerFields possibility for tt_content.pi_flexform, so you can specify DataStructures per (combination of) list_type and CType values
  * Made css_styled_content register the DataStructures for the CType=table Content Element using the new ds_pointerFields instead of overriding the 'default' DS key

2007-11-23  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #6240: pageNotFound_handling returns empty page if specified URL cannot be retrieved. Credit to Helmut Hummel for the fix.
  * Added feature #5791: indexed_search: join_pages is now configurable via TypoScript

2007-11-23  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5956: TCA eval required on date field does not work

2007-11-23  Wolfgang Klinger <wk@plan2.net>

  * Fixed bug #6775: Page and info module ignore "Limit to language"

2007-11-22  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bugs #1697, #1465, #4849, #5183: Datetime input fields and timezone shift bug
  * Fixed: The click-checkbox to set the current date/time did not work on fields with eval year, time and timesec.
  * Fixed: Setting a field of eval "timesec" as a label of a table would show an integer instead of the hh:mm:ss string

2007-11-22  Bernhard Kraft  <kraftb@kraftb.at>

  * Added hooks #6738: Hooks for Web>List module which allow modification/addition/removal of icons for each table and its records

2007-11-22  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #6741: Add fields cruser_id and crdate to table fe_groups, credit Malte Jansen
  * Added feature #6793: Rename User and Tools modules, credits Francois Suter

2007-11-22  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature/bugfix: htmlArea RTE: Enter paragraph on return key corrected and improved
  * Bugfix #6769: RTEhtmlarea not working with IRRE in FF anymore

2007-11-21  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed bug #6785: "this->extraFormHeaders" didn't work anymore since "fixed alt_doc headers" have been introduced (#6625)

2007-11-20  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature #6769 continued: Further adjustments and workarounds to enable htmlArea RTE in Safari

2007-11-20  Dmitry Dulepov  <dmitry@typo3.org>

  * Restored typo3/sysext/lang/locallang_mod_doc.xml because it was zero length and broke translations
  * Fixed bug #6259: Disabling Tabs with no fields
  * Fixed bug #6773: Allow br in flexform labels

2007-11-20  Oliver Hader  <oh@inpublica.de>

  * (feature) Added feature #6473: CSC - Extend render userFuncs by TS field property

2007-11-20  Benjamin Mack  <mack@xnos.org>

  * Feature #6768: Added the media field for page type "Shortcut" as well
  * Feature #6768: Integrate ext 'Media field for page type External URL' (dkd_media4url)

2007-11-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature #6769: Enable htmlArea RTE in Safari

2007-11-19  Oliver Hader  <oh@inpublica.de>

  * (feature) Added feature #6734: Integrate post processing for links handled by typoLink
  * (feature) Added feature #6346: Enable overriding/renaming field labels by page TSconfig (patch by Malte Jansen)

2007-11-16  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature #6715: Remapping of b and i tags by RTE transformation made configurable
  * Feature/bugfix: Change to the initialisation sequence of htmlArea RTE

2007-11-16  Ingo Renner  <ingo@typo3.org>

  * Added feature #6545: Hook Request: db_list

2007-11-15  Ingmar Schlecht  <ingmar@typo3.org>

  * Release of TYPO3 4.2.0alpha2

2007-11-15  Ingmar Schlecht  <ingmar@typo3.org>

  * Bugfix #5683: processing of label field in backend (Thanks to Ralf Hettinger)
  * Set left-padding of options in selectorboxes to 22 if an icon is displayed that has a width between 14 and 20 pixels. This was necessary for a good visual impression even if page and content type icon sizes vary.
  * Made Clear Cache buttons of backend.php AJAX based, showing a nice spinner image during cache clearing

2007-11-15  Jeff Segars  <jeff@webempoweredchurch.org>

  * Feature #6672: Add tab filtering and file type filtering to TCA-defined link wizard

2007-11-15  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature #6657 revisited: htmlArea RTE: remove em and strong remap from main script

2007-11-15  Ingo Renner  <ingo@typo3.org>

  * Enabled requestUpdate for rte_enabled
  * Added feature #6721: add the workspace selector to the cleaner backend toolbar
  * Added feature #6442: Hook in browse_links request (for linking to records)
  * Added beta glue code for t3editor
  * Added t3editor as system extension

2007-11-14  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature #6712: htmlArea RTE: make hotkeys configurable in PageTSConfig
  * Feature #6712 continued: htmlArea RTE: adding hotkeys to default configuration settings
  * Bugfix: htmlArea RTE: Correction to InlineDefault plugin causing frame reload.
  * Feature #6712 corected: htmlArea RTE: correction to DefaultInline plugin and enhanced API

2007-11-14  Ingmar Schlecht  <ingmar@typo3.org>

  * Cleanup-up to prior commit #529: "TypoScript help" module
  * Added SVN properties to new files
  * Minor changes to feature #6670: Enable Tabs in Page Properties
  * Feature #6710: Use optgroups in selectorboxes

2007-11-14  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #6692: When letting TYPO3 generate DB table icons it can happen that transparent areas become rendered black
  * Added follow up on feature #6670: Enable Tabs in Page Properties

2007-11-14  Sebastian Kurfuerst  <sebastian@typo3.org>

  * Fixed feature #529: update inline TypoScript help (Thanks to Francois Suter)

2007-11-14  Benjamin Mack  <mack@xnos.org>

  * (feature) Fixed #6625: Cleaner Backend / HCI: Make "alt_doc" header fixed

2007-11-13  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature #6705: htmlArea RTE: Display all classes of an element in the statusbar
  * htmlArea RTE: Update manual and version  to 1.6.3dev
  * Feature #6579 continued: Allow plugins to register hotkeys

2007-11-13  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed bug #633: Menu doesn't expand if ".special" is set

2007-11-13  Benjamin Mack  <mack@xnos.org>

  * (minor) Fixed bug #6548: FE "Preview" Label not stylable

2007-11-12  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug #6696: Parts of the TYPO3 back-end do not work correctly with prototype.js 1.6.0

2007-11-12  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature #6579 continued: Backtracking on the use of Prototype.js by htmlArea RTE.

2007-11-11  Ingmar Schlecht  <ingmar@typo3.org>

  * Minor code-cleanup to recent Workspace related changes

2007-11-10  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * (cleanup) Protect rtehtmlarea 'for' loops from properties possibly added by JS frameworks.
  * Feature #6579 continued: correction to plugin registration for FE case

2007-11-10  Ingmar Schlecht  <ingmar@typo3.org>

  * Feature #6256: $TCA: Newline for Tabs (--div--) (Thanks to Malte Jansen)
  * Minor Feature #4280: stdWrap for params property of IMAGE (Thanks to Ralf Hettinger)
  * Bug #6682: GMENU property disableAltText clears the content of alt param, but does not remove it (Thanks to Hemlut Hummel)

2007-11-09  Benjamin Mack  <mack@xnos.org>

  * (feature/cleanup) Refactored clickmenu to speed up the BE
  * (bugfix) Fixed Image Generation bug. Call in t3lib_div now uses the IM wrapper to render gifs/pngs

2007-11-08  Ingo Renner  <ingo@typo3.org>

  * Added initial cleaner backend project work (backend.php)

2007-11-08  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature #6668 continued: Some minor adjustments when htmlArea RTE uses the Ajax request

2007-11-08  Benjamin Mack  <mack@xnos.org>

  * (cleanup) Fixed #6670: Added tabs to Page properties + cleanup (Thanks to Steffen Kamper)

2007-11-08  Oliver Hader  <oh@inpublica.de>

  * Updated JavaScript frameworks in typo3/contrib: prototype (1.6.0) and script.aculo.us (1.8.0)

2007-11-07  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Added feature #6668: Let htmlArea RTE use the Ajax request of the Prototype framework

2007-11-07  Benjamin Mack  <mack@xnos.org>

  * (minor) sysext "opendocs" is now installed by default

2007-11-07  Oliver Hader  <oh@inpublica.de>

  * (major) Fixed bug #5772: IRRE - Combination mode doesn't save new child records correctly
  * (minor) Fixed bug #6456: IRRE - Palettes are not rendered correctly on nesting records using the same table

2007-11-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Added SVN properties on some rtehtmlarea files
  * Feature 6579 continued: Make InlineCSS plugin use the RTE extension and plugin API

2007-11-05  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Feature 6579 continued: Use prototype.js to create a htmlArea plugin class.
  * Added feature #6657: Extract inline buttons from htmlArea RTE main scripts.

2007-11-05  Ingmar Schlecht  <ingmar@typo3.org>

  * Issue #6641: Renamed new page tree related TSconfig Options and switched off separateNotinmenuPages by default (Thanks to Christian Kuhn)
  * Changing SVN property eol-style from native to LF for all text files in the core trunk

2007-11-02  Ingmar Schlecht  <ingmar@typo3.org>

  * Added default SVN properties and Id marker to new files which didn't have it yet
  * Fixed bug #6624: Weird pagetree display with new "Not in menu" feature (Thanks to Christian Kuhn)
  * Bug #6561 revised: Registers IMAGE_NUM and IMAGE_NUM_CURRENT contained incorrect array indizes (Thanks to Helmut Hummel)

2007-11-02  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed feature #6579: Small correction to FE htmlArea RTE
  * Remove exception catching in htmlArea RTE when setting styleWithCSS
  * Fixed bug #6640: htmlArea RTE tool bar is not updated in IE when up or down arrow is pressed
  * Fixed feature #6619: Add underscore rather than dash in file names

2007-11-01  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Added feature #6579: Make htmlArea RTE extensible
  * Added feature #6619: Let htmlArea RTE use t3lib_div::minifyJavaScript()
  * Deleted all compressed files in accordance with feature #6619
  * Fixed bug #6476: htmlArea RTE incorrectly nests tags on return key in FF

2007-10-31  Ingo Renner  <ingo@typo3.org>

  * Added feature 6169: Add user function support to Constant Editor

2007-10-30  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #6618: Web->List: Add title to versioning symbol in extended view (Thanks to Christian Kuhn)

2007-10-30  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug #6613: IRRE/RTE - Creating a new child record fails if record uses htmlArea RTE

2007-10-30  Benjamin Mack  <mack@xnos.org>

  * Moved "doc" module to sysext "opendocs"
  * Fixed bug #4832: Integrate the extension ter_update_check into EM (Thanks to Christian Welzel)

2007-10-29  Jeff Segars  <jeff@webempoweredchurch.org>

  * Fixed bug #5338: Error installing suggested extensions

2007-10-29  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #6581: Fatal error in TCEForms: Fatal error: Cannot use string offset as an array
  * Fixed bug #6565: T3DataStructure with sheet references will not show sheetTitle,sheetDescription and sheetShortDescr
  * Fixed bug #5347: Flexforms dosen't resolve sheets
  * Fixed bug #3969: Missing sheets inclusion in flexforms?

2007-10-28  Kasper Skaarhoj <kasperYYYY@typo3.com>

  * - Reverting IRRE related changes in t3lib_BEfunc done for workspaces by Dmitry. They were faulty.
  * - Modified rendering of FlexForms in t3lib_TCEforms and also processing in t3lib_tcemain so that flexforms are now fully dynamic in their nature; This is particularly the case when flexforms have sections and containers within (see the original movie-list example for instance). DHTML is used to reorganize flexform elements, delete and add new. No ajax though (not necessary). It means we finally have a permanent implementation for what was before "_DELETE_FLEX_FORM" etc buttons... Used scriptaculous and prototype for the work.
  * - In alt-doc, the script now preserves the scroll position when clicking save. Also, the button panel in top flows with form. This is preliminary and Jens will implement a better way... If it takes too long we can make it configurable.
  * - Added User TSconfig options to mount pages and folders for link-browsing purposes only. The point is that a user should be able to select pages which normally doesn't appear in his particular mount points of the page tree. With this feature you can set an entirely different set of mountpoints which only appear in the Element Browser. It is for readonly purposes of course. (Normal page access restrictions will still apply though, only the mount point changes). These features can be useful in general where a user needs to link to files or pages outside their normal range. However, it becomes especially useful with workspaces where the db mount is usually smaller and filemounts are completely disabled! Here are examples of configuration: options.folderTree.altElementBrowserMountPoints = _temp_/, templates. options.pageTree.altElementBrowserMountPoints = 34
  * - Fixed small bug in db-list around passing the pointer-variable in returnUrls
  * - Fixed safari-related bug in template.php (clickmenu didn't appear in correct location).
  * - Added warning to Web>Access module when using it from workspaces: It explains about how permissions affect workspaces.

2007-10-28  Martin Kutschker  <masi@typo3.org>

  * Feature #6601: Speed up link rendering by implementing some local caches

2007-10-27  Benjamin Mack  <mack@xnos.org>

  * Fixed bug #4662: New default behaviour for PAGE_TARGET (Thanks to Steffen Kemper)

2007-10-27  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #1940: "OPEN DOCUMENTS" causes 404 error (Thanks to Christian Trabold)
  * Feature #6258: Change config.uniqueLinkVars to 1 (Thanks to Georg Ringer)
  * Fixed bug #5082: Clean up a nested htmlspecialchars() in class.db_list_extra.inc (Thanks to Christian Kuhn)
  * Fixed bug #6561: imgMax and imgStart (IMGTEXT) not working properly (Thanks to Helmut Hummel)

2007-10-26  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #5031: htmlArea RTE incorrectly processes col tags and default proc options disallow col and colgroup tags

2007-10-24  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #6539: Move the BE logo generation code into a separate method so it can be used from other classes

2007-10-24  Benjamin Mack  <mack@xnos.org>

  * Fixed bug #6582: Deprecated use of language="text/javascript" in function loadJavascriptLib in template.php (thanks to Christian Kuhn)

2007-10-23  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #5151: rtehtmlarea install/uninstall requires clearing cache

2007-10-22  Andreas Otto  <andreas.otto@dkd.de>

  * Fixed bug #6340: JS errors with dividers2tabs and rtehtmlarea

2007-10-22  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Fixed bug: #1575: Page-Title maxlength does not fit into database-field tinytext (Thanks to Georg Ringer)

2007-10-21  Benjamin Mack  <mack@xnos.org>

  * (feature) added function to include javascript libraries in the backend
  * (minor) indexed_search - Added more info where the manual can be found

2007-10-21  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Fixed bug: #6531: Function getUpdateJS doesn't work properly (Thanks to Philip Almeida)
  * Fixed bug: #434: Function getUpdateJS produces JS error messages

2007-10-20  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #6559: Spelling error in Object Browser

2007-10-20  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #5949: BE-Shortcut to Tools->User Admin returns error (Thanks to Oliver Hader)
  * Fixed bug #6210: UserTSConfig value "options.moduleMenuCollapsable=0" does not work.
  * Fixed bug #6071: Switch to User does not work from context menu in List Module. (Thanks to Christian Kuhn all patches above!)
  * Fixed bug #6553: Remove hardcoded strip_tags() from image altText and replacing it with TS stripHtml = 1 (Thanks to Georg Ringer)
  * Fixed bug: stdWrap for imgMax is not taken into account. (Thanks to Helmut Hummel)

2007-10-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #6546: Remove htmlArea RTE acronym from Insert-Record object

2007-10-18  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #6526: Update prototype and scriptacolous

2007-10-17  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Move styleWithCSS setting to the initialization phase of the htmlArea editor
  * Eliminate list of plugins in rtehtmlarea EM configuration

2007-10-13  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #6540: add icons and grouping to the content element selector

2007-10-17  Michael Stucki  <michael@typo3.org>

  * Fixed bug #6121: Reply-To field in formmails can contain invalid characters if formMailCharset different from site charset (patch by Wolfgang Zenker)
  * Fixed bug #6533: Wrong naming of version number levels in Extension Manager

2007-10-17  Sebastian Kurfuerst  <sebastian@typo3.org>

  * Fixed bug #6202: Company field is missing for table fe_users in "View Item" (Thanks to Christian Kuhn)

2007-10-16  Michael Stucki  <michael@typo3.org>

  * Fixed bug #3552: Fatal error during backend edit
  * Fixed bug #6193: Object copied in t3lib_div::makeInstance()

2007-10-16  Thorsten Kahler  <thorsten.kahler@dkd.de>

  * (minor) Fixed bug #6138: Prevent recursive inclusion of external TypoScript files (patch by Martin Ficzel) - Fixed problems in patch from 2007-10-15

2007-10-16  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #4183: Incorrect display in htmlArea RTE of utf-8 labels for colors, classes and fonts defined in PageTSConfig
  * Re-inserting accidently deleted comments in class.tx_rtehtmlarea_base.php.
  * Fixed bug #4525: In htmlArea RTE, disabling personal dictionaries in UserTSConfig not honored

2007-10-15  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #5855: Missing unlink icon in htmlArea RTE
  * Fixed bug #5839: In htmlArea RTE, paragraph & text dropdown boxes inactive when using @media clause in stylesheet
  * Fixed bug #6152: AllowClipboard helper offered by htmlArea RTE doesn't work with 2.0.0.x Firefox
  * Fixed bug #6340: rtehtmlarea not working with "Editforms on page" option
  * Fixed bug #6152: Nullify default value AllowClipboard helper and use TYPO3-specific Firefox extension
  * Update version number of rtehtmlarea to 1.6.2dev

2007-10-15  Michael Stucki  <michael@typo3.org>

  * (feature) Add new external library "RemoveXSS" for easily filtering potential Cross Site Scripting (XSS) attacks. Can be used by any script. Usage: $filtered_string = t3lib_div::removeXSS($input_string); Thanks to Travis Puderbaugh <kallahar@quickwired.com> for providing this nice piece of code!
  * (minor) Fixed bug #6138: Prevent recursive inclusion of external TypoScript files (patch by Martin Ficzel)
  * (minor) Don't output objects in t3lib_div::debug() - send a plain text info instead

2007-10-13  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #6517: Add icons and grouping to the page type selector

2007-10-09  Benjamin Mack  <mack@xnos.org>

  * (minor) indexed_search - Added info where additional doc. can be found

2007-10-09  Benjamin Mack  <mack@xnos.org>

  * (tweak) No selection for TCEForms groups with max. one option needed

2007-10-09  Dmitry Dulepov  <dmitry@typo3.org>

  * Added flag for Galician language
  * Added more @var

2007-10-08  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #6420: access key generation wrong with HTML tags in menu titles (TMENU)
  * Pass on access key of menu items to IProcFunc

2007-10-08  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug #6032: Freeing SQL result sets (post patch)

2007-10-07  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #5911: GIFBUILDER setting quality not honoured

2007-10-06  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #6462: Wrong default locale charset on Windows
  * Fixed bug #6032: Freeing SQL result sets
  * Fixed bug #6252: rteHTMLarea acronyms are not DBAL compatible
  * Fixed bug #5189: images with uppercase file extension aren't displayed in drag-n-drop listing

2007-10-01  Bernhard Kraft  <kraftb@kraftb.at>

  * Bugfix for: Hide empty dynTabs in tceforms (missing array key broke RTE after hidden Tabs)

2007-09-28  Oliver Hader  <oh@inpublica.de>

  * (feature) Added feature #6367: Integrate possibility in Element Browser to select all files of a folder (thanks to fotobuch.de AG for sponsoring)

2007-09-27  Dmitry Dulepov  <dmitry@typo3.org>

  * Another hanging recordset fixed
  * Added "@var"s to t3lib_TCEmain to simplify debugging with IDEs

2007-09-26  Dmitry Dulepov  <dmitry@typo3.org>

  * JavaScript minification is enabled in FE by default (config.minifyJS=1)

2007-09-25  Oliver Hader  <oh@inpublica.de>

  * (tweak) Created new directory for Services_JSON typo3/contrib/json/ and moved file from typo3/contrib/json.php to typo3/contrib/json/json.php
  * (feature) Added feature #6359: IRRE - Add config of parent record for label_userFunc used on a child record
  * (minor) Fixed bug: Page TSconfig isn't parsed correctly anymore after cleanup in Trunk

2007-09-24 Andreas Otto <andreas.otto@dkd.de>

  * Fixed bug #1471: Check if exif functions are available before using them.

2007-09-24  Dmitry Dulepov  <dmitry@typo3.org>

  * Added JavaScript minification feature (new function t3lib_div::minifyJavaScript)
  * Added minification of FE javascripts (including default js and onload handlers) if config.minifyJS is enabled

2007-09-23  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed hanging recordset in tslib_cObj

2007-09-23  Michael Stucki  <michael@typo3.org>

  * (minor) Fixed hanging recordset in t3lib_BEfunc

2007-09-22  Kasper Skaarhoj  <kasper2007@typo3.com>

  * Fixed t3lib_cli that negative numbers (like "-2") is not seen as a parameter
  * New option, $GLOBALS['TYPO3_CONF_VARS']['BE']['flexFormXMLincludeDiffBase'], means that flexforms will allow a new index extending all "vXX" fields to "vXX.vDEFbase" with a value holding the "vDEF" value when the "vXX" value was changed. Effectively this is a memory of the value you translated from. Used for diff'ing.
  * Introduced a new global hook, $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['recStatInfoHooks'], with which you can insert HTML before a records icon in the page tree, web>List and Web>Page modules (and possibly more places where makes sense). Used in l10nmgr for adding a small localization icon.
  * Added "limit to languages" to "Admin" accounts (although it will not limit languages but merely decide what statuses you see in the page tree)
  * List sys_log table entries in cleaner output!

2007-09-18  Oliver Hader  <oh@inpublica.de>

  * (minor) Fixed bug #65: Thumbnails in Element Browser are only displayed if fileSuffix is lowercase

2007-09-18  Bernhard Kraft  <kraftb@kraftb.at>

  * Hide empty dynTabs in tceforms

2007-09-18  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Feature #5690: TCEforms: add inline editing of secondary options (thanks to Martin Ficzel)

2007-09-13  Ingo Renner  <ingo@typo3.org>

  * Fixed bug #5701: linkHandler Hook Not Initialized Properly, patch supplied by Jeff Segars

2007-09-13  Thomas Hempel  <thomas@typo3-unleashed.net>

  * Feature #4064: Navigation title in tree view

2007-09-11  Ingo Renner  <ingo@typo3.org>

  * Added Romanian flag, fixes bug #6000
  * Added fields "crdate" and "cruser_id" to tt_content

2007-09-10  Martin Kutschker  <masi@typo3.org>

  * Fix problem with new t3lib_div::trimExplode()

2007-09-09  Martin Kutschker  <masi@typo3.org>

  * Require PHP 5.1

2007-09-05  Dmitry Dulepov  <dmitry@typo3.org>

  * Added Galician language to TYPO3

2007-09-06  Ingo Renner  <ingo@typo3.org>

  * Release of TYPO3 4.2.0alpha1

2007-09-07  Ingmar Schlecht  <ingmar@typo3.org>

  * Bugfix: Highlight root page in pagetree
  * Added .php6 and .php7 as denied file extensions in config_default.php to be future proof
  * Fixing uninitialized variables in class.t3lib_tceforms.php and class.tx_cssstyledcontent_pi1.php

2007-09-05  Thorsten Kahler  <thorsten.kahler@dkd.de>

  * Fixed bug #4160: Moving content elements in frontent editing mode causes crash
  * Disable versioning in clickMenu if BE user doesn't have access to the versioning module

2007-09-05  Martin Kutschker  <masi@typo3.org>

  * Feature #2883: improve t3lib_div::trimExplode()

2007-09-05  Dmitry Dulepov  <dmitry@typo3.org>

  * Added Georgian language to TYPO3

2007-09-04  Dmitry Dulepov  <dmitry@typo3.org>

  * Added a hook to TCEforms to enable custom evaluations for input fields

2007-09-03  Oliver Hader  <oh@inpublica.de>

  * (trivial) Moving t3lib_TCEforms_inline::getJSON() to t3lib_div::array2json()
  * (feature) Added feature #2830: imgResource doesn't support stdWrap on minW and minH
  * (minor) Fixed bug #6104: IRRE - IE7: Strange behaviour with hover event of nested Tabs/IRRE-levels with relative positioned HTML elements
  * (minor) Fixed bug #5906: IRRE - Default values defined in TCA are not used for children (thanks to Joscha Feth and Jeff Segars)

2007-08-31  Michael Stucki  <michael@typo3.org>

  * (trivial) Cleanup of NEWS.txt
  * Add feature #4470: Add new property "search.exactCount" to indexed_search

2007-08-30  Ernesto Baschny  <ernst@cron-it.de>

  * (feature) Feature request #6237: Added hook to Web>Page "columns" view, allowing plugins to display "additional info" instead of "CODE:"

2007-08-30  Wolfgang Klinger  <wk@plan2.net>

  * (trivial) Extended the Workspace module access check with the User module access check

2007-08-28  Kasper Skaarhoj  <kasper2007@typo3.com>

  * Moving in workspaces + collateral
	- Implemented moving for elements ("Element" versions) in workspaces. Updated "Inside TYPO3" and "TYPO3 Core API". GENEROUS DONATIONS TO FINANCE THIS WORK ARE WELCOME since many of you need this feature!
	- Workspace "swapping" for "New"-placeholders and "Deleted"-Markers is now supported. Previously, both types would be published, not swapped. The change also means that effectively the difference between the value of "t3ver_state" being 1 or 2 is only cosmetic and the semantic depends on whether the field is set for a record being online or offline. TYPO3 core API is updated on the issue.
	- Refactored function for moving elements (t3lib_tcemain::moveRecord())
	- t3lib_BEfunc::workspaceOL() may now set the input variable $row (which is passed by reference) to false. The consequence is that code calling workspaceOL() should check if $row is still an array after calling the function. False is used if a version overlay with the move-id pointer is found in which case we would like a backend preview.
	- Added switch in TYPO3_CONF_VARS['BE']['elementVersioningOnly'] which allows to completely turn off page and branch versioning (which are deprecated for TYPO3 4.2+)
	- Added more tests for version integrity (centering around moving)
	- Added checkboxes and an action selector in the Workspace module for batch processing of elements.
	- Added "flush" command to TCEmain API for versions so versions can be completely deleted and not only released from a workspace.
  * Improvements as announced in June on the core list
	- Dual-preview for workspaces are only used now if the checkbox "Frontend Preview" is not checked.
	- Whole workspaces can be previewed now for users with no backend login by a simple link you can email. Same functionality as the preview link for individual pages available from the Web>Versioning module. The function is found in User>Workspace (Workspace manager)
	- In the t3lib_cli class, optional parameters to CLI script options are supported (optional parameters are configured with [] brackets)
	- The "lowlevel" cleaner scripts are updated to allow fixing of double-references to RTEmagic images (by duplicating them). Also the script allows to remove all "lost" RTEmagic images found inside uploads/ folder.
	- Moving elements in FlexForms up and down is now fixed so it works even if indexes of elements in sections are not ordered numerically (bugfix)
	- Workspace titles are required to be unique now.
	- File upload in the Web>File module will always result in redirection to the Filelist view of the target folder. This is a usability enhancement for people who were puzzled that it could redirect to other locations or a blank page (namely the previously shown page).
	- The navigation page tree now has a nifty searchbox that uses JavaScript and the prototype library to search and highly/dim elements in the tree. Very handy for quickly finding your way in huge page trees. (I think there is a stylesheet problem with Firefox on PC which doesn't dim elements). TSconfig options exists to disable this behaviour.
	- The navigation page tree is organized so that all pages shown in the menu are grouped in their normal order while pages not in menu and sysFolders and ordered alphabetically below. TSconfig options exists to configure/disable this behaviour.
	- User > Workspace module now has a browser-functionality so only 50 versions are shown at a time and you can browse the list.
	- Changed label "Draft versions" to "Workspace versions" - some found it more intuitive.
	- Change in t3lib_refindex so setReferenceValue() can be run without being admin (by special parameter)
	- Fixed bug in t3lib_BEfunc::selectVersionsOfRecord(): now offline versions are not only selected by their t3ver_oid but also pid=-1 which is the correct thing to do. This actually resulted in dataloss in some known cases with the lowlevel cleaner CLI script.
	- Added fields to indexes on pages, sys_template and pages_language_uid.
	- RTEmagic images are now duplicated when records are copied/versioned in tcemain. This is a long awaited feature that solves the bug that RTE magic images shared between two records would result in both disappearing if the one was deleted. So its in fact a critical fix for workspaces.

2007-08-23  Dmitry Dulepov  <dmitry@typo3.org>

  * Added Albanian language to TYPO3

2007-08-23  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed: hanging recordset in t3lib_BEfunc

2007-08-23  Andreas Otto  <andreas.otto@dkd.de>

  * (trivial) Fixed bug #4888:  Invalid argument supplied for foreach()

2007-08-21  Andreas Otto  <andreas.otto@dkd.de>

  * Feature request #5748: Introduced a new TS option that makes indexing of metatags configurable. Adapted code to make use of the new TS option.

2007-08-19  Oliver Hader  <oh@inpublica.de>

  * (trivial) Fixed bug #6170: CSC - File locallang.php used in static template instead of locallang.xml

2007-08-15  Wolfgang Klinger  <wk@plan2.net>

  * (trivial) Added is_array checks in extension manager code

2007-08-15  Ingo Renner  <ingo@typo3org>

  * Did some serious formatting cleanup in typo3/sysext/taskcenter/task/index.php
  * Added @var phpDoc comments to various variables

2007-08-11  Michael Stucki  <michael@typo3org>

  * More admin panel fixes:
	- Hardcode some alignments
	- Adding empty "summary" attribute to some tables of the admin panel
	- Removing superfluous table around the config checkboxes of the tsdebug section
	- Removing superfluous "title" attributes for some images in tslib_content->editPanel()

2007-08-10  Michael Stucki  <michael@typo3org>

  * Various improvements to the admin panel:
	- Lots of alignment definitions. Alignments are now hardcoded to avoid conflicts with stylesheets that contain something like "html, body { text-align: center; }"
	- Replace all font-tags (deprecated) with valid markup
	- Add a clear.gif spacer to make the "details" column wider if the text is longer than 30 characters. Appears to be useful if this column is too narrow and the text is wrapped inside. (Using a clear.gif is a workaround solution, it should probably be improved later...)
	- New highlight feature: You can define a time limit for operations which are measured by $TT. Whenever this limit is exceeded, the corresponding row will be highlighted in the admin panel. (Currently this limit needs to be hardcoded in class.t3lib_timetrack.php)
	- Lots of code cleanup and consolidation
	- Fix code display of links that break the website layout if they are too large (links are now splitted after every 100 characters)
	- For more information and screenshots, see http://lists.netfielders.de/pipermail/typo3-team-core/2007-July/008648.html

2007-08-06  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #5941: Log reason of failure on DB connect

2007-08-06  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #6017: Better transliteration for hebrew (lower-cased latin letters)

2007-07-16  Michael Stucki  <michael@typo3.org>

  * Fixed possible XSS in workspace/version modules (requires valid BE login / patch by Christian Kuhn)
  * Removed possible display of phpinfo() (requires bug in extension to be unveiled)

2007-07-16  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5556: IRRE - RTE in child elements overwrites field in parent element

2007-07-16  Martin Kutschker  <masi@typo3.org>

  * t3lib_div::getHostname() used $_SERVER instead of t3lib_div::getIndpEnv()
  * IPmaskList check is triggered in CLI mode (thanks to Tobias Rohrle)

2007-07-14  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5704: IRRE - Children on the table pages get the pid of the parent page in pagetree
  * Fixed bug #5718: IRRE - Copying a page with related child records leads to duplicates of each children
  * Fixed bug #5907: RTE-Plugins: Use record specific RTEtsConfigParams

2007-07-14  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #3834: possible abuse of t3lib_formmail

2007-07-13  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5913: RTEhtmlarea not correctly displayed in IRRE child form-fields and tabs (continuance of bug #5177)
  * Fixed bug #5948: IRRE - Parent record is not shown after saving the first time to a table on a TYPO3 system

2007-07-12  Dmitry Dulepov  <dmitry@typo3.org>

  * TCEForms: allow to create many sections at once
  * Performance enhancement in t3lib/class.t3lib_extmgm.php in function addToAllTCAtypes
  * Performance enhancement in t3lib/class.t3lib_div.php in function loadTCA

2007-07-11  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5331: Remove the caption wrap on images if no caption is set (thanks to Georg Ringer)
  * Fixed bug #5945: Missing right parenthesis in RTEhtmlarea user element module (thanks to Markus Lange)

2007-07-07  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5053: imgNameNotRandom on TMENU/GMENU could break rollover behaviour (thanks to Ralf Hettinger)
  * Fixed bug #5048: JSMENU produces error if using baseurls (thanks to Jens Koester)

2007-07-07  Wolfgang Klinger <wk@plan2.net>

  * Changed back references \1 to ${1} in regular expressions in tslib_fe where necessary

2007-07-07  Michael Stucki  <michael@typo3.org>

  * Added new static_tsconfig_help data based on TYPO3 4.1 CoreDocs. Kudos to Stephane Schitter and Francois Suter for rewriting a backend module that allows to update this data again! (This functionality was broken after switching to TER2.)

2007-07-06  Wolfgang Klinger <wk@plan2.net>

  * Implemented feature request #1919: TCAdefaults setting in page TS

2007-07-06  Michael Stucki  <michael@typo3.org>

  * Fix in indexed search: List of indexed pages could be broken if mutli-byte chars are cut in the middle (patch by Karsten Dambekalns)
  * Make field selection work in browse_links.php popup (patch by Christian Jul Jensen)
  * Fixed bug #5094: Record alt_label was not processed (patch by Volker Graubaum and Thomas Hempel)
  * Added feature #5588: Add "linkAccessRestrictedPages" property to typolink function (patch by Franz Holzinger)

2007-07-02  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #4623: Content encoding with x-gzip not possible in IE7
  * Fixed bug #5789: JS error in new content element wizard with a single item

2007-06-25  Dmitry Dulepov  <dmitry@typo3.org>

  * Added $GLOBALS['TYPO3_DB']->sql_free_result() to TCEmain::rawCopyPageContent() to avoid resource waste

2007-06-13  Andreas Otto  <andreas.otto@dkd.de>

  * Added status headers: In class.tslib_fe.php status header were set when an error occurs after which TYPO3 throws an exit() statement. In addition to that t3lib_div::syslog() is called to write an entry to the syslog.

2007-06-13  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5778: Missleading comment in TCEmain::copyRecord_procBasedOnFieldType()

2007-06-08  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5755: XCLASS inclusion part for class.t3lib_tceforms_inline.php is missing

2007-06-05  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #4226: New content elements wizard removes CE from array if tt_content_defValues property is zero

2007-05-25  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5655: TYPO3 back-end was blocked on new installations because of a bug in RFCs #1642/#4886

2007-05-23  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5564: IRRE - foreign_selector/foreign_unique on click issue

2007-05-21  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #5550: 'lower' TCA specification may fail with non-ascii characters
  * Added $GLOBALS['TYPO3_DB']->sql_free_result() to TCEmain::recordInfo() to avoid resource waste

2007-05-18  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #5645: Missing Slovenian flag
  * Fixed bug #5628: Missing Slovak flag
  * Fixed bug #5578: config setting SYS[requestURIvar] doesn't work
  * Fixed bug #4509/3925: jsfunc.validateform.js does not verify checkbox fields (thanks to Jascha Schubert and Eicke Godehardt)

2007-05-18  Andreas Otto  <andreas.otto@dkd.de>

  * Feature request: If TYPO3 is configured to send a notification email about install tool logins this email discloses the used password if the login fails. Since this behaviour might not be wanted only the last 5 characters of the md5 hash of the used password are disclosed.

2007-05-12  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5074: IRRE - Hook processDatamap_afterDatabaseOperations executed early

2007-05-11  Ingo Renner  <typo3@ingo-renner.com>

  * Fixed bug #5047: MP3 icon is missing

2007-05-10  Thorsten Kahler  <thorsten.kahler@dkd.de>

  * Fixed bug #209: require field URL in page-type "External URL"

2007-05-09  Ingo Renner  <typo3@ingo-renner.com>

  * Fixed bugs #1642 and #4886: when installing an extension with new BE modules, the modules do not appear

2007-05-09  Andreas Otto  <andreas.otto@dkd.de>

  * Fixed bug #2052: Color picker does not work properly in flex forms. Thanks to David Bruehlmeier for providing a patch and a testcase.

2007-05-04  Ingo Renner  <typo3@ingo-renner.com>

  * Added swedish and latvian flags to media/flags folder

2007-05-04  Dmitry Dulepov  <dmitry@typo3.org>

  * Updated compatibility version for t3skin

2007-05-03  Ingo Renner  <typo3@ingo-renner.com>

  * Fixed bug #5310: Missing Swedish flag

2007-05-02  Ingo Renner  <typo3@ingo-renner.com>

  * Fixed bug #584: Changing language in user setup do not reload left frame (menu).

2007-05-02  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed: IRRE does not work with workspaces (fix only for CSV & foreign field cases)
  * Fixed: isses with previous fix discovered my Michael Stucki

2007-05-01  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #2515: jsfunc.validateform.js does not verify password fields (thanks to Joerg Wagner)
  * Fixed bug #5158: log failed mailings of t3lib_div::plainMailEncoded()

2007-04-30  Michael Stucki  <michael@typo3.org>

  * Improve the check for session support in Install Tool (see #1474). Thanks to Martin Kutschker!

2007-04-30  Oliver Hader  <oh@inpublica.de>

  * Fixed feature request #5424: Menu cache expire time should be configurable

2007-04-28  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #4957: CSV export stop exporting a field when there is a linebreak. Thanks for Oliver Klee for the idea and solution.
  * !!! t3lib_div::cvsValues() now exports like RFC 4180 (embedded line-breaks allowed)

2007-04-28  Andreas Otto  <andreas.otto@dkd.de>

  * Fixed bug #3649: Call to a member function formWidth() on object $GLOBALS['TBE_TEMPLATE'] instead on $GLOBALS['SOBE']. Thanks to Chi Hoang for supplying a patch.

2007-04-28  Ingo Renner  <typo3@ingo-renner.com>

  * Fixed bug #1290: TCEFORM.table.field.linkTitleToSelf-Option could be confusing
  * !!! Removed option ->TCEFORM_confObj:linkTitleToSelf.returnUrl = 1 as it seemed unlogical not to use it
  * Fixed bug #3993: Missing error message for big uploaded files - A message is there but it wasn't useful, changed it to something more understandable
  * Added a link to typo3.org/community and a list of the authors from installed extensions to the the about page (Help->About)
  * Fixed bug #2516: Constants and Setup are switched in select field in TS object browser

2007-04-28  Michael Stucki  <michael@typo3.org>

  * Fixed bug in class.em_terconnection.php: Need to base64_encode upload data for some NuSOAP implementations (patch by Karsten Dambekalns)
  * Fixed bug #1474: Check if session_support is enabled in PHP or output a warning message in the Install Tool (patch by Ingo Schmitt)

2007-04-28  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5519: EM - Some input fields don't have real labels yet (patch by Oliver Klee)

2007-04-27  Martin Kutschker  <masi@typo3.org>

  * Change default date formatting of CE header to be localized (needs compat version of 4.2)
  * Add "address" to the list of allowed tags of parseFuncs (needs compat version of 4.2)
  * Fixed bug #5522: 1-2-3 wizard does not accept host name with socket option

2007-04-27  Michael Stucki  <michael@typo3.org>

  * Move type conversion of $TYPO3_CONF_VARS['FE']['pageNotFound_handling']='true' (string) into t3lib/config_default.php
  * Add new function t3lib_div::rmdir() to remove directories recursively
  * Modify filelist module to make use of the t3lib_div::rmdir()
  * Modify internal_clearPageCache() in t3lib_tcemain and make use of t3lib_div::rmdir() as well
  * Various enhancements to the TS object browser and TS analyzer:
	- Add spaces left and right of the "=" mark in the object browser overview
	- Set new default values: Check several fields, e.g. "block mode", "syntax highlighting", etc. by default
	- Define default values properly in each class instead of setting them globally
	- Use the TSparser and display comments nicely in the object browser
	- Fix bug: New keys were not added by the object browser when pressing the return key in the update form instead of clicking the submit button. The fix is a workaround, the real problem is that the form contains two submit buttons with different actions...

2007-04-27  Ingo Renner  <typo3@ingo-renner.com>

  * Removed partial t3lib_div in misc/phpcheck/incfile.php and included the real t3lib_div instead, PDT for Eclipse had problems determining the actual t3lib_div because of this

2007-04-18  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #1893: Broken Rootline when a Editor view a Page that is not online
  * Changed loop variable name in TCEMain because it could corrupt information passed to post-processing hook
  * Fixed workspace publishing error that may happen when "Element" versioning type is used

2007-04-19  Thomas Hempel  <thomas@work.de>

  * Implemented feature request #3894: Open module on startup

2007-04-18  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #3729: Roll-over (RO) on a GMENU in IE didn't work with xhtml_strict

2007-04-18  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed: t3lib_BEfunc::getRecord() did not free recordset. This can cause memory leaks if persistent mysql connections are used

2007-04-14  Dmitry Dulepov  <dmitry@typo3.org>

  * Workspaces: added class.wslib_gui.php to allow using WS GUI from extensions
  * Fixed HTML syntax errors with some old html files

2007-04-05  Martin Kutschker  <masi@typo3.org>

  * Renamed Typoscript condition julianday to dayofyear (see change from 2007-04-03)
  * Made debug logging of user-supplied SQL queries possible in t3lib_db.

2007-04-04  Andreas Otto  <andreas.otto@dkd.de>

  * Fix bug #5411: A directory handle was not correctly used.

2007-04-03  Andreas Otto  <andreas.otto@dkd.de>

  * Implemented feature request #4914: Adding to new conditions (year and julianday) to class.t3lib_matchcondition.php.

2007-04-03  Dmitry Dulepov  <dmitry@typo3.org>

  * Workspaces: added configurable synchronous stage change and publishing

2007-04-02  Michael Stucki  <michael@typo3.org>

  * Fixed bug #5088: Cache is not saved properly because of charset conflict in the database. Changing the field type of cache_hash.content from mediumtext to mediumblob. To make this work, you need to compare your database in the Install Tool.

2007-04-02  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #4447: "Clear FE cache" doesn't clear "typo3temp/cache_pages" directory

2007-03-30  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5248: IRRE - Element browser cannot be used on new child records of a new parent record

2007-03-30  Franz Holzinger  <kontakt@fholzinger.com>

  * Fixed bug #4725: EM: Include older versions when fetching data using searchExtensionsXML()

2007-03-28  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5288: Missing parameter in recursion of t3lib_div::array_merge_recursive_overrule (thanks to Simon Tuck)
  * Fixed bug #5177: RTEhtmlarea not correctly displayed in IRRE child form-fields and tabs

2007-03-28  Ingmar Schlecht  <ingmar@typo3.org>

  * Adding page tree backwards compatibility for JavaScript function hilight_row() to tree.js (by Benjamin Mack)

2007-03-28  Patrick Broens  <patrick@patrickbroens.nl>

  * Fixed bug #5266: WamCom browser check in htmlarea.js conflicted with Firefox 2.0.0.3

2007-03-28  Ernesto Baschny  <ernst@cron-it.de>

  * Added +stdWrap for the .src parameter of "FRAME"

2007-03-27  Dmitry Dulepov  <dmitry@typo3.org>

  * Added hook to class.t3lib_userauthgroup.php, function recordEditAccessInternals

2007-03-23  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #5269: wsol_preview.php does not scroll to content element
  * Fixed bug #4953: Preview in Workspaces Module for content elements

2007-03-22  Karsten Dambekalns  <karsten@typo3.org>

  * typo3/sysext/adodb: Update to upstream version 4.94.

2007-03-12  Michael Stucki  <michael@typo3.org>

  * Change copyright information in typo3/index.php (no real change, just replace the hardcoded years with the "TYPO3_copyright_year" constant)

2007-03-12  Martin Kutschker  <masi@typo3.org>

  * Replace all TINYTEXT columns with VARCHAR(255)
  * Change index "parent" of fe_user to (pid,username) and drop the index "pid"
  * Quote table names in admin_get_XXX() functions of t3lib_db

2007-03-06  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.1 / create branch "TYPO3_4-1" for 4.1.x development

2007-03-06  Ingmar Schlecht  <ingmar@typo3.org>

  * Setting default value of pageNotFoundOnCHashError back to "false" (= reverting Stucki's patch) as some extensions had problems with the new default value

2007-03-05  Michael Stucki  <michael@typo3.org>

  * New login image (if no skin is used) by Ture Andersen
  * Added a warning for admins if typo3conf/ENABLE_INSTALL_TOOL exists (which means that the Install Tool is currently enabled)
  * Changed layout of admin warnings (use <li> instead of plain breaks)
  * Fixed bug #5125: Typo in SQL definition of sys_history

2007-03-04  Oliver Hader  <oh@inpublica.de>

  * Fixed bug: #5098: IRRE - foreign_unique without foreign_selector doesn't work

2007-03-01  Oliver Hader  <oh@inpublica.de>

  * Fixed bug: #5069: TSconfig mod.web_list.allowedNewTables used in t3lib_TCEforms_inline
  * Fixed bug: #5092: Typo in Who is online (thanks to Matthias Kall)

2007-03-01  Karsten Dambekalns <karsten@typo3.org>

  * typo3/sysext/indexed_search: DBAL compliancy patch

2007-02-28  Ingmar Schlecht  <ingmar@typo3.org>

  * New login image for t3skin by Ture Andersen

2007-02-27  Oliver Hader  <oh@inpublica.de>

  * Fixed bug: #5052: Form action URL is not htmlspecialchared (patch by Michael Stucki)
  * Fixed bug: #5072: Web>Info>Log - ID of BE user is displayed instead of its username
  * Fixed bug: #5073: Tools>User Admin>List users online is broken

2007-02-27  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #3666: permissions of versioned pages are not changed in draft workspace (patch by Andreas Wolf)
  * Added rootline cache to speed up tree renderings in the BE

2007-02-27  Ingo Renner  <typo3@ingo-renner.com>

  * Fixed bug: Cannot return from Quickedit mode

2007-02-26  Dmitry Dulepov  <dmitry@typo3.org>

  * Better fix for bug #5032: [LocalLang: 0?]DEF is sometimes displayed for content elements

2007-02-25  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #5055: SQL problem with reviewstate in EM (thanks to Franz-Xaver Koch)
  * Fixed bug: List all fe_groups in page icon tooltip (patch by Michael Stucki)

2007-02-24  Ernesto Baschny  <ernst@cron-it.de>

  * Fix for bug fix #2677: Highlighting of current page in workspaces was not de-highlighting previous one

2007-02-21  Ingmar Schlecht  <ingmar@typo3.org>

  * Release of TYPO3 4.1RC2

2007-02-21  Michael Stucki  <michael@typo3.org>

  * Security fix: Email injection vulnerability in t3lib_formmail (reported and fixed by Andreas Otto and Thorsten Kahler)

2007-02-20  Michael Stucki  <michael@typo3.org>

  * Fixed bug in EM: Insecure extensions were still displayed (patch by Karsten Dambekalns)
  * Fixed a typo in class.em_xmlhandler.php
  * Fixed a typo in typo3/sysext/install/mod/class.tx_install.php
  * Changed another bug in the EM: Last update of extensions.xml.gz was not displayed
  * Fixed bug #4951: SQL error when editing BE User
  * Fixed bug #3412: Changed default size limits for various BE upload fields to 10M (this default can be defined through $TYPO3_CONF_VARS[BE][maxFileSize] or individually per field through $TCA)
  * Various changes to t3skin (by Thomas Murphy):
	- folder icon got more contrast
	- navtree: darker color for hover & active states
	- font-weight: bold; for active state

2007-02-20  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #4202: be_groups - fields restricted by a low maxitems value
  * Fixed bug #4873: EM - Warning on uploading extension to TER (unserialize)
  * Fixed bugs #3655 and #4701: No wrappers for certain events (patch by Martin Kutschker)
  * Fixed bug: IRRE - Related child records are not updated when copying to a different page

2007-02-20  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #4993: IE 5.5 and Konqueror compatibility for AJAX navtree

2007-02-20  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #5032: [LocalLang: 0?]DEF is sometimes displayed for content elements

2007-02-19  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug: AJAX navtree erroneously showed whole tree inside of the expanded branch on errors such as pages deleted in the meantime (thanks to Benjamin Mack)
  * Fixed bug #4993: AJAX navtree does not expand in Konqueror (fixed by Benjamin Mack)

2007-02-16  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #4207: User>Workspaces shows users pages they have no access to

2007-02-16  Karsten Dambekalns  <karsten@typo3.org>

  * Fixed bug #4822: EM shows remote extensions as on this server only

2007-02-16  Michael Stucki  <michael@typo3.org>

  * Fixed bug #4973: Check if array is empty before looping over it (thanks to Thomas Oppelt)
  * Fixed bug #2677: Highlighting of current page in workspace (fixed by Martin Kutschker and Benjamin Mack)

2007-02-16  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #4962: .htaccess in sysext fails in some Apache configurations

2007-02-15  Michael Stucki  <michael@typo3.org>

  * Reverted fix for bug #4689 (closes #4987): Fix seems to cause problems, reinvestiation is needed

2007-02-15  Martin Kutschker  <masi@typo3.org>

  * Fix bug #4947: SQL error with DBAL/PostgreSQL when listing or looking up reviewed extensions

2007-02-15  Thorsten Kahler  <thorsten.kahler@dkd.de>

  * Fix: Display description of options in install tool correctly

2007-02-14  Bernhard Kraft  <kraftb@kraftb.at>

  * Added hook: New hook in t3lib_tceforms in method getSingleField allowing modification of single field rendering and adding buttons to alt_doc.php

2007-02-14  Rupert Germann  <rupi@gmx.li>

  * Fix: Excluded the adminPanel GETvars from t3lib_div::cHashParams to prevent a cHash mismatch

2007-02-11  Thomas Hempel  <thomas@work.de>

  * Fix bug #4943: Redundant comma in label_alt_force

2007-02-11  Martin Kutschker  <masi@typo3.org>

  * Fix bug #4423: BE search doesn't work with UTF-8 chars (thanks to John Angel)

2007-02-07  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.1RC1
  * Fixed bug #4883: mod_rewrite rules rewrite missing favicon.ico to index.php (thanks to Stefan Geith for this hint - notice that manual modification of existing .htaccess files might be neccessary)
  * Added feature #4476: Allow limitation of config.linkVars
  * Fixed bug #4917: Wrong links inside mounted page with overlay (thanks to Melanie Meyer / Franz Ripfel)

2007-02-06  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #3985: Wrong substitution for spamProtectEmailAddresses_atSubst/spamProtectEmailAddresses_lastDotSubst

2007-02-06  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #4742: link to user on User Admin page is following to wrong URL

2007-02-06  Michael Stucki  <michael@typo3.org>

  * Added feature #4592: Keep indexed_search tables consistent when deleting/hiding pages (Thanks to Michael Fritz)
  * Fixed bug #4666: Use TYPO3 settings when formatting dates
  * Fixed bug #4581: Duplicate entry on cache_pagesection on reloading twice. See bugtracker entry for details about this change.
  * Added feature #4536: Add new property "additionalParams" to GMENU items / Cleanup in tslib_menu
  * Fixed bug #3069 again: Ignore version check if no requirements are specified
  * indexed_search: Turn off maxAge setting as this "feature" seems to make no sense at all
  * Fixed bug #4689: Error in t3lib_tcemain while entering a number like 50 or 50.00 into a double2 field
  * Fixed bug #3544: RTE-config in PageTS-config not loaded when in draft-workspace

2007-02-05  Ingmar Schlecht  <ingmar@typo3.org>

  * Lots of <label> tags added to checkbox labels throughout the core (Thanks to Ingo Renner for this big patch!)

2007-02-05  Oliver Hader  <oh@inpublica.de>

  * Bugfix for TSconfig overriding TCA field configuration
  * Fixed bug #4758: Page with doktype 3 (external URL) and e-mail as URL could be shown directly

2007-02-04  Martin Kutschker  <masi@typo3.org>

  * Added icon to edit record of page overlay for a translated page

2007-02-04  Michael Stucki  <michael@typo3.org>

  * Extended db_mountpoint and file_mountpoint fields into to 255 bytes size
  * Fixed bug #3069: Extension manager crashed because of some PHP bug with version_compare() (thanks to Rainer Haertlein who discovered the solution to this problem)
  * Changed t3lib_basicFileFunctions to use filemtime() instead of filectime()
  * Fixed bug #4526: Add td-<number> to last table elements in CSS styled content (thanks to Dimitriy Simakov)
  * !!! Enable $TYPO3_CONF_VARS[FE][pageNotFoundOnCHashError] by default. This should usually do no harm at all as long as the encryptionKey is not changed.
  * Trigger a warning if the PHP setting "post_max_size" is lower than "max_upload_size"

2007-02-04  Oliver Hader  <oh@inpublica.de>

  * Features & bugfixes for Inline Relational Record Editing (IRRE)
	- Feature: hide new record link by appearance property
	- Feature #4838: enabled element browser to be used as selector
	- Bugfix #4839: use "size" parameter of parent table for record selector
	- Bugfix: changed handling of required fields on nested child records

2007-02-04  Ingmar Schlecht  <ingmar@typo3.org>

  * Instant collapsing for pagetree: The pagetree now doesn't wait for the AJAX response any more when collapsing
  * Fixed bug #4817: Clickmenu shows up at the wrong place (Thanks to Benjamin Mack for the patches)

2007-02-03  Oliver Hader  <oh@inpublica.de>

  * Fixed feature request: TCEforms/IRRE - Allow TSconfig to override TCA field configuration

2007-02-02  Martin Kutschker  <masi@typo3.org>

  * Changed class.t3lib_clipboard.php and class.db_list_extra.inc to use new mod.php?M=xMOD_tximpexp (instead old impexp/app/index.php)

2007-01-30  Martin Kutschker  <masi@typo3.org>

  * Fixing oddities in recursive stdWraps (bugs #4312 and #4871)
  * Fix bug #4678: t3lib_div::array2xml() may crash with PHP 5.2.0
  * Fix bug #3648: ease use of tslib_cObj::getTreeList()
  * Added SYS[requestURIvar] to get original value of REQUEST_URI (needed by some URL writers for IIS)

2007-01-30  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed never disappearing proposal to update database structure in Install>Database>COMPARE

2007-01-29  Dmitry Dulepov  <dmitry@typo3.org>

  * !!! Changed MySQL engine type for several database tables to InnoDB
  * Added several new indexes

2007-01-28  Martin Kutschker  <masi@typo3.org>

  * Added "html { height: 100% }" to stylesheet to make RTE wizard (rteHTMLarea) work in IE7
  * Remove checks for PHP version earlier than 4.3

2007-01-24  Dmitry Dulepov  <dmitry@typo3.org>

  * Added "useCDATA" to a list of t3lib_div::array2xml() options to produce CDATA instead of entities

2007-01-26  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #4814: Umlauts error in AJAX Pagetree
  * Updated prototype.js to version 1.5.0
  * Updated script.aculo.us to version 1.7.0
  * Created new directory for external contributions typo3/contrib/ and moved files:
	- typo3/prototype.js	-> typo3/contrib/prototype/prototype.js
	- typo3/scriptaculous/*	-> typo3/contrib/scriptaculous/*
	- typo3/json.php		-> typo3/contrib/json.php
  * Changed paths to typo3/contrib in affected core files

2007-01-25  Ingmar Schlecht  <ingmar@typo3.org>

  * Added backwards compatibility to pagetree for non AJAX-capable browsers (by Benjamin Mack)

2007-01-24  Michael Stucki  <michael@typo3.org>

  * Install Tool: Network 192.168.0.0/255.255.0.0 was allowed to enter the Install Tool regardless of the die() presence in typo3/install/index.php. This exception has been removed, only 127.0.0.1 may now enter the Install Tool regardless of any other conditions.
  * !!! Install Tool: Instead of modifying typo3/install/index.php to enable the Install Tool, a new file "typo3conf/ENABLE_INSTALL_TOOL" can be created to enable it. Shared hosting servers: If you want to turn this off, you have to change the condition in typo3/install/index.php, line 50. See comment above.
  * Removed access for 192.168.0.0/255.255.0.0 in misc/phpcheck/incfile.php

2007-01-24  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #4846: EM: inconsistent line ending

2007-01-24  Oliver Hader  <oh@inpublica.de>

  * Fixed bug #4820: IRRE - Wrong character encoding in AJAX response
  * Fixed feature request #4790: typolink.addQueryString - enable usage of merged POST and GET data
  * Fixed bug #4824: typo3 not defined in jsfunc.tbe_editor.js
  * Fixed bug #4809: require() in class.t3lib_tceforms_inline.php fails
  * Fixed feature request #4780: TypoScript - add stdWrap to TMENU/GMENU
  * Fixed bug #4827: Call to undefined method t3lib_BEfunc::getrecordtitleprep()

2007-01-23  Ingmar Schlecht  <ingmar@typo3.org>

  * Bugfix to mm-relation handling: writeMM() tried to set the "tablenames" field even for simple two-table relationships which then failed

2007-01-23  Michael Stucki  <michael@typo3.org>

  * Slightly changed the check for IE browsers in t3lib_div::clientInfo()
  * !!! Removed function "netPrintApplication_offsiteLinkWrap" and TypoScript property "netprintApplicationLink" for IMGTEXT elements which were only used by one extension which is obsolete meanwhile...
  * Fixed bug #4830: Right click in CM did not work anymore (thanks to Benjamin Mack)
  * Fixed bug #4643: File Upload did not recognize BE-User option "defaultFileUploads" (thanks to Benjamin Mack)

2007-01-20  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.1beta3
  * Update copyright information (just the year, of course) in t3lib/config_default.php

2007-01-19  Ingmar Schlecht  <ingmar@typo3.org>

  * AJAX pagetree and filetree by Benjamin Mack <bmack@xnos.org>! (Thanks also to Franz Holzinger and Stefan Regniet for their help)
  * Patch by René Fritz regarding bidirectional mm-relations: It's now possible to save different relations to the same mm-table by means of so called "matchFields". This is used by DAM.

2007-01-19  Andreas Otto  <andreas.otto@dkd.de>

  * Fixed feature request 4656: The feature config.sys_language_softMergeIfNotBlank sets the "mergeIfNotBlank" for a field in the frontend context through TypoScript. It can be useful to have the same for "exclude" localization mode so a field is always overlaid in the frontend output. This patch simply copies the code from "softMergeIfNotBlank" and does the same for "exclude".

2007-01-19  Dmitry Dulepov  <dmitry@typo3.org>

  * !!! Added "prepend" to tt_content.stdWrap in css_styled_content to display anchor to localized content elements in addition to anchor to the default language version

2007-01-19  Michael Stucki  <michael@typo3.org>

  * Reverting patch for bug #4581 which was committed by mistake. The solution works well, but it depends on 4.3.0 currently...

2007-01-18  Martin Kutschker  <masi@typo3.org>

  * Added PATH_typo3 to index_ts.php (see related change on 2006-10-29)

2007-01-09  Ingmar Schlecht  <ingmar@typo3.org>

  * Alphabetically sorted TS tree in TS Object Browser (Thanks to Ingo Renner)

2007-01-09  Sebastian Kurfuerst  <sebastian@typo3.org> (Thanks to Oliver Hader)

  * Rewrote TBE_EDITOR Javascript functions to use JS "objects" and outsourced them to an external file
  * !!! Removed the variables TBE_EDITOR_isChanged and TBE_EDITOR_loadTime in TBE_EDITOR javascript
  * Change in getRecordTitle: a too long title is wrapped in a <span title="..."> tag to show a tooltip

2007-01-03  Thorsten Kahler  <thorsten.kahler@dkd.de>

  * Fixed bug #931: Typolink to a page with certain type doesn't work if type is zero

2007-01-03  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bugs #3254, #3872, #4345: hide workspace selector if (1) no access to workspace module, or (2) only one workspace is available to user
  * Fixed: publishing many records may cause PHP timeout and leave workspace in half-published state
  * Fixed bug #4006: Load $GLOBALS['TSFE'] with image dimensions when IMG_RESOURCE is used (feature request!)

2006-12-27  Dmitry Dulepov  <dmitry@typo3.org>

  * Removed garbage characters in typo3/init.php

2006-12-21  Dmitry Dulepov  <dmitry@typo3.org>

  * List module did not use BACK_PATH in many calls to TYPO3 functions, which made imposible to reuse List module classes in extensions

2006-12-20  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.1beta2

2006-12-20  Peter Niederlag  <peter@niederlag.de>

  * Fixing important security issue in rtehtmlarea

2006-12-19  Ingmar Schlecht  <ingmar@typo3.org>

  * Some more IRRE bugfixes by Oliver concerning RTE and alt_doc.php

2006-12-14  Ingmar Schlecht  <ingmar@typo3.org>

  * Committed a bunch of bugfixes and new features related to IRRE (Thanks to Oliver Hader!):
	- Automatic sorting by a "sortby" field (e.g. the title)
	- The possibility to have relations from different parent pages to a child table
	- Expanded/collapsed states are saved in uc now
	- Bugfixes to #4616 and #4617 concerning IRRE relation to the same table
	- Bugfix for using RTEs in IRRE records (works even inside of nested tabs now)

2006-12-13  Martin Kutschker  <masi@typo3.org>

  * More localization of User>Workspaces (thanks to Marc Wöhlken)

2006-12-14  Kasper Skaarhoj

  * Modified t3lib_div::makeInstance() to require filenames in lowercase
  * Added some fields ("languageField", "transOrigPointerField", "type", "header") as default "shadowColumnsForNewPlaceholders" fields (tcemain "localize" command related)
  * Fixed Safari context menu bug

2006-12-13  Martin Kutschker  <masi@typo3.org>

  * Improved t3lib_BEfunc::getRecordRaw() (error checking, freeing result set)
  * Added a few addtional entries for special characters to the ASCII transliteration table
  * Localized User>Workspaces (thanks to Andreas Wolf)
  * Fix bug #2935: invalid HTML in Web>Versioning (quotes)

2006-12-12  Martin Kutschker  <masi@typo3.org>

  * Made cli_dispatch.phpsh work when called as "php cli_dispatch.phpsh" and protect from being called on a non CLI
  * Make TYPO3 log page paths in UTF-8 if config.stat_apache_niceTitle = utf-8

2006-12-12  Karsten Dambekalns  <karsten@typo3.org>

  * The EM now stores the list of extensions from TER in the database, see http://bugs.typo3.org/view.php?id=2615

2006-12-12  Ingmar Schlecht  <ingmar@typo3.org>

  * Better getRecordTitle() function introducing label_userFunc (Thanks to David Brühlmeier for this patch! See http://lists.netfielders.de/pipermail/typo3-team-core/2006-December/006521.html for details.)

2006-12-11  Martin Kutschker  <masi@typo3.org>

  * Add page tree update to publish button of module Web>Versioning
  * Added "new record" icon to table listing in module Web>Page

2006-12-07  Franz Holzinger  <kontakt@fholzinger.com>

  * Fix bug #4555: double posts in tt_board did not get detected because of unintended conversion into a negative integer

2006-12-07  Ingmar Schlecht  <ingmar@typo3.org>

  * Disabled typo3/alt_main_new.php as it's not fully working yet. Will be ready for TYPO3 4.2 probably, but not for 4.1.
  * Disabled wordIndexing() function of t3lib_refindex

2006-12-05  Michael Stucki  <michael@typo3.org>

  * Updated font-copyright information in t3lib/fonts/readme.txt - many thanks to Christian Welzel for taking care of this!
  * Security enhancement: Prevent image access through thumbs.php. For details, see http://typo3.org/teams/security/security-bulletins/typo3-20061205-1/ - thanks to Marc Bastian Heinrichs for discovering and reporting this issue.
  * Security enhancement: Refuse BE logins of usernames starting with "_CLI_" (they are only used by real CLI scripts)

2006-11-21  Martin Kutschker  <masi@typo3.org>

  * Allow strftime-syntax for config.stat_apache_logfile (Thanks to Francois Suter and Michael Stucki).
  * Enhanced message for recordset warning (see change at 2006-12-02) and removed serializing of objects in the backtrace (devlog).

2006-12-03  Ingmar Schlecht  <ingmar@typo3.org>

  * Use <label> tags in tceforms where appropriate to enhance usability (Thanks to Ingo Renner for writing the patch!)
  * Increase length for titles of be_users, be_groups, and fe_groups (Thanks to Ingo Renner for writing the patch!)

2006-12-02  Dmitry Dulepov  <dmitry@typo3.org>

  * t3lib_db: added calls to t3lib_div::sysLog() and t3lib_div::devLog() if recordset is not valid

2006-12-01  Kasper Skaarhoj  <kasper2006@typo3.com>

  * Additions to FlexFormTools
  * Improved localization in tcemain
  * Changed pages_languages_overlay to NOT be hidden by default
  * Introduced REDIRECT: prefix to pageNotFound_handling (for backwards compatibility since someone changed to read the file instead of redirecting).
  * Added "linkHandler" hook for typolink. TSref is updated.
  * Modified Web > Info > Localization tools to not show details.
  * Removed redundant directory, clmods.

2006-11-28  Kasper Skaarhoj  <kasper2006@typo3.com>

  * Added "option.additionalPreviewLanguages" which enables to add other languages than the "default" to the list of those that a translator will see along with his own language
  * Added new class, "class.t3lib_transl8tools.php" with general stuff for working with languages and translation. More to come...
  * Added the t3lib_div::view_array() will also display a string input
  * Added, that "t3lib_div::makeInstance()" will call "require_once()" for "t3lib_*" if the class name is not found; this is essentially an "auto-loader" feature that can come it pretty handing since something like 90% of all instantiations in the core is of t3lib_-classes; now we don't need to add "require_once()" statements in the top. And oh, btw. there is a function, "t3lib_div::requireOnce()" for "require_once()" which I suggest you use so that inclusions have some globals set (like TYPO3_CONF_VARS) and also cannot change local scope variables.

2006-11-26  Michael Stucki  <michael@typo3.org>

  * Fixed bug #4556: PHP4 compatibility issues

2006-11-24  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.1beta1

2006-11-21  Martin Kutschker  <masi@typo3.org>

  * New Feature: List users online (aka who is online) for BE users in Tools > User Manager
  * New Feature: Allow UTF-8 file names (to enable set BE[forceCharset]='utf-8' and SYS[UTF8filesystem]=1)

2006-11-23  Ingmar Schlecht  <ingmar@typo3.org>

  * New Feature: Inline Relational Record Editing (IRRE). See http://wiki.typo3.org/index.php/Inline_Relational_Record_Editing for details. Thanks a lot to Oliver Hader who programmed this as his diploma thesis and to Sebastian who reviewed the code together with me!

2006-11-21  Martin Kutschker  <masi@typo3.org>

  * Fix a problem with PHP4 and UTF-8 byte order marks (BOM) in t3lib_div::xml2array()

2006-11-17  Michael Stucki  <michael@typo3.org>

  * Fixed bug #4059: options.hideRecords.pages doesn't work for mounted pages - Thanks to Marc Bastian Heinrichs for providing a fix!
   * Fixed bug #4379: pageNotFound_handling ignores forceCharset setting
  * Fixed bug #3115: JavaScript error on clickmenu in filelist module
  * Fixed bug #4515: Input field with settings eval "date" and readOnly shows 01-01-1970 if the value is empty - Thanks to Marc Bastian Heinrichs for providing a fix!

2006-11-17  Martin Kutschker  <masi@typo3.org>

  * Indexed Search: Added stdWrap around the search word in the output (tx_indexedsearch_pi[whatis]): tx_indexedsearch_pi.whatis_stdWrap
  * Indexed Search: Removed superfluos <P> tag around search word

2006-11-16  Martin Kutschker  <masi@typo3.org>

  * Indexed Search: Added freeIndexSetId GROUP BY in tx_indexedsearch->execFinalQuery() to make SELECT work on DBs other than MySQL
  * Add an index prefix to MySQL key definitions when (var)chars are changed to text when multiplyDBfieldSize is set
  * Reverted change to key of sys_refindex on 2006-09-01 (key prefix is set now automatically)

2006-11-13  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed a bug: Normal labels rendered by class.db_list_extra.inc didn't get passed through t3lib_BEfunc::getProcessedValueExtra when alt_label fields are set.

2006-11-08  Dmitry Dulepov  <dmitry@typo3.org>

  * Enable creation of compact flexforms

2006-11-07  Michael Stucki  <michael@typo3.org>

  * Fixed bug #4348: Wrong time format in syslog output

2006-11-06  Michael Stucki  <michael@typo3.org>

  * Fix bug #3495: Endless recursion with some MySQL versions

2006-11-03  Michael Stucki  <michael@typo3.org>

  * Fixed bug #4425: Garble code in adodb extension
  * Fixed Cross Site Scripting issue in fe_adminLib.inc. For details, see http://typo3.org/teams/security/security-bulletins/typo3-20061010-1/ - thanks to Andriu Isenring Ritsch for discovering and reporting this issue.

2006-11-02  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug with bidirectional mm-relations: "group" fields with more than one table allowed didn't work properly any more

2006-11-02  Michael Stucki  <michael@typo3.org>

  * Fixed bug #1655: t3lib_div::substUrlsInPlainText() did not support HTTPS links
  * Fixed bug #1236 again: 404 error while using the new content wizard
  * Fixed bug #4443: Items in CE "Insert Records" don't have edit options in context menu any longer
  * Small EM change: Annotate if all or only reviewed extensions should be searched

2006-10-30  Karsten Dambekalns  <karsten@typo3.org>

  * Add security hints in typo3/mod/tools/em/class.em_index.php
  * Fixed bug #3637 in EM (translation handling)

2006-10-29  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #4021: array_merge error with PHP 5.0
  * Changed occurences of PATH_site.'typo3conf/' to PATH_typo3conf and PATH_site.TYPO3_mainDir to PATH_typo3

2006-10-25  Kasper Skaarhoj  <kasper2006@typo3.com>

  * Added "alt_main_new.php" including various modifications around to support this.
  * Added clean-up functions in extension "lowlevel" plus modified t3lib_refindex and t3lib_tcemain accordingly
  * Added word index to sys_refindex.
  * Added feature to workspace records so an element can still be edited even when passed to "review"; This allows an editor to notify that the element is ready but still make changes. Of course no more changes can be made as soon as the reviewer has pushed it to the next level.
  * Added "mod.php" which is a module dispatch script that can potentially help us to get rid of the problem with local vs global extensions and their backend modules having different conf.php files. Documentation remains to be added to "Inside TYPO3".

2006-10-14  Dmitry Dulepov  <dmitry@typo3.org>

  * Fixed bug #3199: SUing to myself?
  * Fixed bug #3720: Multilanguage Flexforms don't work after migrating a site from one language to more languages
  * Fixed bug #4358: Add an option to t3lib_div::xml2array to remove all unnecessary spaces

2006-10-17  Ernesto Baschny  <ernst@cron-it.de>

  * Fix: no more "ERR" or "Unpacking the language pack failed" in the translation handling with curl enabled.

2006-10-14  Dmitry Dulepov  <dmitry@typo3.org>

  * Fix: t3lib_db::exec_SELECTgetRows() did not free recordset

2006-10-24  Karsten Dambekalns  <karsten@typo3.org>

  * ADOdb system extension updated to upstream 4.93. Added danish translation, thanks to Peter Klein!

2006-10-11  Martin Kutschker  <masi@typo3.org>

  * Changed index "parent" of sys_template to (pid,sorting)

2006-10-10  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #3777: thumbs.php looks for file in t3lib/gfx instead of typo3/gfx

2006-09-20  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed a missing space in typo3/template.php

2006-09-15  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #3862: Tools>User Admin allows switching to disabled user
  * Fixed bug #3863: Delete temp_CACHED_* files from "Edit files in typo3conf/:"

2006-09-14  Michael Stucki  <michael@typo3.org>

  * Fixed bug #4219: := appendString() did not work because the check was made for "apppendString" (typo)

2006-09-11  Wolfgang Klinger  <wk@plan2.net>

  * Feature request #4133: accesskey for TMENU

2006-09-11  Ingmar Schlecht  <ingmar@typo3.org>

  * New feature: Bidirectional MM relations. You can now edit mm-relations from both sides of the relation in the Backend TCE-Forms. Thanks to Sebastian (for writing the patch together with me) and René (for the first version of this feature)

2006-09-11  Michael Stucki  <michael@typo3.org>

  * Fixed a tiny security problem in indexed search (for details, see http://typo3.org/teams/security/security-bulletins/typo3-20060911-1/)

2006-09-08  Michael Stucki  <michael@typo3.org>

  * Updates to NEWS.txt
  * Fixed #4165: Link to TSconfig and TSref not working. Thanks to Andreas Wolf for providing a patch!

2006-09-04  Michael Stucki  <michael@typo3.org>

  * Fixed bug #1268: plainMailEncoded not working with charset conversion.

2006-09-03  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Added su_back.gif image again to gfx

2006-09-03  Wolfgang Klinger  <wk@plan2.net>

  * Changed call_user_func to call_user_func_array in t3lib_div to allow passing parameters by reference to t3lib_div::callUserFunction

2006-09-02  Martin Kutschker  <masi@typo3.org>

  * Fixed #4141: config.spamProtectEmailAddresses does not encrypt "9" digits correctly
  * Web>List localization view did not handle "edit marked" for translation records

2006-09-01  Ingmar Schlecht  <ingmar@typo3.org>

  * Feature #529: Filled static_tsconfig_help with new content of core documents! Thanks a lot to Stephane Schitter for extracting the new data from the references!

2006-09-01  Michael Stucki  <michael@typo3.org>

  * Fixed bug: Creation of sys_refindex table was not possible if $TYPO3_CONF_VARS[SYS][multiplyDBfieldSize] was set.
  * Indexed Search: Fixed bug #3994: OpenOffice.org files cannot be indexed by class.external_parser.php
  * Indexed Search: Fixed bug #4093: PHP warning if indexed_search search word contains a front slash
  * Get rid of blob fields in TYPO3 databases (replaced with "text" fields)

2006-08-31  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #4035/3971: Error message when uploading one or two files in file-browser (BE)

2006-08-31  Ernesto Baschny  <ernst@cron-it.de>

  * Feature #4131: Respects label_alt setting in some more places (especially labels pointing to MM tables)

2006-08-31  Wolfgang Klinger  <wolfgang@stufenlos.net>

  * Feature #3026: Text change for the 'Quality' label

2006-08-31  Dmitry Dulepov  <typo3@accio.lv>

  * Performance enhancement for BE: 1) caching images in typo3/gfx and typo3/sysext; 2) caching CSS files in typo3/sysext/t3skin/stylesheets

2006-08-30  Martin Kutschker  <masi@typo3.org>

  * Add and update icons for the new skin

2006-08-29  Ingmar Schlecht  <ingmar@typo3.org>

  * Made it possible to give FE users the choice to "stay logged in". See new install tool option $TYPO3_CONF_VARS[FE][permalogin]. You'll need the latest newloginbox version from the typo3xdev Subversion repository.

2006-08-29  Dmitry Dulepov  <typo3@accio.lv>

  * Performance enhancement in t3lib/class.t3lib_tstemplate.php: use UPDATE/INSERT (if no records have been updated) instead of DELETE/INSERT for cache_pagesection.
  * Show domain name in the page tree if is_siteroot is set for page and "options.pageTree.showDomainNameWithTitle" is set in user TSConfig

2006-08-25  Michael Stucki  <michael@typo3.org>

  * Fixed bug #4076: Skin creates invalid HTML markup
  * Fixed bug #1454: Cookie lifetime set in localconf.php will be ignored. Thanks to Dietrich Heise and Jeff Segars.
  * Fixed bug #3922: config.spamProtectEmailAddresses doesn't respect config.removeDefaultJS setting. Thanks to Benjamin Mack.
  * Added a new parameter to tslib_pibase->pi_classParam() which may contain classes that should not be prefixed.

2006-08-24  Michael Stucki  <michael@typo3.org>

  * !!! Changed default value of $TYPO3_CONF_VARS[SYS][devIPmask] to "127.0.0.1,::1" (removed "192.168.*")
  * Fixed bug #1236: 404 error while using the new content wizard
  * Fixed bug #3909: TYPO3_SSL does not detect valid SSL session
  * Fixed bug #3973: pageNotFound_handling=TRUE is interpreted as URL

2006-08-23  Michael Stucki  <michael@typo3.org>

  * Fixed bug #3960: Display correct version number in Install Tool (only when authenticated)
  * Fixed bug #4073: Extension manager doesn't find extensions if the search string contains a trailing space
  * Fixed bug #3990: $BE_USER property "disableTabInTextarea" is not respected

2006-08-19  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bug #4037: Link from Google AdWords fails due to wrong alias handling

2006-08-19  Ingmar Schlecht  <ingmar@typo3.org>

  * Partly fixed #4013: New records in non-default language are displayed in list-module in localization view too now even if they don't have a parent record in the default language.

2006-08-17  Ingmar Schlecht  <ingmar@typo3.org>

  * Added text to Update Wizard informing about the change of the default values of "config.inlineStyle2TempFile" and "config.removeDefaultJS" depending on compatVersion >= 4.0

2006-08-14  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Corrections/adjustments to the htmlArea RTE extension (see details in local ChangeLog)

2006-08-04  Wolfgang Klinger  <wk@plan2.net>

  * Fix bug #3160: IFSUB is not true if the parent page is a shortcut page

2006-07-31  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed endless page retrieval if pageNotFound_handling is set to URL of a local non existing page

2006-07-31  Michael Stucki  <michael@typo3.org>

  * Updates to NEWS.txt (thanks to Martin Kutschker)
  * Changed version requirements for t3skin (problems in combination with TYPO3 4.0.1)

2006-07-30  Michael Stucki  <michael@typo3.org>

  * Fix bug #3362 (again): Bugfix used t3lib_div which is missing at that point
  * Fix bug #3943: compat_version was accidentally changed to 4.0.1

2006-07-24  Karsten Dambekalns  <karsten@typo3.org>

  * t3lib/config_default.php: Fixed bug #3246 - error in t3lib/config_default.php on setting display_errors.

2006-07-23  Karsten Dambekalns  <karsten@typo3.org>

  * t3lib/class.t3lib_div.php: Added a clarifying note to the comment for loadTCA(), thanks to Johannes Konert.

2006-07-17  Dmitry Dulepov  <typo3@accio.lv>

  * t3lib_tceforms: now using "labels.new" from locallang instead of hard-coded "NEW"

2006-07-17  Michael Stucki  <michael@typo3.org>

  * Fix bug #3308: Check for deleted records when displaying language overlays
  * Removed hardcoded rowSpace value in CSS Styled Content
  * Minor cleanup in CSS Styled Content constants.txt + setup.txt

2006-07-14  Martin Kutschker  <masi@typo3.org>

  * mailto: links were not handled as mailto: links if protocol was present in link

2006-07-13  Karsten Dambekalns  <karsten@typo3.org>

  * EM: Fixed bug #3299 (Language pack installation cannot handle spaces in filenames).
  * EM: Added extra sanity check when cleaning up version numbers in constraints, solves bogus warnings when installing extensions.
  * EM: The label for enabling unreviewed extensions is more clear now. The search scope (all/reviewed) is shown on the import extensions page.

2006-07-13  Wolfgang Klinger  <wk@plan2.net>

  * Fixing some missing is_array checks

2006-07-12  Wolfgang Klinger  <wk@plan2.net>

  * Fix bug/feature request #3811: Adding "ATagParams" to GMENU

2006-07-12  Martin Kutschker  <masi@typo3.org>

  * Fix bug #3600: config.formMailCharset is not honoured
  * t3lib_formmail: do charset conversion for mails when config.formMailCharset is set or config.metaCharset different from config.renderCharset
  * t3lib_formmail: use $this->messageid of base class

2006-07-12  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bug #3594: No lang resolution for title in <tx_templavoila> element

2006-07-11  Martin Kutschker  <masi@typo3.org>

  * t3lib_cs: trim the charset for normalization

2006-07-10  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bug: missing check for PHP version in t3lib_div::getUrl()

2006-07-10  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #3005: captionSplit.cObject functionality in IMGTEXT is back as documented. But marked as "deprecated".
  * Fixed bug #3258: rendering issues in CSS styled IMGTEXT with noRows setting fixed.
  * Fixed bug #3416: first caption was being doubled with "renderMethod=table".

2006-07-10  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bug: "Publish time" label appeared where "Unpublish time" should appear

2006-07-07  Karsten Dambekalns  <karsten@typo3.org>

  * Added background color to TYPO3 error pages.

2006-07-07  Michael Stucki  <michael@typo3.org>

  * Changed version numbers in t3lib/config_default.php
  * Minor corrections to CVSreadme.txt
  * Install Tool displayed TYPO3_version instead of TYPO3_branch
  * Fixed bug #2462: typo3temp/ subdirectories were not created automatically
  * Fixed bug #3362: Windows systems print phpinfo under some circumstances
  * Fixed bug #1153 again: Adding parameters to showpic.php is not always expected: Add a new property to skip adding these parameters (JSwindow.altUrl_noDefaultParams)

2006-07-06  Martin Kutschker  <masi@typo3.org>

  * Fix bug #3779: edit form on page broken
  * Fix bug #3085: broken option frame (palettes) in IE

2006-07-01  Martin Kutschker  <masi@typo3.org>

  * Fix bug #3427: config.spamProtectEmailAddresses may garble mail link

2006-07-01  Karsten Dambekalns  <karsten@typo3.org>

  * DBAL update (sysext):
	- this update closes bugs #3638, #2106, #2866, #3754 (for Firefox, broken in MSIE) and maybe a few more
	- Implemented support for sysLog() on connection failure
	- DBAL now honours the no_pconnect setting
	- For handlers in native mode the setDBinit queries are executed upon connection
	- The initial value for generated sequences can be configured per handler, to avoid duplicate key errors after having imported data
	- BLOB fields are handled correctly now during INSERT and UPDATE
	- Setting $store_lastBuiltQuery acts like in t3lib_db now (fill $debug_lastBuiltQuery)
	- For the native handler quoting methods directly return the input for speedup, as no quoting is needed in that case
	- Added support for native and userdefined handler to MetaType()
	- Changed mapping of types to always use the largest possible integer, map tinytext to varchar instead of text
	- admin_get_tables() skips tables whose names match /BIN\$/ (coming from the recycle bin on Oracle)
	- Importing dumps using the install tool now works, see manual for tips
	- Changed the way NOT NULL and DEFAULT are handled when setting up tables, see manual for the rules that now apply
	- Code cleanup (indentation, documentation)
	- Updated the manual and added new content

2006-06-30  Franz Holzinger  <kontakt@fholzinger.com>

  * Fix bug #3725: empty and invalid flexform meta data are checked. impexp echos warning message found inside T3D import.

2006-06-30  Martin Kutschker  <masi@typo3.org>

  * t3lib_htmlmail: auto-detect charset (using FE or BE settings) with manual override

2006-06-30  Karsten Dambekalns  <karsten@typo3.org>

  * t3lib_page: Changed getMultipleGroupsWhereClause() to include a check using IS NULL to make it compatible to Oracle.
  * t3lib_page: Made enableFields() call getMultipleGroupsWhereClause() non-statically using $this.
  * sysext/adodb/: Update to upstream version 4.90, fixes to connection wizard, some code cleanup (closes: ##3755).
  * t3lib_sqlparser: Clean up indentation a little bit, fix bug #2991, make the parser understand "IS NOT [NULL]" an addition to just "IS [NULL]".
  * t3lib_tsfebeuserauth: Changed static call to enableFields()

2006-06-29  Ernesto Baschny  <ernst@cron-it.de>

  * Fix bug #3522 also in "content (default)": Linking images to hidden pages results in click-enlarge
  * Fix bug #3085: broken option frame (palettes) in IE

2006-06-29  Dmitry Dulepov  <typo3@accio.lv>

  * pageNotFound_handling HTTP status fix when external URL is specified as 404 page

2006-06-28  Ernesto Baschny  <ernst@cron-it.de>

  * Fix bug #3391: HTML-Source in error-pages now valid xhtml (FE)

2006-06-28  Martin Kutschker  <masi@typo3.org>

  * Fix bug# 3397: FORM submit as image is not valid xhtml
  * Fixed restriction to languages in Frontend editing
  * Fix bugs #3212 & #1178: empty page is displayed when accessing Web>Versioning

2006-06-28  Bernhard Kraft  <kraftb@kraftb.at>

  * Fix bug #3162: Cropscale fails, if one dimension has already the right size (thanks to Stefan Geith)

2006-06-28  Karsten Dambekalns  <karsten@typo3.org>

  * t3lib_extfilefunc: func_upload() now logs if no file was uploaded.
  * t3lib_extfilefunc: The last error message encountered is stored in the member variable $lastError
  * t3lib_tcemain: Made SQL query in versionizeRecord() conform to DBAL (use OR instead of ||).
  * t3lib_userauthgroup, tx_sv_auth: Made FE group lookups possible when lockToDomain is NULL in DB (e.g. when using Oracle).
  * t3lib/stddb/tables.sql: Changed be_users.lang to VARCHAR instead of CHAR, as MySQL changes it anyway.
  * t3lib_install: Changed an eregi() to a matching preg_match()

2006-06-27  Karsten Dambekalns  <karsten@typo3.org>

  * typo3/init.php: Fixed bug #2871.
  * t3lib/class.t3lib_befunc.php: Fixed bug #3106, Documentation of function storeHash differs between class befunc and class page
  * class.em_xmlhandler.php: Small change to the inline code docs
  * class.tx_install.php: Code cleanup, removed some commented code and cleaned indentation

2006-06-22  Martin Kutschker  <masi@typo3.org>

  * Created exclusiveKeys for the TCA field configuration of type "select" [fix from 2006-03-19 was lost, see below]

2006-06-11  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fix bug #3505: BE multi-language flexforms do not work (t3lib_tceforms)

2006-06-08  Martin Kutschker  <masi@typo3.org>

  * Template tools (Web>Template) had hard-coded background colours
  * Made Web > Template > Info skinnable

2006-06-08  Martin Kutschker  <masi@typo3.org>

  * Make t3lib_div::arrayToLogString() accept an empty string as empty list
  * Fix bug #2938: edit icons have two title attributes, one hardcoded as an empty string

2006-06-04  Martin Kutschker  <masi@typo3.org>

  * Unify PHP5 check in config_defaults.php and deprecate $TYPO_VERSION

2006-06-02  Martin Kutschker  <masi@typo3.org>

  * Fix bug #3612: no c-prefix for URL fragment in menus (section index)
  * Fix bug #2493: TCE-forms don't skins icons / t3skin lacks undo.gif, csv.gif and savedoknew.gif (thanks to Clemens Riccabona for the latter)
  * Fix bugs #3326 and #3392: problems with php_uname()
  * "Update" buttons of admin panel did not reload page in Firefox

2006-05-31  Ernesto Baschny  <ernst@cron-it.de>

  * Fix bug #3522: Linking images to hidden pages results in click-enlarge

2006-05-31  Bernhard Kraft  <kraftb@kraftb.at>

  * Fix a problem of the EM: "No file uploaded!" when retrying install after a failed dependency check

2006-05-22  Martin Kutschker  <masi@typo3.org>

  * Corrected error message for config.baseURL=1

2006-05-20  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #2874: Current page in navigation tree wasn't being highlighted on IE6

2006-05-20  Rupert Germann  <rupi@gmx.li>

  * Fixed bug #2566: XClass include code was missing in wsol_preview.php.

2006-05-18  Rupert Germann  <rupi@gmx.li>

  * Fixed bug #132: % signs in extra parameters of form contentelements where not handled correctly.

2006-05-18  Ernesto Baschny  <ernst@cron-it.de>

  * Fixed bug #3138: Alignment of text in css_styled_content's Text w/ images (nowrap) was wrong (Firefox)

2006-05-15  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #1374: Mailforms didn't work with <input type="image"> submit buttons. (Thanks to Thorsten Kahler and Rupert Germann!)
  * Changed square brackets "[" and "]" in URLs generated by media/scipts/fe_adminLib.inc to the urlencoded equivalents "%5B" and "%5D"

2006-05-15  Martin Kutschker  <masi@typo3.org>

  * Fix bug #3364: Changed t3lib_div::validPathStr() that it rejects files starting with ../ or containing /../, but allows ..
  * Corrected comment for maxWInText (tslib_content) and simplified calculation
  * Fix bug #338: Sanitize path normalization of class.t3lib_userauthgroup.php::addFileMount()

2006-05-05  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * EM: Fixed bug #3017.
  * t3lib/class.t3lib_befunc.php: Fixed bug (trivial but important) #3106.

2006-04-03  Karsten Dambekalns  <karsten@typo3.org>

  * EM: Fixed bugs #3096 (EM does not work if allow_url_open = off), #3097 (EM leaves mirror* files on failure).

2006-04-02  Karsten Dambekalns  <karsten@typo3.org>

  * EM: Fixed bugs #3033 (Invalid argument supplied for foreach) , #3039 (TYPO3 version is higher than allowed), #2992/#2817 (shy extensions).

2006-04-29  Martin Kutschker  <masi@typo3.org>

  * Fix typolink.addQueryString.method=GET (see bug #3241)
  * Fix problem with 2-byte charsets (eg UTF-16) in t3lib_cs::utf8_encode().

2006-05-03  Rupert Germann  <rupi@gmx.li>

  * Fix: mod.web_list.alternateBgColors=1 did not work in TYPO3 4.0 when no skin is used. Added the missing class to typo3/stylesheet.css

2006-04-30  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bug #3226: Error in template::clearCacheMenu if user is not admin

2006-04-29  Martin Kutschker  <masi@typo3.org>

  * Fixed wrong use of implode in typo3/mod/tools/em/class.em_index.php (lines 1392, 1424; see bug #3302)

2006-04-23  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bugs #3049 and #3176: HTTP status 503 is sent when $TSFE->set_no_cache is called

2006-04-21  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fix bugtracker issue #3172: further correction to MIME type determination.

2006-04-20  Martin Kutschker  <masi@typo3.org>

  * Don't do false SQL query when SYS[setDBinit] is empty. Log error on failure.

2006-04-19  Martin Kutschker  <masi@typo3.org>

  * Added "Lucida Console" (Windows core font) as default font for monospaced BE form fields

2006-04-18  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bug #3196: PHP warnings in class.t3lib_tceforms.php

2006-04-14  Rupert Germann  <rupi@gmx.li>

  * Follow-up on bug #2868: the adminpanel didn't transfer the page id correctly when realUrl was used

2006-04-14  Bernhard Kraft  <kraftb@kraftb.at>

  * Added a hook in tslib_content for userdefined cObjects
  * Fixed bug #3232: Use image format set via .format for GIFBUILDER images

2006-04-13  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fix bugtracker issue #3172: re-write getMimeType in t3lib_htmlmail
  * Fix bugtracker issue #3051: RTE removes images under special conditions when saving

2006-04-12  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #3174: chr() was misspelled char() in t3lib_div
  * Fixed bug #3233: Some broken references to media/ fixed

2006-04-12  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fix bugtracker issue #3172: MIME type determination crashing (HEAD request)

2006-04-10  Michael Stucki  <michael@typo3.org>

  * Merging all changes from TYPO3_4-0 branch back into HEAD

2006-04-07  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.0

2006-04-06  Michael Stucki  <michael@typo3.org>

  * !!! Fixed bug #3151: $TYPO3_CONF_VARS[im_jpg_quality] was changed to $TYPO3_CONF_VARS[jpg_quality] some time ago except in one place. Three questions marks since this was changed some time ago but not mentioned in here.
  * !!! Remove hardcoded linebreak after radio elements. Notice that this will affect your template when in "accessibility" mode with $TYPO3_CONF_VARS[SYS][compat_version] lower than 4.0.
  * Fixed bug #2485: Duplicate fieldset definition for radio elements. Thanks to Ernesto Baschny for providing a fix for this.
  * Minor changes to Indexed Search, see local ChangeLog for details
  * Prevented path traversal (../) in t3lib_tstemplate::getFileName(). This is was never really a security issue, because it affected only paths set in TypoScript which only full TYPO3 admins have access to anyway. Thanks to Ingmar for providing a fix.

2006-04-06  Rupert Germann  <rupi@gmx.li>

  * Fixed bug #3134: install tool / all text centered in IE and Opera
  * Fixed bug #3154: Misspelling in instal tool

2006-04-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * rtehtmlarea: fix bugtracker issue #3120: transforming text in link in Firefox may take excessive time.
  * rtehtmlarea: fix bugtracker issue #3060: RTE includes a page from the Frontent after paste a text

2006-04-05  Peter Niederlag  <peter@niederlag.de>

  * Fixed bug #313 Problem with LOAD/RESTORE_REGISTER in lib.stdheader, thx to click/Ernesto for solution

2006-04-04  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.0rc3
  * Fixed bug #3065: wrap2.splitChar and wrap3.splitChar are ignored
  * Fix RDCT links: Did not point to index.php by default
  * Fix several bugs related with CSS Styled Content, see below. Many thanks to Ernesto Baschny who did all of this!
	* Now the CSS version of "Text w/images" and "Images" (table-less) also respect the textMargin constant so that (finally) the user can specify a different margin to separate the image block from the text. "colSpacing" now only applies to inter-images spacing, which is what the table-based approach also does.
	* For this to work we need to apply two new classes to the images (csc-textpic-firstcol and csc-textpic-lastcol). This is configurable through an optionSplitted new property "addClassesImage" of the USER object
	* Having this also allowed us to fix a bug in positioning: The whole image-block can now stretch correctly over the given width without any margins around it (which is required if you have just an image-block, without text). Without the patch, you always have "margin-right" (if images are placed to the left or center) or "margin-right" (if images are placed to the right).
	* Fixed also a problem with the calculation of image width if we have borders and border-spacings: Now the whole image-block will always be exactly maxW wide (so if you have borders and spacing, the images will get slightly smaller). Without this, the image-block could "explode" a fixed-width layout.
	* Added empty rendering definition for cType "div"  (divider) to prevent error message
  * Fixed setup module: Colons were wrapped to the next line
  * Small fixes to t3skin
  * Indexed Search: Added crawler support for $GLOBALS[T3_VAR][ext][indexed_search][indexLocalFiles]

2006-04-04  Peter Niederlag  <peter@niederlag.de>

  * Fixed bugs #2949, #3016, #3037: Several Element Browser bugs

2006-04-04  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Implement Single-Click rollback in record history

2006-04-04  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #1303: Broken FE-links with "config.locale_all=tr_TR"

2006-04-04  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #2868: Admin Panel always loses GET parameters
  * Fixed bug #2994: Calling PHP5-only iconv functions in PHP4
  * Language related changes:
	* Fixed TYPO3/ISO mappings: kr=>ko, gl=>kl, removed old mapping he=>iw (ISO code has changed a long time ago), added ba=>bs.
	* Updated and fixed locale/script-family mapping (for detection of the locale charset).
	* Updated info for adding a language in config_default.php
	* Changed variable names to reflect true meaning, so somebody else may understand what's going on.
	* Corrected language drop down in BE.
  * Fixed restriction to languages in Frontend editing

2006-04-04  Karsten Dambekalns  <karsten@typo3.org>

  * Fixed bug #3097: EM leaves mirror* files on failure

2006-04-04  Dmitry Dulepov  <typo3@accio.lv>

  * Fix to workspace forms

2006-04-04  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * New function t3lib_div::array2xml_cs() that respects character sets
  * Change default value of $TYPO3_CONF_VARS[FE][pageCacheToExternalFiles] to false (feature was enabled by default, which was a mistake of course)

2006-03-29  Franz Holzinger  <kontakt@fholzinger.com>

  * Fixed bug #2722 and #2837: table wizard has wrong array elements

2006-03-28  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #3027: Wrong value for "Marked-deleted pages" in Records Statistics
  * Fixed bug #3022: "c" prefixed to local #anchors causes trouble
  * Fixed bug in t3lib_tstemplate: File references to media/ are now automatically prefixed with "typo3/sysext/cms/tslib/".

2006-03-28  Christian Jul Jensen  <christian@jul.net>

  * Fixed bug #999: Encoding mail headers in taskcenter
  * Fixed bug #3001: Support for multiple tables with columnsonly in alt_doc.php

2006-03-26  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.0rc2
  * Various indexed_search fixes, see local ChangeLog for details
  * Small fix to typo3/stylesheet.css (admin menu)

2006-03-26  Karsten Dambekalns  <karsten@typo3.org>

  * sysext/setup/mod/index.php: Fixed detection of unavailable language packs.
  * EM: Fixed bug #2974, a rare bug when unzipping language packs, a bug with installing dependencies that needed a db update, avoid unnecessary fetching of extensions.xml.gz,
  * Fixed bug #359: EM ignores PEAR compatible classes (committed by Stucki)
  * Fixed bug #2380: t3lib_sqlparser doesn't handle LEFT OUTER JOIN (committed by Stucki)

2006-03-26  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #2777: "NOT NULL" removed from SQL gives error with MySQL 3.23.52

2006-03-25  Michael Stucki  <michael@typo3.org>

  * Fixed bug #1390: Ereg error in class.t3lib_tsstyleconfig.php
  * Fixed bug #2415: Navigation "Icons in top frame" were rendered wrong
  * Fixed bug #388: No subtitle field in some page types
  * Fixed bug in Install Tool: Hide warning if GraphicsMagick is used
  * Fixed some more problems with the BE stylesheet
  * Various indexed_search fixes, see local ChangeLog for details

2006-03-25  Martin Kutschker  <masi@typo3.org>

  * Made "version" a required extension (necessary for workspaces)
  * Fix FE-editing bug: new-record icon appears for languages without edit rights (admin panel)
  * Fix FE-editing bug: edit panel and edit icons were shown for languages without edit rights

2006-03-25  Karsten Dambekalns  <karsten@typo3.org>

  * ADOdb sysext: Update to version 4.80, added a fix for MSSQL bogus errors.
  * EM: Added new way of handling translations.
  * DBAL sysext: Added enhancements for UNIQUE KEY handling, MSSQL compatibility, code cleanup, bugfixes

2006-03-24  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fix to htmlArea RTE extension (see details in local ChangeLog)

2006-03-24  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Integration between Import/export and Extension Manager (extension dependencies)

2006-03-22  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Fixed a bug in t3lib_refindex which prevented correct indexing from live workspace of records in draft workspaces with references inside flexforms
  * Fixed bug in T3D export where an array key prevented references in flexform fields to be correctly remapped. My mistake from cleaning up t3lib_flexformtools.

2006-03-23  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fix bugtracker issue 2958: t3lib_htmlmail::getMimeType isn't working with name based virtual hosts

2006-03-22  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Fixed that the tcemain copy command works properly under workspaces: Remapping of references is correct now. This also affects TemplaVoila which can now copy a FCE container with sub elements properly.
  * Also added check for extension dependencies in Import/Export: It is not possible to import a T3D file unless extension dependencies are OK. This still needs more work and connection to EM.

2006-03-22  Martin Kutschker  <masi@typo3.org>

  * Fixed label of 'author_email' ('pages_language_overlay')
  * Fix bug #2918: TCEFORM.tt_content.CType.removeItems not applied to db_new_content_el.php (thanks to Oliver Hader)
  * Tools>User Admin didn't check if language icon was set for 'Limit to languages'
  * Fix FE-editing bug: new records were always created in the default language (admin panel)

2006-03-22  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed bug #2692: GIFBUILDER inverts transparency

2006-03-22  Michael Stucki  <michael@typo3.org>

  * Changed Install Tool so it accepts newlines in values (needed for recently introduced textarea fields)
  * Changed style of admin-menu title in alt_menu.php so it looks equally to the headers above
  * Fixed bug #1932: Can't limit content columns for Page>QuickEdit
  * Fixed bug #2596: "=undefined" when transferring TSconfig code from TSconfig wizard to textarea
  * Changed RFC: "flagBitMask" default value in indexed_search (seems like this was a typo) / The change has no effect but is more logical for understanding the concept.

2006-03-22  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Corrections/adjustments to the htmlArea RTE extension (see details in local ChangeLog)

2006-03-22  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Updated almost all Function indexes in the core plus fixed javaDoc documentation for the functions and classes I could manage to do. The rest of you; Please make sure to document the functions and classes you have added during development of 4.0! Search for "[type]" or "[Describe" to find places to add documentation.

2006-03-20  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Added function to indexed search so index_fulldata is filled with less content (configurable)
  * Added function so that the HTML data of the cache_pages table can be stored in the file system (see TYPO3_CONF_VARS[FE][pageCacheToExternalFiles]
  * Both changes are new features excused by optimization of TYPO3.org.

2006-03-21  Karsten Dambekalns  <karsten@typo3.org>

  * EM: Moved some code around and added a method for installing an extension with one method call (for use in impexp).
  * class.em_index.php: Fixed bug #2809 (trivial).

2006-03-20  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Fixed more workspace issues:
  * Added info about workspaces to Tools > User Admin (sorry, considered important)
  * Frontend editing: Fixed that it works with localizations. Disabled many of the features in draft workspaces (since we have no time for an implementation)

2006-03-19  Martin Kutschker  <masi@typo3.org>

  * Fix a few language/locale codes in t3lib_cs.php

2006-03-20  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * htmlArea RTE: remove alternate skins from core CVS.

2006-03-20  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Reverted the patch "Double-checking of match-conditions" because it caused trouble
  * Fixed bug #2767: wrong wraps for sitemap/menu elements in accessibility mode
  * New Feature #2341: add headers for table CE (accessibility)

2006-03-20  Wolfgang Klinger  <wk@plan2.net>

  * Fixed bug #608: Typolink for mounted pages from another domain

2006-03-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Corrections/adjustments to the htmlArea RTE extension (see details in local ChangeLog)

2006-03-19  Martin Kutschker  <masi@typo3.org>

  * Created exclusiveKeys for the TCA field configuration of type "select"
  * Configured fields fe_groups of "pages" and "tt_content" to use exclusiveKeys for "Hide at login" and "Show at any login"

2006-03-18  Martin Kutschker  <masi@typo3.org>

  * Added constant TYPO3_copyright_year for login page and about module

2006-03-17  Bernhard Kraft  <kraftb@kraftb.at>

  * Added .us and .at flags to typo3/gfx/flags/

2006-03-17  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Fixed workspace related issues. More will follow Monday.

2006-03-16  Karsten Dambekalns  <karsten@typo3.org>

  * EM: Fixed bugs #2787, #2785, #1807
  * EM: Extension list is now fetched automatically if it isn't available at all.
  * ADOdb extension: a fix regarding the MS SQL driver, fixed bug #2810, cleaned up ext_emconf.php

2006-03-16  Rene Fritz  <r.fritz@colorcube.de>

  * Fixed bug #2840: Related to: Enhanced MM handling in TCE for usage from foreign tables.

2006-03-15  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fix bugtracker issue 2860 in t3lib_sqlparser.

2006-03-15  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * !!! Implemented complete "flavouring" of FlexForm XML; Basically it doesn't affect anyone using xml2array() to extract FlexForm data but everyone who uses own XML parsers will have to modify them (after converting all XML). Basically the flavouring means that a tag like "<lDEF>, <lDA>" is rather represented with "<language index="lDEF">, <language index="lDA">".
  * !!! Cleaned up t3lib_flexformtools::traverseFlexFormXMLData() and related functions, generally I did many changes to this class. However I think no one is using it yet except me. Anyway, the changes were necessary since it was simply never cleaned up as it should have been, including the new cleanFlexFormXML() function.
  * Bigfix: Modified sys_refindex so it does not register references for content in flexforms outside what the data structure describes. Update your reference table again!
  * Added configuration option TYPO3_CONF_VARS[BE][niceFlexFormXMLtags] which allows people who depends on the old FlexForm tags to maintain that compliancy. See my changelog from 2006-01-27 (sorry for this semi-feature).

2006-03-13  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixes and cleanup in htmlArea RTE extension (see details in local ChangeLog)
  * htmlArea RTE: Fix bugtracker issue 2820.

2006-03-11  Michael Stucki  <michael@typo3.org>

  * More CSS fixes in typo3/stylesheet.css: Changed the height of dyntab-menues & various fixes to login screen

2006-03-10  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Logo change to make it look better on any bright background

2006-03-08  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.0rc1
  * === Development feature freeze ===
  * Small usability improvement for dyntab-menus in typo3/stylesheet.css (plus cleanup of that file)
  * More changes required because of the logo update

2006-03-08  Wolfgang Klinger  <wk@plan2.net>

  * Fixed bug #2743: Speed up substituteConstants with preg_replace_callback

2006-03-08  Michael Stucki  <michael@typo3.org>

  * Changed the globalString condition to allow PCRE regular expressions only if wrapped in dashes "/"
  * Fixed bug #331: Support IPv6 addresses (many thanks to Sven Wilhelm)
  * Fixed a big problem with temporary content stored to cache_pages
  * !!! Changed $TYPO3_CONF_VARS['SYS']['setDBinit'] from array to a string (separated by newline)
  * Minor changes to config_default.php (comments were not displayed)
  * Some post-cleanup in CSS Styled Context: Removed recently added "captionStdWrap" property (replaced by existing "caption" property) & changed compatVersion dependency

2006-03-08  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Updated logos in the backend to reflect the new CI

2006-03-08  Karsten Dambekalns  <karsten@typo3.org>

  * EM: Fixed three small issues, mostly cosmetic.
  * Install Tool: Using new logo now, uuuuhhh! Changes to CSS so links are colored again.

2006-03-08  Dmitry Dulepov  <typo3@accio.lv>

  * Added <onChange> tag to flexforms to enable automatic form reloading when tagged field changes. Useful for creating dynamic flexforms.

2006-03-08  Ingmar Schlecht  <ingmar@typo3.org>

  * Set the default value of config.inlineStyle2TempFile to 1 and config.removeDefaultJS to 'external' if compatversion is set to > 4.0.0. This means default styles of extensions and default JS functions are now automatically put to files like typo3temp/stylesheet_ec23910b0b.css by default.
  * Fixed bug #2794: Misplaced " quote in typo3/class.browse_links.php

2006-03-08  Bernhard Kraft  <kraftb@kraftb.at>

  * Implemented featured #2695: Tables can not get hidden in Web>List. Now this can get accomplished via Page/User/Group TS-Config

2006-03-08  Rene Fritz  <r.fritz@colorcube.de>

  * Enhanced MM handling in TCE for usage from foreign tables. Means MM relations can be edited in TCEForms from both ends of the relation.

2006-03-07  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed skin issue #2766: class.t3lib_tceforms.php / type="checkbox" / bugs
  * Fixed skin issue #2317: The background-color on highlighted items in alt_db_navframe.php
  * Fixed skin issue #2453: alternating colors and rollover in list module have not enough contrast

2006-03-07  Michael Stucki  <michael@typo3.org>

  * Reverting a change in t3lib_div as discussed with Sebastian (reason was that this could lead to some trouble if foreach is used instead of while over a recursively called array)

2006-03-07  Wolfgang Klinger  <wolfgang@stufenlos.net>

  * Feature #2675: Cropscale for imgResources (thanks to Stefan Geith)
  * Fixed bug #2753: Page type 'Spacer' is accessible via FE

2006-03-07  Martin Kutschker  <masi@typo3.org>

  * Renamed TS := function addString to appendString and added prependString

2006-03-06  Michael Stucki  <michael@typo3.org>

  * Changed file icons for recently added advanced-BE-search feature
  * Changes to indexed search, see local ChangeLog for details

2006-03-06  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed some broken media relations
  * Fixed bug #2713: change hardcoded "typo3/" to TYPO3_mainDir in sysext/cms/tslib/index_ts.php
  * Fixed bug #1635: Add page TSconfig via user TSconfig

2006-03-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * !!! Remove from core some remaining elements used only by Direct Mail extension and already moved to Direct Mail 2.0:
	- remove file t3lib/gfx/i/dmail_list.gif
	- remove file t3lib/gfx/i/modules_dmail.gif
	- remove file t3lib/gfx/i/modules_dmail__h.gif
	- remove file t3lib/class.t3lib_dmailer.php
	- remove methods find_MIDfromReturnPath and find_XTypo3MID from t3lib/class.t3lib_readmail.php
	- remove columns 'module_sys_dmail_html' (fe_users) and 'module_sys_dmail_category' (fe_users and tt_content) from typo3/sysext/cms/ext_tables.sql
	- remove item 'dmail' on column 'module' of table 'pages' in typo3/sysext/cms/ext_tables.php

2006-03-05  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Replace isset with strlen in fix of bugtracker issue 1736.
  * htmlArea RTE: Add $RTEWrapStyle variable to frontend plugin class.tx_rtehtmlarea_pi2.php (bugtracker issue 2760).
  * Use new ts parsing := in cumulative sets of configuration defaults.

2006-03-04  Michael Stucki  <michael@typo3.org>

  * Fixed bug #1475: Added stdWrap properties for RECORDS cObject

2006-03-04  Martin Kutschker  <masi@typo3.org>

  * Changed $TYPO3_CONF_VARS['SYS']['domainCookie'] to take a regular expressions allowing for multiple domains with sub-domains.

2006-03-03  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Update to htmlArea RTE manual.
  * Fix bugtracker issue 1736: Make TS_CASE object and ts_parser support key value 0.

2006-03-03  Michael Stucki  <michael@typo3.org>

  * Added new feature: Merged Advanced BE Search form extension (Tools -> DB check). Written by Joey Hasenau - great work!
  * Added support to modify TypoScript values inside the TS parser using "lib.myVar := function(value)" - see "doc_core_ts" for more information.
  * Fixed bug #1364: t3lib_div::getURL() uses CURL only for HTTP protocol
  * Fixed bug #1153: tslib_cObj::imageLinkWrap() not passing information if image.imageLinkWrap.JSwindow.altUrl is set. Thanks to Peter Russ.
  * Fixed bug #2347: Wrong labels displayed
  * Fixed bug #1391: TYPO3 can't display a single "0" in a table cell

2006-03-03  Rene Fritz  <r.fritz@colorcube.de>

  * t3lib_stdGraphic: Check if a font exists and when not the text rendering will not be done and a debug() message will be shown.
  * alt_doc.php: Added a selector box for localization to the record editing form.
  * t3lib_tceforms: Added a new option "l10n_display" to have configuration options for form rendering and display of language overlay data.

2006-03-02  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed bug #2716: Negative age wasn't generated correctly in FE

2006-03-01  Wolfgang Klinger  <wk@plan2.net>

  * Feature #1520: Allow to exclude the current page in HMENU / excludeUidList

2006-03-01  Ingmar Schlecht  <ingmar@typo3.org>

  * Made the update wizard of the install tool work with buttons instead of checkboxes

2006-02-28  Martin Kutschker  <masi@typo3.org>

  * Enhance typolink.addQueryString and add addQueyString to HMENU with special=language (fix bug #2280)

2006-02-28  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug: admin panel doesn't stay on page (introduced by "Change admin panel to use get instead of post"
  * Made static templates work again by adjusting ext_tables_static+adt.sql (the paths to the media directory needed to be adjusted)

2006-02-28  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Added new feature to indexed search allowing the "crawler" extension to be used for indexing of media found on a page. This is a solution to the problem of for example many heavy pdf files on a page being indexed along with the page content; now such files can be added to the "crawler"'s queue and indexed via a cron-script.
  * Debug flag added to lang-class so labels in backend can be identified by translators (debug feature).

2006-02-28  Michael Stucki  <michael@typo3.org>

  * !!! Removed showpic.php from TYPO3 root. Future applications will just use index.php instead.

2006-02-27  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * !!! Avoiding double checking of match-conditions now.

2006-02-27  Rene Fritz  <r.fritz@colorcube.de>

  * Added possiblity to create dimmed icons by adding _i to the filename with t3lib_iconworks::skinImg().
  * Added $GLOBALS['TYPO3_CONF_VARS']['SYS']['maxFileNameLength'] for use in t3lib_basicfilefunc
  * Added hook that allow to implement the rendering of the standard types with extensions.

2006-02-27  Wolfgang Klinger  <wk@plan2.net>

  * Fixed bug #549: No information about deleted records in the backend log
  * Fixed bug #1796: HMENU with includeNotInMenu does not work with the nav_hide page property

2006-02-26  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #1614: page type "external URL" has no https option (thanks to Marc Bastian Heinrichs)
  * Enchanced config.xmlprologue (takes new keywords and arbitrary string as arguments)
  * Fixed issues with config.xhtmlDoctype

2006-02-26  Karsten Dambekalns  <karsten@typo3.org>

  * Extension Manager: Fixed bug #2630 (thanks Peter Niederlag), #2610, #2607, #1904 (partly), #2579
  * Extension Manager: Fixed checking of review states (thanks Rupert Germann)
  * Extension Manager: Now the EM shows update icons again
  * Extension Manager: Dependency handling has been reworked, now it is much more comfortable, fixes #1607 (partly), #2584
  * class.t3lib_befunc.php: Fixed bug #2528
  * class.tslib_content.php: Fixed bug #2676

2006-02-26  Wolfgang Klinger  <wk@plan2.net>

  * Fixed bug #1060: Sitemap with SectionIndex does not display content header when page has a navigation title assigned
  * Fixed bug #284: substUrlsInPlainText does not allow other characters than space and () to terminate URLs in the text.
  * Fixed bug #2543: tslib_div uses deprecated function call_user_method
  * Fixed bug #1827: Empty page tree after deleting the current temporary page mount.

2006-02-25  Ingmar Schlecht  <ingmar@typo3.org>

  * Added an "upload" and "new" button to the filelist module (Gremlin #1599, thanks to Stefano Cecere for the patch)

2006-02-23  Ingmar Schlecht  <ingmar@typo3.org>

  * Changed formURL in fe_adminLib.inc to always contain a question mark "?" because in the templates the formurl marker is used like ###FORM_URL###&cmd=edit which didn't work if the URL didn't contain a question mark like in simulStatic- or RealURLs. This fixes typo3.org bug #2563.

2006-02-23  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Remove RTE-enabling defaultExtras off tt_content bodytext (related to bug #2023).
  * Fix bugtracker issue 2656 in htmlArea RTE.

2006-02-23  Rene Fritz  <r.fritz@colorcube.de>

  * Fixed bug #2662: added check against "Limit to languages"

2006-02-23  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Changed things related to locallang-XML handling. Most significantly is it that translations are looked for in the new language pack directories typo3conf/l10n/[langyage key]/.
  * All locallang-XML files are updated to have ONLY the default labels in them and no specific references to external files; means translations will work only with language packs installed in typo3conf/l10n/. Such language packs will be distributed as zip-files around the release.
  * csh_* extensions (language pack extensions) are now obsolete.

2006-02-22  Dmitry Dulepov  <typo3@accio.lv>

  * t3libBEfunc::thumbCode() did not make proper image path under certain conditions
  * Fixed bug #2654: Incorrect conversion of non-ascii (Latvian) characters in URL

2006-02-22  Wolfgang Klinger  <wk@plan2.net>

  * Fixed bug #1596: checkIncludeLines uses preg_match now and checks for all whitespace before and after <INCLUDE_TYPOSCRIPT>
  * Fixed bug #2592: Page type "External URL" and "Shortcut" causes an error (jumpUrlX methods)

2006-02-22  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Added 3 languages: Faroe, Serbian, Farsi
  * Fixed bug in t3lib_div::cHashParams()
  * Brought back support in EM's index.php::importExtFromRep() function for direct injection of an array with extension files (needed for support for kickstarter, but new function parameters are kept)
  * Added new Indexing Configuration for indexed search: Traversal of page tree. Means that now the page tree can be indexed by the "crawler" extension (cronscript)
  * Added meta indexing configuration type (useful for group-categorizing of search results)
  * Added a condition to indexing of pages; that sys_language_uid and sys_language_content must be similar; it is assumed that for pages with fallback to default content no indexing is wanted.
  * Added "Spotlight" categorizing feature to search results. The categories are defined as indexing configurations + natural categories like pages in the page tree. TypoScript configuration applies.

2006-02-21  Karsten Dambekalns  <karsten@typo3.org>

  * typo3/stylesheet.css: Fix for trivial bug #2644, added sans-serif as fallback font-family.

2006-02-21  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Path setting correction in htmlArea RTE SpellChecker plugin.

2006-02-20  Christian Jul Jensen  <christian@jul.net>

  * Fixed bug #2628

2006-02-20  Wolfgang Klinger  <wolfgang@stufenlos.net>

  * Feature request #568: AND (&&) and OR (||) combination of TypoScript conditions

2006-02-18  Robert Lemke  <robert@typo3.org>

  * Changed flexform tag names in t3lib_flexformtools->flex2ArrayXml()

2006-02-17  Karsten Dambekalns  <karsten@typo3.org>

  * Fixed bugs #2368, #2521, #2385, #2186 related to DBAL

2006-02-17  Michael Stucki  <michael@typo3.org>

  * Fixed bug #2597: GDlib TrueType tests fail because of wrong fontFile-path (caused by the symlinks change)
  * Fixed bug #2594: Install Tool says "No gfx/typo3logo.gif file!" (caused by the symlinks change)

2006-02-17  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed obvious bug #2588 in right-click context menu of filelist navframe

2006-02-17  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Correction to the htmlArea RTE extension (see details in local ChangeLog) (bis)

2006-02-16  Michael Scharkow  <michael@underused.org>

  * Fixed bug #2457: image border settings are respected in GMENUs
  * Updated the copyright notices to 2006 and set version back to 4.0-CVS

2006-02-16  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Added new script (tslib/class.tslib_eidtools.php) with tools for "eID scripts". See extension "whiteboard" for an example!

2006-02-15  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.0beta3
  * Various changes to indexed_search, see local ChangeLog for details
  * Install Tool: Added "cache_imagesizes" to list of tables that can be cleared
  * !!! Indexed Search: Removed all options for indexing OpenOffice.org/OpenDocument files and replaced them with the above "unzip" option. Affected options are: nativeOOMethod, OOoExtract, ruby
  * !!! Indexed Search: Changed all default paths from /usr/local/bin/ to /usr/bin/
  * Removed create_symlink.sh and remove_symlink.sh from CVS because they are not needed anymore. If you still want to use symbolic links for some reason, you can find some good information in the "TYPO3 Installation & Upgrade" manual.

2006-02-15  Karsten Dambekalns  <karsten@typo3.org>

  * typo3/mod/tools/em: More fixes and better error checking.
  * typo3/sysext/adodb: Update to upstream version 4.71.
  * t3lib/class.t3lib_tsfebeuserauth: The admin panel uses GET instead of POST now.

2006-02-15  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed an issue with the new GIFBUILDER code and transparentColor TS option. Also fixed some minor bugs with not unlinked temp files.

2006-02-15  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Changed usage of showpic.php: Now, the reference to showpic.php from inside tslib_content is done using "index.php?eID=tx_cms_showpic&..."+usual parameters. This is the future supported way of accessing the services of showpic! It also means that other scripts offering FE services bypassing tslib_fe can use same methodology! Applications I can think of: AJAX data, streams (like secure download scripts passing binary data through). This change means that "showpic.php" is not needed as a symlink anymore, neither as a script in the core root!

2006-02-15  Rene Fritz  <r.fritz@colorcube.de>

  * Added hook to element browser to make it possible to render own EB's. All EB classes are moved into an own file.
  * Added the possiblity to set TCEForm items to read-only.

2006-02-14  Karsten Dambekalns  <karsten@typo3.org>

  * typo3/mod/tools/em: Fixed/enhanced dependency checking in the new EM.

2006-02-14  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Changes to the htmlArea RTE extension (see details in local ChangeLog)

2006-02-14  Rene Fritz  <r.fritz@colorcube.de>

  * Moved t3lib/gfx/ to typo3/gfx/
  * Changed all references of t3lib/gfx/ to gfx/ or typo3/gfx/
  * Made some FE references to media/...
  * Added index.php, showpic.php and thumbs.php scripts
  * All thoese changes were made to make it possible to use the TYPO3 source without symlinks
  * !!! As a consequence of this, the symlinks "arial.ttf" and "verdana.ttf" in t3lib/fonts/ have been removed completely. Please make sure that you have updated your TypoScript template accordingly. You can either upload the original fonts to the server or use a similar looking font instead (nimbus.ttf instead of arial.ttf, vera.ttf instead of verdana.ttf - both are located in t3lib/fonts/).

2006-02-14  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Fixed part II of the versioning swapping change: Now versioning is completely independent of MySQL versions and it is fully DBAL compliant: Records are swapping content rather than ids (locking file support integrated which stores swapped records in case something goes wrong - however, no tool for reverting using this lock file...)
  * Finished version 1.0 of the ADMCMD_prev feature which allows a keyword (md5 hash) to preview pages which otherwise would require a backend login (like workspace preview). In Web>Versioning you will find an implementation of this feature which will generate links you can sent to people for previewing workspace content. The concept could be extended to set other preview flags like hidden/starttime/endtime/fe_groups etc. But this is just a simple implementation for workspaces.

2006-02-14  Wolfgang Klinger  <wk@plan2.net>

  * Fixed bug #2507: Wrong where clause ('1' instead of '1=1')
  * Fixed bug #2508: t3lib/class.t3lib_tcemain.php uses hardcoded quotes

2006-02-13  Rene Fritz  <r.fritz@colorcube.de>

  * Install tool PHP and HTML code cleanup towards xhtml

2006-02-13  Karsten Dambekalns  <karsten@typo3.org>

  * class.tx_install.php: Changed the way documentation is extracted from comments in config_default.php.
  * t3lib/config_default.php, typo3/stylesheet.css, typo3/mod/tools/em/: First CVS release of new Extension Manager codebase.

2006-02-11  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed bug #1270: Garbled characters in cshItems when forceCharset is set to utf-8

2006-02-11  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Changed swapping mechanism for versioning. Still need to fix locking file integration.

2006-02-10  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Remove Direct Mail code from tslib_fe and add checkDataSubmission hook

2006-02-10  Christian Jul Jensen  <christian@jul.net>

  * Added TCAselectItem to stdWrap, see TSref

2006-02-09  Rene Fritz  <r.fritz@colorcube.de>

  * Added $TYPO3_CONF_VARS['SYS']['binSetup'] and made t3lib_exec use of it.
  * Added TSconfig option options.hideRecords.[table]. Used in pagetree nav frame, web>list module, new record wizard

2006-02-09  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #2105: The width of tt_content is too large (due to access options)

2006-02-08  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fixed bug #2365: Replace true linebreaks with space inside block tags and after hr tags in t3lib_parsehtml_proc.
  * Changes to the htmlArea RTE extension (see details in local ChangeLog)
  * Fixed bug #1496: Enable Direct Mail to fetch a server listening to a port other than 80 (t3lib_htmlmail)
  * Fix stdAuthCode in t3lib_div

2006-02-08  Michael Stucki  <michael@typo3.org>

  * Various changes to indexed_search, see local ChangeLog for details
  * !!! Changed default value of TYPO3_CONF_VARS[BE][fileCreateMask/folderCreateMask]. By default, those files are no longer writable for the group.
  * Fixed bug #2272: Added [PAGE].includeJS plus possibility to attach .js files to template resources (thanks to Johannes Vockeroth)
  * Fixed bug #75: t3lib_extfilefunc::func_copy() does not set file permissions properly
  * Encode whitespaces in t3lib_div::encodeHeader() as required by RFC 2047 (thanks to Stanislas)
  * Added crdate and tstamp fields to be selected by users in the Web->List view
  * Fixed bug #2200: In FEediting the creation of new records in other pages than the current should be possible

2006-02-07  Ingmar Schlecht  <ingmar@typo3.org>

  * Fix "&amp;" problem in DMail jumpURLs

2006-02-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fix bugtracker issue #408: enable direct mail to fetch https pages with user authentification

2006-02-06  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * New feature: Integrated ss_dragdrop extension into the core (page and folder drag and drop). Thanks to Stephane Schitter for his work on this.

2006-02-05  Dmitry Dulepov  <typo3@accio.lv>

  * Fix: (Versioning sysext) Two cells in table had hard-coded bgcolor attribute (were not skinnable)

2006-02-04  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed a minor logical bug in undo/history
  * Made SU-mode work again (was affected by hook name change)

2006-02-02  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Adjustments to the htmlArea RTE extension (see details in local ChangeLog)

2006-02-01  Dmitry Dulepov  <typo3@accio.lv>

  * Fix: renaming of localconf.php.TMP.php to localconf.php did not work on Windows platform

2006-02-01  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed an issue with non working links in JSMENUs

2006-02-01  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * t3lib_htmlmail email message-id: global declaration was missing.

2006-01-31  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * tslib_content: remove unused hooks originally intended for use by Direct Mail

2006-01-31  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed bug #2396: Select-box items where displayed with garbled characters when forceCharset was set to utf-8

2006-01-31  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * t3lib_htmlmail: make email message-id compliant with RFC 2822.

2006-01-27  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed bug #760: "gifbuilder jpgs are 256 colors" for enabling truecolor pngs set [GFX][png_truecolor] variable (reduceColors still gets respected)

2006-01-30  Michael Stucki  <michael@typo3.org>

  * Added two hooks to class.t3lib_tceforms.php, getMainFieldsClass: getMainFields_preProcess and getMainFields_postProcess (requested by Thomas Hempel for use with the "dynaflex" extension.
  * Fixed gremlin #1628: Removed "Text with image below" from the content wizard
  * Removed hardcoded maximum size of popup images

2006-01-29  Michael Stucki  <michael@typo3.org>

  * Added UTF8-support for emails. Thanks to Bernhard Kraft, Stanislas Rolland and Martin Kutschker for their feedback.
  * Changes in t3lib_div::plainMailEncoded(): By default, emails will be encoded to quoted-printable.
  * Email linebreaks are now "\n" except on Windows, where they are "\r\n". Thanks to Stanislas and Martin for their feedback.
  * t3lib_formmail now encodes emails as quoted-printable. base64 needs to be enabled explicitely.
  * Install Tool now uses t3lib_div::plainMailEncoded() instead of mail() to send plain text mails.
  * Install Tool now displays warning messages using t3lib_div::debug() instead of debug() which does not work in all cases.
  * Marked t3lib_htmlmail->convertName() as deprecated because header lines are now encoded automatically.

2006-01-28  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #2382: error when creating a new (and empty) file in BE
  * Fixed bug #1878: protect localconf.php from being lost on write error
  * Enhanced TCE type "none" with many rendering options

2006-01-27  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #2337: remove 30KB editing limit in Template Editor
  * Fixed bug #2405: CSC - allow styles and additional table class
  * Fixed little removed reference operator in class.t3lib_tcemain.php line 1817 (triggers a call-time pass-by-reference warning) - eval API code

2006-01-27  Martin Kutschker  <masi@typo3.org>

  * Added error logging to DB initialization code
  * Improved FQDN detection and fixed empty syslog ident in t3lib_div::initSysLog()
  * Fix problem with non-associative arrays in t3lib_db->fullQuoteArray()

2006-01-27  Peter Niederlag  <peter@niederlag.de>

  * Fixed bug #2023, removed most of RTE-Config from sysEXT:cms and sysExt:css-styled_content

2006-01-27  Ingmar Schlecht  <ingmar@typo3.org>

  * Added <label> tags around "Expand all" in class.alt_menu_functions.inc

2006-01-27  Kasper Skaarhoj  <kasperYYYY@typo3.com>

  * Improved output of FlexForm contents inside of eg. Web>List module (stripping tags that is :-)
  * Added function for counting references to records (in t3lib_BEfunc)
  * Added warning to About Modules if the reference index is empty (which it will be for all updates to 4.0)
  * Added connectDB function in t3lib_db (used by clients of new feature in index_ts.php, see later.)
  * Fixed bug in t3lib_install which resulted in no recognition of the install tool token in localconf.php files: Essentially this has lead to bloated localconf.php files on windows machines if they were edited manually with chr(13).chr(10) line endings.
  * Added "deleted" column to reference index.
  * Working on cli-script for updating reference index from command line (necessary for large databases!!)
  * Added new class, t3lib_flexformtools, providing framework for manipulation of flexform data. (specifically it can be used for traversal of flexform data).
  * Fixed a bug related to language-limiting: Now, a backend user limited to a certain language cannot create records in default or other languages anymore.
  * Fixed bug in t3lib_tcemain where files uploaded to a record in case of auto-versioning did not work
  * Fixed very tricky problem that an auto-versioned record with files attached would create double-references! Uh.... Look for ->autoVersioningUpdate in tcemain and there is a fine explanation of a scenario and how I worked around it.
  * !!! Changed the XML markup for flexform output. Now some more reasonable tags are used. If t3lib_div xml2array + array2xml functions are used, fully backwards compatible. Extensions which depend on the old tag names will break. Use t3lib_flexformtools for writing XML output for flexforms in the future!
  * Improved length of sys_refindex.ref_string from 40 to 200 chars.
  * Added information about number of references pointing to record or file before its deleted (didn't localize the message though)
  * Added reference count column to Web>List and File>Filelist modules plus overview table in the Info display for files and records (ah, finally there is a reason for that fine info-screen...)
  * Set a security precaution in ws/workspaceforms.php (Dmitry should take a look and learn :-)
  * Added feature in index_ts.php allowing faster dynamic websites and AJAX implementations in particular. The idea is that extensions can register a keyword which triggers inclusion of another PHP file quite early in index_ts.php. Only basic libraries and configuration is included, then branched of. From that point its up to the third-party script whether it should connect to database, initialize FE users etc, all depending on their need and allowed overhead. The keyword is registered in $TYPO3_CONF_VARS['FE']['eID_include'][_keyword_] and calling index.php?eID=_keyword_ will trigger the inclusion. I will publish a new extension, "whiteboard", demonstrating a sample implementation using simple AJAX stuff.
  * Began working on a preview-facility which will allow for preview of eg. a workspace page without a backend login.
  * Started a cleaner-module in Web>Function (coming from the "lowlevel" system extension). The cleaner consists of analysis tools and clean-up tools (based on the analysis), all working with the sys_refindex table as well. Eventually it will allow for nightly, cron-job based checks of the system including a report email to administrator. This way, data and link integrity and log reports can be reviewed each day.

2006-01-27  Christian Jul Jensen  <christian@jul.net>

  * Minor bugfix in sys_actions related to the taskcenter changes in 3.8
  * Added manual sorting of sys_actions records
  * Fixed bug #2245.

2006-01-27  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Adjustments to the htmlArea RTE extension (see details in local ChangeLog)

2006-01-26  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Corrections to the htmlArea RTE extension (see details in local ChangeLog)
  * Fix issue #2358.

2006-01-26  Michael Stucki  <michael@typo3.org>

  * Fixed bug #1625: Pages with "hide in menu" flag have got the same pagetree icon like not-in-menu pages.
  * Changed $TYPO3_CONF_VARS[GFX][im_version_5] into a string. Possible values are "im4", "im5", "im6" or "gm". Boolean values will still work where "0" means "im4" and "1" means "im5".
  * !!! Renamed the hooks $TYPO3_CONF_VARS[SC_OPTIONS][tslib/class.tslib_feuserauth.php][logoff_pre_processing] + $TYPO3_CONF_VARS[SC_OPTIONS][tslib/class.tslib_feuserauth.php][logoff_post_processing] and replaced "tslib/class.tslib_feuserauth.php" with "t3lib/class.t3lib_userauth.php" (which is the correct place for this hook).

2006-01-26  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bug #1947: "Page is being generated" is bad for search engines

2006-01-24  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Fix issues #282 and 1421
  * t3lib_htmlmail: Enable use of CURL library functions when $TYPO3_CONF_VARS["SYS"]["curlUse"] = '1'
  * t3lib_htmlmail: Correct encoding of jumper url
  * t3lib_htmlmail: Avoid applying illegal encoding domain to multipart headers (when html has media)

2006-01-22  Ingmar Schlecht  <ingmar@typo3.org>

  * New feature #1639: Implemented form eval API so it's possible to add custom JS and PHP form evaluation functions to input fields in TCEForms (thanks to Thomas Hempel!)

2006-01-22  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed issues #2333 and #2255, needed for the upcoming skin

2006-01-20  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bug #2232: Creation of new workspace fails

2006-01-20  Karsten Dambekalns  <karsten@typo3.org>

  * Fixed bugs #1907, #1581, #17, #2054, #35, #365 in EM.
  * FIxed bug #1182

2006-01-20  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.0beta2
  * New feature: Merged cron_cssstyledimgtext into CSS Styled Content. Kudos to Ernesto Baschny who did most of the work. Many thanks to Sebastian Kurfuerst for his great support. Great work boys!
  * Added support to fetch values from objects in getText: myVar.data = TSFE:fe_user|user|username
  * Fixed (part of) #2059: Removing "NOT NULL" when parsing SQL data

2006-01-19  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * New feature: Revised Undo/History feature.
  * Fixed issue #1952: New hook in class.t3lib_userauthgroup.php
  * Fixed issue #2243: Hook needed in class.t3lib_befunc.php, function getProcessedValue
  * Fixed bug #2293: Javascript warnings
  * Fixed errors in t3lib_db::fullQuoteArray and UPDATEquery (came into the core some hours before)

2006-01-19  Karsten Dambekalns  <karsten@typo3.org>

  * sysext/dbal: Some bugfixes to connection handling; added $no_quote_fields support for INSERT and UPDATE methods.
  * Fixed bug #2059

2006-01-19  Rene Fritz  <r.fritz@colorcube.de>

  * Fixed bug: Fixed a problem with the RTE and inline images and base url's like http://mydomain.com/here_is_my_site/
  * Fixed bug: The nav frame do not update properly when submodules register different nav frames with navFrameScript in MCONF. (class.alt_menu_functions.php)
  * Fixed bug: fixed bug related to PHP5 and clone() in tslib_content
  * Fixed issue: Added clone() compatibility function for PHP4
  * Fixed bug: The javascript dyn tabs used for eg. TCEForms and placed in template.php were not shown when used in popup windows because of an uninitialized variable.
  * Fixed a missing "global": added a missing global $TYPO3_CONF_VARS; to t3lib_userauthgroup::fetchGroups which would have been prevented that the hook fetchGroupQuery worked

2006-01-19  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bug #1430: SEO + simulateStaticDocuments

2006-01-19  Peter Niederlag  <peter@niederlag.de>

  * Fixed issue #2268 on cleanup of sysext:css_styled_content
  * Fixed small issue with link in LICENSE.txt

2006-01-19  Martin Kutschker  <masi@typo3.org>

  * Add t3lib_div::sysLog() for Core logging
  * Use t3lib_div::sysLog() in t3lib_db->sql_pconnect() and t3lib_db->sql_select_db()
  * Add no_quote parameter to t3lib_db->fullQuoteArray() and to all SQL statement generating functions of t3lib_db

2006-01-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Changes to the htmlArea RTE extension (details see local ChangeLog)

2006-01-18  Dmitry Dulepov  <typo3@accio.lv>

  * indexed_search: Removed empty line at the end of class.tx_indexedsearch.php. This line caused undesired effects in MSIE with certain PHP versions and UTF-8 encoding in FE.

2006-01-18  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #1869: Copy sites with flexible content elements inside crash with fatal error
  * Fixed bug #2136: changing extended view in list mode changes focus
  * New feature #1320: stdWrap for all ATagParams (except config.ATagParams)

2006-01-18  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed bugs #277, #1030 and #1472 which are all related to the same charset issue.

2006-01-17  Karsten Dambekalns  <karsten@typo3.org>

  * Fixed bug #432

2006-01-17  Wolfgang Klinger  <wk@plan2.net>

  * Update the timestamp field (TCA/ctrl/tstamp) on delete

2006-01-16  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bug #2160: Turn off workspaces module for certain users not possible

2006-01-14  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed #2248: Path disclosure in config_default.php and showpic.php

2006-01-14  Michael Stucki  <michael@typo3.org>

  * Fixed bug #2102: PHP-Warning in the shortcut frame
  * Remove <label> tags around hidden fields in FORM elements
  * Removed depencency of typo3conf/database.sql: The file contents are now calculated automatically.

2006-01-13  Wolfgang Klinger  <wk@plan2.net>

  * The '[Translate to:]' message is now configurable via TSconfig and will be prepended only if there's an actual value

2006-01-12  Karsten Dambekalns  <karsten@typo3.org>

  * Fixed unclean document.location use in JavaScript parts, replaced by [window.]location.href

2006-01-12  Wolfgang Klinger  <wk@plan2.net>

  * Introduced a new property 'ignore' for config.sys_language_mode

2006-01-12  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Changes to the htmlArea RTE extension (details see local ChangeLog)

2006-01-11  Dmitry Dulepov  <typo3@accio.lv>

  * Fixed bug #2199: Summary contains duplicate labels (indexed_search)

2006-01-10  Wolfgang Klinger  <wolfgang@stufenlos.net>

  * Fixed bug #1209: set 'deleteTree' to '1' if 'recursiveDelete' is set in the user preferences

2006-01-08  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * rtehtmlarea: Correction to path settings affecting image drag & drop and file/image upload.

2006-01-08  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #1938: Selection "Frontend" gets lost on login failure
  * Fixed bug #1149: FE-Editing in new Popups => Page doesn't reload
  * New feature #1910: Sorting in filelists by modification date

2006-01-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Converted locallang files of htmlArea RTE extension to XML format.
  * Revised all licence notices on all scripts of htmlArea RTE in order to publish under GPL.

2006-01-06  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #1854: wrong Access check in RTE Wizard
  * Added PHPdoc comments to the update wizard

2006-01-05  Karsten Dambekalns  <karsten@typo3.org>

  * Minor change to the stylesheet to enhance tabmenu display in the BE.

2006-01-05  Martin Kutschker  <masi@typo3.org>

  * Add escapeStrForLike() to t3lib_db and use it in tslib_cObj->searchWhere()
  * Update for bug #1354: Use mysql_escape_string() with PHP 4.1.x

2006-01-04  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

  * Changes to the htmlArea RTE extension (details see local ChangeLog)

2006-01-04  Karsten Dambekalns  <karsten@typo3.org>

  * Changes to the DBAL extension (details see local ChangeLog)
  * Minor fix to inline comment in class.t3lib_sqlparser.php

2006-01-04  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #2169: Import of testsite from T3D exceeds PHP maximum_execution_time
  * Fixed bug #2127: Fatal error in mod/user/ws/index.php
  * Changed behavior of alertPopups - there were still some bugs inside, it is cleaned up now.

2005-12-31  Martin Kutschker  <masi@typo3.org>

  * Add alternative field name argument to tslib_pibase->pi_initPIflexForm()

2005-12-30  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #2108: Error when using hide in Frontend Editing

2005-12-29  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #2100: Warning: Call-time pass-by-reference has been deprecated
  * Fixed bug #2126: Updating encryption key sets compat version to same value
  * Fixed bug #2132: Error on moving lost records
  * Fixed bug #2134: "Place as root" does not function
  * Changed version of indexed search to 2.9.0
  * Fixed bug #2117: Install-Tool: "Write to localconf.php" sets "sqlDebug" and "USdateFormat" automatically
  * Fixed a bug in quote settings in CSS styled content - table. Now it is possible to copy/paste a CSV directly.

2005-12-28  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 4.0beta1
  * Fixed a bug in tstemplate (path still pointing to typo3/ext/)

2005-12-28  Michael Stucki  <michael@typo3.org>

  * Changed TYPO3_CONF_VARS[SYS][fileCreateMask] from 775 to 755
  * Rised version number to 4.0-dev
  * Added "rtehtmlarea" as a system extension
	- Important notice: Because of a known bug, the buttons "blockstylelabel", "blockstyle", "textstylelabel" and "textstyle" will not work with this version.
  * Fixed bug #1155: Install tool want to recreate the tables, and drop the old ones
  * Fixed Gremlin #1690: nav_frame is sometimes out of sync with the selected page
  * Various changes in t3lib_parsehtml_proc (on behalf of Stanislas Rolland):
	- Allow style and xml:lang attributes on span tags
	- Include "hr", "address" and "dl" in headListTags
	- Avoid insertion of superfluous linebreaks by transform_db
	- Eliminate true linebreaks inside Hx tags
	- Convert linebreaks to spaces instead of deleting them
	- Wrap a-tags that contain a style attribute with a span-tag
	- Honor setting RTE.default.proc.HTMLparser_db.xhtml_cleaning=1

2005-12-27  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed bug #1685 partly: replaced ereg calls with preg pendants in t3lib_parsehtml.php and made some minor modifications to improve overall speed (report bugs with inproperly replaced markers or subparts with previously working setup or TV problems with HTML templates having no problems before at http://bugs.typo3.org/view.php?id=1685)

2005-12-27  Dmitry Dulepov  <typo3@accio.lv>

  * Workspace listing: CSS classes are added to system style sheet file
  * Workspace listing: Direct styles changes to CSS classes
  * Workspace listing: Mount points list now shows warning icon and explanation tooltip if workspace mount point is not accessible for current BE user
  * Workspace listing: Mount points list will show explanation if no mount points available and why
  * Workspace listing: User list is changed for live and draft workspace: now shows a simple list of users
  * Workspace listing: alt_shortcut.php is no longer used to switch workspaces
  * Workspace listing: Fix - user names sometimes were not displayed for non-admin user in the access lists
  * Workspace listing: Fix - non-admin users could see empty row in workspace list
  * Workspace listing: Fix - workspace_list_label_frozen_no label was wrong in locallang_mod_user_ws.xml
  * Many new labels in locallang_mod_user_ws.xml

2005-12-27  Michael Stucki  <michael@typo3.org>

  * Added typo3/ext/ again. It must stay even if it's empty, otherwise TYPO3 will not create the temp_CACHED_* files in typo3conf/

2005-12-27  Karsten Dambekalns  <karsten@typo3.org>

  * Applied DBAL-related changes. This fixes or helps to fix some issues, including bugs #1649, #1781, #2077 and others.
  * Added dbal and adodb as system extensions.

2005-12-26  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #752: scope of BE- and FE-Cookie: can't cope with multidomain-setup

2005-12-26  Michael Stucki  <michael@typo3.org>

  * Changed default font to for code textareas to "monospace"
  * Changed the tab-in-textarea and the above fixed-font features to be changed by TCA. See Core API "defaultExtras" section for details.
  * Changed module pointer of BE module titles (Web, File, Tools, etc.)
  * Fixed Gremlin #1643: alt_shortcut.php: Permissions for the target document are checked before a shortcut is displayed.
  * alt_shortcut.php: The groups have been changed from numbers to practically usable category names. They can be changed with User TSconfig (just set the group to a string instead to "1")

2005-12-25  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed error where deleted pages appear in the page tree when preview is activated. t3lib_pageselect->where_hid_del had to be changed.
  * Changed length of page alias from 20 to 32 characters
  * Fixed bug #2087, introduced by #1078
  * Marked t3lib_ajax as subject to change
  * Fixed clickmenu bug with ajax
  * Updated CSS styled content: integrated accessible mailforms, accessible menus, accessible tables
  * Inserted update wizard and compatibility version

2005-12-25  Dmitry Dulepov  <typo3@accio.lv>

  * typo3/mod/user/ws/class.mod_user_ws_workspaceforms.php: renamed to workspaceforms.php
  * typo3/mod/user/ws/index.php: Many labels moved to locallang_user_mod_ws.xml
  * typo3/mod/user/ws/index.php: Changed file name for workspace editing to workspaceforms.php
  * typo3/mod/user/ws/workspaceforms.php: Now using t3lib_BEfunc::datetime() instead of date()
  * typo3/mod/user/ws/workspaceforms.php: Labels moved to locallang_user_mod_ws.xml
  * typo3/mod/user/ws/workspaceforms.php: Fixed "Object doesn't support this property or method" under MSIE (due to field named "submit" in the form
  * typo3/mod/user/ws/workspaceforms.php: Enabled tabbed form for workspaces
  * typo3/mod/user/ws/workspaceforms.php: Changed author's e-mail
  * t3lib/stddb/tbl_be.php: Added tab names to dividers in sys_workspace table
  * typo3/sysext/lang/locallang_mod_user_ws.xml: Added new labels for Workspace module

2005-12-23  Michael Stucki  <michael@typo3.org>

  * Moved tstemplate, tstemplate_analyzer, tstemplate_ceditor, tstemplate_info, tstemplate_objbrowser as system extensions to TYPO3core

2005-12-21  Christian Jul Jensen  <julle@typo3.org>

  * Fixed bug regarding MM-relations to same table in befunc::getProcessedValues

2005-12-19  Michael Scharkow  <michael@underused.org>

  * Fixed bug #1915: trigger 404 with bogus aliases

2005-12-19  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * New feature #1078: make javascript warning/confirmation popups configurable
  * Fixed bug #1578: Radio button validation does not work if there is only one radio button
  * Fixed bug #1906: first part only implements override.* for arbitary adminPanel options - relates to #1518

2005-12-19  Michael Stucki  <michael@typo3.org>

  * Added support for objects in conditions. Use it like this: [globalString = TSFE:fe_user|user|username = myname]

2005-12-19  Kasper Skaarhoj  <kasper2005@typo3.com>

  * Change logout-button label to "Exit" when in SwitchBackUser mode.
  * Fixed a htmlspecialchars() thing in TCEforms.

2005-12-18  Michael Stucki  <michael@typo3.org>

  * Cleanup: Changed all occurences of "depreciated" => "deprecated"

2005-12-17  Kasper Skaarhoj  <kasper2005@typo3.com>

  * Added reference index table and class. See mail sent to Dev-list

2005-12-16  Robert Lemke  <robert@typo3.org>

  * Fixed a bug in t3lib_beFunc::getRecordWSOL - it now makes sure that uid, pid and t3ver_swapmode are selected internally if they are not specified in $fields

2005-12-13  Martin Kutschker  <masi@typo3.org>

  * Support of file_get_contents() in t3lib_div::getURL()
  * Check result of fwrite() in t3lib_div::writeFile()

2005-12-15  Michael Stucki  <michael@typo3.org>

  * Added a deleted field to pages_language_overlay
  * Changed alignment for some checkboxes in the TS debugger of the admin panel (better to read)
  * Fixed Gremlin #381: "Page is being generated" should belocalized. The message can be changed by setting "config.message_page_is_being_generated" in the TS template. See TSref for details.

2005-12-15  Kasper Skaarhoj  <kasper2005@typo3.com>

  * Fixed a small SQL-related bug in Dmitris workspace related implementations

2005-12-14  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Updated NEWS.txt
  * Fixed bug #1343: Minor problem with tslib_fe::prefixLocalAnchorsWithScript()
  * New feature #1369: Accessible forms
  * New feature #1631: configuration of user rights
  * Fixed bug #1980: Relative links (anchors) in current page & baseURL
  * Security #2024: Set random ["SYS"]["encryptionKey"] during 1-2-3 install, changed button captions

2005-12-13  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #1172: broken typolinks to other domains

2005-12-13  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #2020: t3lib_cs->substr in mbstring-mode always used utf-8
  * Added support for iconv-functions of PHP5 in t3lib_cs

2005-12-12  Michael Stucki  <michael@typo3.org>

  * Fixed wrong/missing label tags around radio input elements
  * Added new property "returnKey" to the split function - useful to get a specific element after a split operation
  * Added a class="typo3-debug" parameter to t3lib_div::debug() tables

2005-12-10  Peter Niederlag  <peter@niederlag.de>

  * Fixed bug #1976: PHP5 type-conversion of string 'true' and boolean

2005-12-09  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #1354: Use mysql_real_escape_string() instead of addslashes() in t3lib_db to fix a security problem in t3lib->quoteStr() when magic_quotes_sybase = on
  * Added config.xhtmlDoctype ($GLOBALS['TSFE']->xhtmlDoctype and $GLOBALS['TSFE']->xhtmlVersion)

2005-12-03  Dmitry Dulepov  <typo3@fm-world.ru>

  * Added $BACK_PATH to $error_doc in t3lib_div::TCEmain->printLogErrorMessages() to work properly if current script runs outisde of ./typo3 directory

2005-12-01  Dmitry Dulepov  <typo3@fm-world.ru>

  * Implemented access check for workspace editing
  * Blinding for user and group names is implemented in workspace editing

2005-11-30  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #874: XHTML compliance of GMENU with onmouseover images
  * Fixed bug #1657: make default number of file upload forms in the file upload tool configurable
  * Fixed bug #1703: Date fields: default is tomorrow instead of today.
  * Fixed bug #1889: EM appends trailing spaces when updating ext_emconf.php
  * Changed shortcut checking behavior in t3lib_page::getMenu (Related to #1066)

2005-11-30  Michael Stucki  <michael@typo3.org>

  * Fixed a little bug in t3lib_div::debug() (missing <tr> after first row)

2005-11-29  Dmitry Dulepov  <typo3@fm-world.ru>

  * Workspace module uses own classes for editing/creating workspaces (no permission check yet!)
  * Better visual presentation for workspace list (added icons, ndashes, etc)

2005-11-28  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed spelling error (Bug #1945)
  * Inserted "exit" after location header in t3lib_userauth (relates to #1519)

2005-11-27  Jan-Erik Revsbech  <jer@moccompany.com>

  * Implemented Gremlin 1660: typolink now supports the title attribute (with stdWrap). Additionally the <link> tag used in conjunction with the RTE now supports a fourth parameter. In addition to pageid target and class, the fourth parameter is the title of the resulting link.

2005-11-25  Martin Kutschker  <masi@typo3.org>

  * Fixed PHP 5.0.5 compability issue with end() in class.t3lib_timetrack.php

2005-11-24  Christian Jul Jensen  <christian@jul.net>

  * Added GET-params "module" and "modParams" to alt_main.php to allow external urls to access specific points in modules

2005-11-23  Michael Stucki  <michael@typo3.org>

  * Always use fputs() for writing to logfiles. There is no case when it can't be used, so the alternative "echo" call was never needed.
  * !!! Removed $TYPO3_CONF_VARS['FE']['logfile_write']. See above.
  * If logfile does not exist, try to create it automatically
  * Fixed bug #187: config.stat_apache_pagenames code [type] ends up empty
  * Fixed bug #1161: Cannot give access to all modules to a backend user when there are many backend modules loaded. Thanks to Valentin Schmid.
  * Fixed bug #1672: Change name of "Edit page header" to "Edit page properties". Many thanks to Valentin Schmid who made the patch for this.
  * Fixed bug #1549: Improve description of imagecaption fields
  * Fixed bug #1592: Show website (magnifying glass icon) opens a new browser without all the toolbars
  * Fixed bug #76: t3lib_div::writeFile() changes permissions without need

2005-11-23  Dmitry Dulepov  <typo3@fm-world.ru>

  * Added workspace list display in User/Workspace module

2005-11-23  Andreas Otto  <andreas.otto@dkd.de>

  * Methods imageLinkWrap() and typolink() in class.tslib_content.php: Made the JS PopUps accessible if JS is not available in the user's web browser. Add the TARGET-attribute only if the used doctype allows this.

2005-11-23  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * XHTML Compliance: prefix local anchors with a string (bug #1243)
  * Feature request #1453: stdWrap for fontColor attribute of GIFBUILDER?s TEXT-object
  * Usability: Add focus in install tool login form (bug #1584)
  * Bug #1637: Adjustment to collapsable menu

2005-11-19  Michael Stucki  <michael@typo3.org>

  * Added a helpful warning if config.baseURL=1 was found
  * !!! Disabled the config.baseURL=1 feature. baseURL needs to be a string value, otherwise it will not work (security reasons)!
  * Fixed bug #1115: Broken image-alignment in Mozilla browsers (written by Martin Kutschker)
  * Fixed a cross-site scripting issue in showpic.php. Many thanks to Martin Klaus who provided a fix for this.
  * Fixed the encryptionKey auto-generation in the Install Tool: The 32 first characters were always the same. Thanks to Jochen Weiland.
  * When editing a file in the Install Tool, the backup is no longer renamed to filename.php~ but filename_bak.php (could be viewed in clear-text otherwise). Thanks to Lars Houmark for reporting this.
  * Fixed wrong image negation in Install Tool (patch written by Bernhard Kraft)
  * Fixed bug #1861: Call of inexinsting t3lib_exec::imageMagickCommand() instead of t3lib_div::...

2005-11-18  Michael Scharkow  <mscharkow@gmx.net>

  * Removed bgColor from default body tag

2005-11-17  Robert Lemke  <robert@typo3.org>

  * Added two post-processing hooks into t3lib_tcemain->moveRecord. They are required by TemplaVoila 1.0

2005-11-15  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #569: The "Access Key" combination now added to the "title" attribute of images
  * Fixed bug #815: CLI-mode doesn't work with lockSSL enabled
  * New feature #1518: override all admin panel values from TSConfig

2005-11-12  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * New feature #1573: switch back to admin user after user switch (SU-mode)

2005-11-11  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * New feature #1519: new option for lockSSL: get redirected to standard http after BE login with SSL
  * Fixed bug #1624: Copying of a file in the same folder in the "Filelist" module dosen't work
  * Feature request #1706: add "save + close" button in RTE wizard

2005-11-09  Rupert Germann  <rupi@gmx.li>

  * Fix for function getBorderAttr: closes bugs #1360 and #1461

2005-11-09  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * New feature #1577: display clickmenus with XMLHTTP / ajax
  * Fixed bug #1066: Shortcut to an invisible page leads to a frontend error

2005-11-09  Ingmar Schlecht  <ingmar@typo3.org>

  * Made TCEForms put <label> tags around icons for moving/deleting repetitive Flexform items
  * Removed annoying feature of typo3/tab.js to focus the textarea

2005-11-08  Sebastian Kurfuerst  <sebastian@garbage-group.de>

  * Fixed bug #586: User Admin can't create new user
  * Fixed bug #1293: TCAdefaults.pages.doktype is not recognized by the wizard "Create new pages"
  * Fixed bug #1407: clearCache doesn't work when deleting records
  * Fixed bug #1570: on timeout in BE, popup appears all the time when clicking no
  * Fixed bug #1571: make new content element wizard easier to use

2005-11-01  Robert Lemke  <robert@typo3.org>

  * Added an is_array() check in t3lib_div::resolveSheetDefInDS() to prevent a fatal error in certain circumstances

2005-10-26  Kasper Skaarhoj  <kasper2005@typo3.com>

  * Implemented additional, simple API for logging to sys_log plus extended the sys-log with workspace awareness.
  * Implemented more workspace related features. In particular scripts like t3lib_tcemain and t3lib_userauthgroup have been heavily modified!

2005-10-21  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed a bug in t3lib/class.t3lib_page.php which broke the Direct Mailer

2005-10-19  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed a bug in t3lib/jsfunc.menu.js (base URL was also prepended when link is already absolute)
  * Fixed bug #200: fe_adminLib: hard-coded Form URL, should be typolink

2005-10-17  Kasper Skaarhoj  <kasper2005@typo3.com>

  * Fixed wrong page-not-found header from "Status: 404 ..." to "HTTP/1.0 404..."

2005-10-15  Michael Stucki  <michael@typo3.org>

  * Added a hook for adding new items in alt_topmenu_dummy.php (requested by Stig N. Faerch for his "roles" extension)
  * Added a JavaScript to the backend which makes it possible to use tabulator keys in textareas. Can be disabled by setting $BE_USER->uc['disableTabInTextarea'].
  * Added template support to indexed_search. Many thanks to Udo von Eynern for his great work!
  * Many other changes to indexed_search. For details, see typo3/sysext/indexed_search/ChangeLog.

2005-10-14  Andreas Otto  <andreas.otto@dkd.de>

  * Fixed bug #1594: In t3lib_matchCondition->match() it could be the case that $this->altRootline was not allways an array, but it is supposed to be an array. Therefore at the beginning of t3lib_matchCondition->match() the variable type is checked and an empty array is created if needed.

2005-10-07  Kasper Skaarhoj  <kasper2005@typo3.com>

  * Two small friday-afternoon-party changes that I wanted to have fun with a few times: a) In the shortcut frame the "Edit Page ID" field will now let you search the whole database using the list module, b) the list module will wrap any value that is a URL or email address with a link.

2005-10-04  Kasper Skaarhoj  <kasper2005@typo3.com>

  * Added initial support for workspaces in core.
  * !!! Notice that all versioning features for tables are now enabled by the [ctrl] directive "versioningWS" and not "versioning". You will have to change this for all custom usages. At the same time you will have to add additional fields that are now mandatory for versioning to work. This is documented in the yet not published TYPO3 Core API for next version. Until the versioning API is final it is recommended to be very careful to apply versioning to custom tables.

2005-10-04  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #1152: allow for nice filenames in Apache stat file (config.stat_apache_niceTitle)
  * Optionally remove the site root from the Apache stat file path (config.stat_apache_noRoot)
  * Fix bug #1516: improper user of mb_strpos()

2005-10-02  Bernhard Kraft  <kraftb@kraftb.at>

  * Integrated content-slide extension into core
  * Implemented "requestUpdate" feature of TCEforms for Flexform fields

2005-09-19  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #1287: Detect Opera as Netscape3 (making image roll-overs work)

2005-09-18  Michael Stucki  <michael@typo3.org>

  * If the encryption key is not set, the warning in the backend now contains a link to the according section.
  * be_group can no longer be selected as a subgroup of itself
  * Merged fenestgrp extension into Core. This makes it possible to select subgroups for fe_groups. Thanks to Glen Gibb.
  * Merged ingmar_accessctrl extension into Core. Content elements and pages can now have access for more than only one group. Thanks to Ingmar Schlecht for his nice extension.
  * Fixed a bug in the object browser: Adding properties copied key + value into the key field. Notice: This requires an additional patch in the tstemplate_objbrowser extension!
  * Object browser: Added support to match for TS keys
  * Some typo fixes
  * New property for TYPO3_CONF_VARS[SYS][displayErrors]: If set to 2, display_errors will only be enabled if the devIPmask matches the current clients IP address.

2005-09-14  Karsten Dambekalns  <karsten@typo3.org>

  * Fixed bug #214 (flexform default values), as it has been reported to work with the existing patch.

2005-09-13  Ingmar Schlecht  <ingmar@typo3.org>

  * Fixed bug #1375: Made typo3/mod/tools/em/index.php use preg_quote() on filename before passing it to preg_match()

2005-09-13  Karsten Dambekalns  <karsten@typo3.org>

  * Fixed the page is being generated page refreshing to the wrong page when query parameters are used.
  * Fixed (part of) bug #1312 (showpic.php).

2005-08-22  Martin Kutschker  <masi@typo3.org>

  * Fixed bug #24: Modified the JS layer code so that GMENU_LAYERS work with Opera (3.8 patch port by Michael Stucki)

2005-08-16  Michael Stucki  <michael@typo3.org>

  * Fixed a wrong path in Install Tool welcome message

2005-07-06  Jan-Erik Revsbech  <jer@moccompany.com>

  * Fixed bug #1197: t3lib_htmlmail looked for config variable enableReturnPath, but the variable was named forceReturnPath.
  * Added a new header Errors-To which is used by Postfix.

2005-07-02  Michael Stucki  <michael@typo3.org>

  * Removed misc/mod_rewrite.htaccess and misc/php_optimized.htaccess and replaced them by misc/simple.htaccess and misc/advanced.htaccess
  * Added a die() call to protect the display of phpinfo() in misc/phpcheck/incfile.php
  * config.disablePrefixComment was ignored by plugins
  * $TT->pull() was called without $TT->push() before in typo3/sysext/indexed_search/class.indexer.php
  * Fixed bug #1239: Install tool does not accept hyphen in database host name

2005-06-27  Andreas Otto  <andreas@php4win.de>

  * Method fetchGroups() in t3lib/class.t3lib_userauthgroup.php:
	Added hook as requested and provided by Stig N. Faerch.
	This hook is used by the extension 'roles'. With this hook it's possible to
	control the backend usergroup access, through manipulating a sql-sentence.
	In the case of 'roles', the hook is used to limit access to the selected
	backend usergroup (which is marked as a role). This is very powerful when
	you need to have a better overview in the backend.

2005-06-25  Michael Stucki  <michael@typo3.org>

  * Improved description of [TYPO3_CONF_VARS][BE/FE][compressionLevel]

2005-06-20  Michael Stucki  <michael@typo3.org>

  * Merged changes from TYPO3_3-8 branch back

2005-06-06  Andreas Otto  <andreas.otto@dkd.de>

  * t3lib/class.t3lib_userauth.php: Implemented two hooks in the logoff() method. One hook for doing operations __before__ logoff() destroys the current session and one hook for doing operations __after__ the session was destroyed.

2005-05-29  Michael Stucki  <michael@typo3.org>

  * typo3/sysext/cms/tslib/class.tslib_content.php: Fixed a bug with the "addQueryString" property in typolinks
  * typo3/mod/tools/em/index.php: Extension manager didn't allow to edit *.xml files

2005-05-23  Rupert Germann  <rupi@gmx.li>

  * Fix: Reversed the effect of the new parameter "config.disableImgBorderAttr". Now it does what the name says.

2005-05-23  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 3.8.0
  * Fixed bug #840: Login URL feature attracts users to transfer password in cleartext

2005-05-22  Karsten Dambekalns  <karsten@typo3.org>

  * t3lib/class.t3lib_querygenerator.php: Fixed broken database search, originally caused by DBAL changes.

2005-05-22  Kasper Skaarhoj  <kasper@typo3.com>

  * Added loginscreen image and colorscheme, upgraded version number.

2005-05-21  Bernhard Kraft  <kraftb@kraftb.at>

  * Fixed bug #975: Make the thumbnail-size of filelinks chooseable

2005-05-20  Michael Stucki  <michael@typo3.org>

  * Fixed bug #459: undefined function: float() in class.t3lib_cs.php
  * New feature #850: Store last built query independent of t3lib_db->debugOutput. Thanks to Rainer Kuhn.

2005-05-19  Michael Stucki  <michael@typo3.org>

  * Small fix in typo3/sysext/install/mod/class.tx_install.php: GraphicsMagick executed without any parameters caused a server error (used in the Install Tool for guessing the product version)
  * Fixed bug #1065: Labels of radio buttons in listview were not shown. Thanks to Sebastian Kurfuerst.
  * Changed innerWrap and outerWrap in editPanels to be stdWrap'able. Thanks to Martin Kutschker.
  * Fixed bug #98: Forms elements should not contain a wrap-attribute for textareas, so this is now optional. Thanks to Martin Kutschker.
  * Fixed bug #1075: XHTML compliance of FORM elements. Thanks to Martin Kutschker.
  * Fixed bug #1061: XHTML cleaning did not support the <param /> tag. Thanks to Martin Kutschker.

2005-05-19  Karsten Dambekalns  <karsten@typo3.org>

  * typo3/sysext/install/mod/class.tx_install.php: Added a button to generate a random encryption key.
  * typo3/sysext/cms/layout/db_layout.php: Fix for bug #1042. Thanks to Sebastian Kurfuerst and Michael Stucki.
	Additionally removed some unused variables/globalisations
  * typo3/mod/tools/em/index.php: Applied patch for bug #1043 (ereg calls without escaped curly braces)
  * t3lib/class.t3lib_install.php: Fix for bug #987 (hardcoded MyISAM table type)

2005-05-17  Michael Stucki  <michael@typo3.org>

  * Minor fix in t3lib/config_default.php: pageNotFoundOnCHashError used "false" instead of "0" as the default value

2005-05-16  Michael Stucki  <michael@typo3.org>

  * Fixed wrong display of empty tags in class.tx_cms_layout.php
  * Fixed missing email address label if none specified in class.tslib_content.php
  * Fixed missing replacement of "@" in spamProtectEmailAddresses mode in class.tslib_content.php

2005-06-08  Kasper Skaarhoj  <kasper@typo3.com>

  * Added TYPO3_CONF_VARS[SYS][USdateFormat] configuration option to turn date-entering into MM-DD-YYYY in backend. Go US!

2005-05-14  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 3.8.0rc1
  * Fixed a bug in the context-sensitive menu (right-click on 2nd level like "more options..." didn't work). Thanks to Wolfgang Klinger.

2005-05-14  Rupert Germann  <rupi@gmx.li>

  * Fixed bug #797: added a new function to class.tslib_content.php (getBorderAttr()) which returns only a border attribute for images if the doctype is not xhtml_strict,  xhtml_11 or xhtml_2 or if the config parameter 'disableImgBorderAttr' is not set. Setting 'disableImgBorderAttr' to '1' will disable border attributes in img tags even if the doctype is not in the list of doctypes above.

2005-05-12  Michael Stucki  <michael@typo3.org>

  * Force TCEform reload if the plugin is changed
  * Added new typolink option "addQueryString" for adding all parameters of the current URL to the link. Notice that this does not check for any duplicate parameters! This is not a problem (only the last parameter of the same name will be applied), but enable "config.uniqueLinkVars" if you still don't like it.
  * Removed duplicate "Expires" header in class.t3lib_userauth.php
  * Changed return value type of t3lib_div::inList which was not really boolean (as documented) but string. Thanks to Bernhard Kraft.

2005-05-11  Michael Scharkow  <mscharkow@gmx.net>

  * Fixed bug #930: The delete button in QuickEdit mode lead to a 404 message. Thanks to Sebastian Kurfuerst.

2005-05-09  Kasper Skaarhoj  <kasper@typo3.com>

  * Closed Indexed Search before 3.8.0 launch: Despite my hopes I had to significantly lower my ambitions for this release; I couldn't find time to complete the overhaul but had to just patch up any immediate problems and make it work for the 3.8.0 release. The TODO list inside is updated with the remaining tasks which is due for 4.0.0 late summer. If "Indexing Configurations" supporting indexing of external files, URLs and individual records have been mentioned earlier in this changelog or on the featurelist I can inform that the incomplete implementation has been disabled and postponed for 4.0.

2005-05-04  Kasper Skaarhoj  <kasper@typo3.com>

  * Added Hindi language
  * Added feature to table-wizard: Will create 5 new rows when adding rows in the bottom of table (configurable)
  * Added download links in extension listing in EM
  * Added new feature, "submenuObjSuffixes" to TypoScript Menu objects to define alternative submenus depending on position of parent menu object in menu. (TSref documented)

2005-05-01  Michael Stucki  <michael@typo3.org>

  * Implemented a wrapper for executing ImageMagick
  * New feature #1034: GraphicsMagick finally works with TYPO3! This can be enabled by setting TYPO3_CONF_VARS[GFX][im_version_5] to 'gm'.
  * The Install Tool is now more tolerant when comparing image file sizes. Warnings are only displayed if the created image is more than 10K larger than its reference. In this case you should consider to change your IM/GD version...

2005-04-30  Michael Stucki  <michael@typo3.org>

  * Changed the layout of the security warning box which is displayed in alt_intro.php
  * Added a hook for extending the device recognition capabilities in class.t3lib_matchcondition.php (requested by Michael Perkhofer for his "wurfl" extension)
  * Fixed bug #762: If the word "include_once" is followed by a whitespace, the extension manager issued an error
  * New feature #634: Add the CURIFSUB state to menu objects (thanks to Wolfgang Klinger)
  * Changed the spamProtectEmailAddresses range again. Allowed values are between -5 and 1 (higher values could break the output, thus the range needed to be changed)

2005-04-29  Christian Jul Jensen  <julle@typo3.org>

  * Added type path to getText function

2005-04-29  Kasper Skaarhoj  <kasper@typo3.com>

  * Added default limit (10kb) on frontend user session data (set by TYPO3_CONF_VARS[FE][maxSessionDataSize]) and added a check that session data is saved only if a cookie is actually set. This closes a quite obvious hole for DoS attacks where requesting a TYPO3 URL something like "...index.php?id=1&recs[foo][bar]=[up to 2000 chars]" would fill 2kb of data into fe_session_data no questions asked. It is not a security problem but thousand such request (with eg. "ab") would mean 2 megabyte of junk in the database... Spamming that table is now considerably more complicated. However this setting might break applications storing large amounts of user session data, but for the average shopping plugin it should be unaffected.

2005-04-29  Kasper Skaarhoj  <kasper@typo3.com>

  * Applied fixes to t3lib_extMgm in order to prevent possible fatal errors where only local extensions would be loaded, resulting in a complete failure of the system (aka "...the cms extension is not loaded" bug). It is unknown if it fixes such problems since the bug is not repeatable.

2005-04-28  Kasper Skaarhoj  <kasper@typo3.com>

  * Added API in tslib_pibase for checking availability of the cHash value when plugins are running as USER cObjects. This is a VERY IMPORTANT thing for plugin writers to acquaint themselves with. I suggest reading the article "The Mysteries of &cHash" which was written about this tricky issue.

2005-04-28  Rupert Germann  <rupi@gmx.li>

  * Fixed bug #416: now the wrong default values in autoincrement lines will be removed from .sql files before they are written to the database. This fixes the problem that tables were not created under MySQL 4.1.x
  * Fixed bug #955: Removed a double strcmp in class.t3lib_install.php
  * Removed the mysql-version ckeck from class.tx_install.php. With current MySQL versions this is not needed anymore.
  * New features for the pi_base pagebrowser: first and last links, "floating" of the displayed pages, all wraps are now configurable, all hardcoded HTML can be substituted with own wraps, and many more.
	The behaviour of the pagebrowser doesn't change if the additional "internal"-array-elements don't exist.
	This array has to be set from an extension which passes its TS-config to the pagebrowser function. See comments in function for details.
	Thank goes to Michael H.E. Roth for developing most of the changes.
  * Fixed bug #911: setting ['BE']['lockIP'] to a value < 4 does not log out the BE user anymore.
  * Fixed bug #570: now it is prevented that umlauts or other special characters are inserted as "accessKey".

2005-04-28  Christian Jul Jensen  <julle@typo3.org>

  * Added parameter to function in t3lib_install that enables you to write to other localconf's than the canonical.

2005-04-28  Kasper Skaarhoj  <kasper@typo3.com>

  * Added search in Extension Manager for extensions locally.

2005-04-27  Bernhard Kraft  <kraftb@kraftb.at>

  * Added post-process Hook in class.t3lib_befunc.php for method "getFlexFormDS"

2005-04-27  Rupert Germann  <rupi@gmx.li>

  * Fixed bug #536: removed a hardcoded tt_news reference which inserted the admin name as news author.

2005-04-27  Michael Scharkow  <mscharkow@gmx.net>

  * Fixed bug #727: Changed some labels for editing Page Header in page and list view

2005-04-27  Kasper Skaarhoj  <kasper@typo3.com>

  * Updated install tool test images again after Stuckis suggestions. Now validates perfectly with this TYPO3 using his debian packages "graphicsmagick" and "graphicsmagick-im-compat"

2005-04-27  Kasper Skaarhoj  <kasper@typo3.com>

  * More implementation of locallang-xml support in frontend
  * Implemented substitution of glossary terms in view_help.php. Glossary is available when the extension "t3glossary" is installed (yet to be released)

2005-04-27  Kasper Skaarhoj  <kasper@typo3.com>

  * When using frontend editing with pop-up window the save-and-view button will not change focus of the windows but keep the editing window on top while reloading the page for preview behind. (Works in any case editing happens in a pop-up window)

2005-04-26  Kasper Skaarhoj  <kasper@typo3.com>

  * Added a runaway brake to t3lib_div::expandList(): Ranges are limited to 1000 values per range.
  * Added authentication services (from sysext/sv/) to the core.
  * Added a feature to menu objects that you can have them show pages in the menus which are normally access restricted. The pages shown will like to a fixed page ID as long as access is not allowed - that page could then show a login box for instance. If access to the elements is ok they will of course link to themselves.
  * Added the same feature described for menu objects above to normal typolinks, configured with "config.typolinkLinkAccessRestrictedPages". See TSref for details. The feature will allow links pointing to access restricted page to be created but redirected to a central page which could for instnace contain a login form which is what will be shown if the page was not accessible.
  * !!! Technical/API: Changed sys_page->where_hid_del so the fe_group check is not included in WHERE clause but found separately in sys_page->where_groupAccess. It is probably quite rare if this affects any extension but it could do so potentially. PHP code would have to be adapted then.
  * Implemented configuration to inverse localization setting for pages, $GLOBALS['TYPO3_CONF_VARS']['FE']['hidePagesIfNotTranslatedByDefault']:  If TRUE, pages that has no translation will be hidden by default. Basically this will inverse the effect of the page localization setting "Hide page if no translation for current language exists" to "Show page even if no translation exists"
  * Added new function; t3lib_div::explodeUrl2Array(): Explodes a string with GETvars (eg. "&id=1&type=2&ext[mykey]=3") into an array
  * Added "config.language_alt" which enables localization from locallang-files of plugins to fallback to an alternative language if the main one (specified with config.language) was not found in hte locallang file. Thus a brazil portuguese ("br") website could specify portuguese (pt) as fallback language!
  * Added hook for page-not-found handling enabling any handling to be done for really flexible use.
  * Extended class t3lib_arraybrowser so it can show a PHP array without links. Used for "realurl" extension displaying its configuration in backend module.
  * Introduced readLLfile() and readLLXMLfile() in t3lib_div in the section with TYPO3 specific functions. They were moved from lang/lang.php class (language class) where they served to load locallang.(php|xml) files. Since this functionality was needed in the frontend as well the functions had to exist in a common script, that being t3lib_div.
  * Fixed "bug" where the meta data from a flexform data structure was returned in t3lib_div::-function
  * Completely reverted the removal of the "unsigned" attributes in *.sql files - DBAL has to handle this depending on DB.
  * Added record-uid to the listing of reference in TCEform group fields.
  * Added features in tslib_fe which records the reasons why a certain page was not accessible if it related to hidden/starttime/endtime/groups. This can be used in page-not-found handlers to produce a proper response to access attempts to eg. protected sections.
  * Support for locallang-xml in frontend as well.
  * Added unique name for TYPO3 re-login pop-up box
  * Fixed a few smaller bugs/inconveniences

2005-04-25  Andreas Otto  <andreas.otto@dkd.de>

  * Fixed bug #649. Used the patch provided in the bug description.

2005-04-24  Michael Stucki  <michael@typo3.org>

  * Fixed a problem with a recent change in the filelist module

2005-04-19  Martin Kutschker  <masi@typo3.org>

  * Changed t3lib_page::deleteClause to make it JOIN-safe
  * Added innerWrap and outerWrap properties to EDITPANEL and innerWrap, outerWrap and color properties to EDITPANEL.previewBorder
  * Added t3lib_div::expandList (turns eg "1,3-5,7" into "1,3,4,5,7")

2005-04-18  Karsten Dambekalns  <karsten@typo3.org>

  * typo3/file_upload.php: Small fix to fix bug #986, patch by Sebastian Kurfuerst.
  * t3lib/class.t3lib_befunc.php, sysext/viewpage/view/index.php: Fix to bug #983, preview when BE uses SSL.
  * t3lib/class.t3lib_befunc.php: Show warning when encryption key is empty (bug #766).
  * sysext/install/mod/class.tx_install.php: Make encryption key setting accessible in "Basic Configuration".
  * sysext/install/mod/class.tx_install.php: Missing PHP support for MySQL is only seen as error if DBAL extension is not loaded.

2005-04-18  Rupert Germann  <rupi@gmx.li>

  * Added a condition that removes wrong default values from autoinc-lines when importing static data. (bug #416 related).

2005-04-18  Michael Stucki  <michael@typo3.org>

  * Release of TYPO3 3.8.0beta2

2005-04-17  Rupert Germann  <rupi@gmx.li>

  * Fixed bugs #920 and #935: Changed the parsing of recordtitles in lists. Now 'label_alt' and 'label_alt_force' are honored too.

2005-04-17  Michael Stucki  <michael@typo3.org>

  * Changed the size of ses_iplock fields to 39 (needed for storing IPv6 addresses)

2005-04-15  Michael Stucki  <michael@typo3.org>

  * Made fe_user passwords case sensitive and render them as password fields
  * New feature #957: Added TypoScript option page.headTag

2005-04-14  Rupert Germann  <rupi@gmx.li>

  * Fixed bug #966: The BE-listview in "Localization Mode" does now show the labels and flags of translated records again.

2005-04-14  Michael Stucki  <michael@typo3.org>

  * Added new stdWrap property "stdWrap" for calling stdWrap recursively
  * Added new hook in t3lib_tcemain::process_cmdmap (closes #823)
  * Removed typeNum = 0 in some places (a previous change already sets them to 0 by default)
  * !!! Use nimbus.ttf and vera.ttf as default truetype fonts for the GIFBUILDER. This is generally not a problem because they were always used (arial.ttf is a symlink to nimbus.ttf, verdana.ttf is pointing to vera.ttf). However it could change your page design if you have just overwritten the symlinks with a different file and did not set the fontFile in the GIFBUILDER configuration.
  * File- and foldernames in the fileadmin could be cut to some lenght. Therefore a tool tip is added to show the full name.
  * Fixed bug #286: spamProtectEmailAddresses sometimes wrecked table content elements
  * New feature #490: Optionally remove duplicate parameters in typolinks (config.uniqueLinkVars=1). Thanks to Rupert Germann.
  * Fixed bug #675: Context menu did not work with Opera
  * Corrected a hook in index_ts.php

2005-04-13  Ingmar Schlecht  <ingmar@typo3.org>

  * Corrected earlier bugfix by Karsten: Reverted require_once(PATH_t3lib.'config_default.php') to require() in index_ts.php
